Welcome

This page links you to product and user information for the Keysight N7623B Signal Studio for Digital Video software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 8.0

Help revised 4/18/2017 - get the latest revision

© Keysight Technologies, Inc. 2007-2017


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

In order for the N7623B Signal Studio for Digital Video software to generate signals, you must have a properly configured PC and properly configured signal generation hardware, all of which meet the system requirements.

Hardware Requirements for Digital Video

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later (how to upgrade)

Firmware revision B.01.20 or later for real time software

N7623B Signal Studio for Digital Video software license (Licensing)

  • For Arb signal generation

    Required options:

    N5172B-503 (9 kHz to 3 GHz frequency range)

    N5172B-653(Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

    Recommended options:

    N5172B-403(calibrated AWGN for testing with noise)

    N5172B-655(upgrade baseband generator from 60 to 120 MHz RF bandwidth)

    N5172B-009 (internal Flash drive)

    N5172B-021 or 022 (upgrade baseband generator memory from 32 Msa to 256 or 512 Msa)

  • For real-time signal generation

    Required options:

    N5172B-503 (9 kHz to 3 GHz frequency range)

    N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

    N5172B-660 (upgrade baseband generator with real-time capability)

    Recommended options:

    N5172B-403 (calibrated AWGN for testing with noise)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later (how to upgrade)

Firmware revision B.01.20 or later for real time software

N7623B Signal Studio for Digital Video software license (Licensing)

  • For Arb signal generation

    Required options:

    N5182B-503 (9 kHz to 3 GHz frequency range)

    N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

    Recommended options:

    N5182B-403 (calibrated AWGN for testing with noise)

    N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

    N5182B-009 (internal Flash drive)

    N5182B-022 or 023 (upgrade baseband generator memory from 32 Msa to 512 Msa or 1 Gsa)

  • For real-time signal generation

    Required options:

    N5182B-503 (9 kHz to 3 GHz frequency range)

    N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

    N5182B-660 (upgrade baseband generator with real-time capability)

    Recommended options:

    N5172B-403 (calibrated AWGN for testing with noise)

N5182A MXG vector signal generator

Firmware revision A.01.10 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

One of the following baseband generator options:

  • N5182A-6511 (30 MSa/s internal baseband generator with 8 Msample memory)

  • N5182A-6521 (60 MSa/s internal baseband generator with 8 Msample memory)

  • N5182A-6541 (125 MSa/s internal baseband generator with 8 Msample memory, recommended)

N5182A-0191 (increase baseband generator memory to 64 MSa, recommended)

N5182A-UNV (enhanced dynamic range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • N5182A-503 (250 kHz to 3 GHz frequency range)

  • N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG vector signal generator

Firmware revision C.04.84 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

One of the following baseband generator options:

  • E4438C-6012 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-6022 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • E4438C-503 (250 kHz to 3 GHz frequency range)

  • E4438C-504 (250 kHz to 4 GHz frequency range)

  • E4438C-5063 (250 kHz to 6 GHz frequency range, recommended)

E8267D PSG vector signal generator

Firmware revision C.04.84 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

E8267D-403 (calibrated noise personality, required for C/N capability, recommended)

E8267D-520 (250 kHz to 20 GHz frequency range)

N5106A PXB baseband generator and channel emulator

(PXB information)

Required options:

N5106A-186 (Digital video application bundle) including the following options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 analog I/Q out and 2 digital I/O on 1 I/O card)

  • N5106A-QFP( Fading with SISO Channel Models)

  • N5106A-EFP (Baseband generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Minimum driver version: 1.1

M8190A arbitrary waveform generator

Firmware:

Version 5.1.0.0 or later

Required options:

M8190A-001(1 channel) or M8190A-002 (2 channels)

M8190A-14B (14-bit, 8-GHz max sample rate) or

M8190A-12G (12-bit, 12-GHz max sample rate)

M8190A-DUC (digital upconversion)

Recommended options:

M8190A-02G (upgrade baseband generator memory from 128 MSa to 2 GSa)

M8190A-AMP (5-GHz analog bandwidth)

1 For MXG, when CMMB or DVB-S2 format is selected, and without PXB connected in the system, the minimal options should include Option 019 in addition to Option 651/652/654. With PXB connected, Option 651/652/654 is sufficient

2 For ESG, when CMMB or DVB-S2 format is selected, and without PXB connected in the system, the minimal options should be Option 602 instead of Option 601. With PXB connected, Option 601 will be sufficient.

3 For ESG, option 506 requires UNJ (enhanced noise option).

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Windows XP

For Windows XP, do the following:

  1. Go to Start > Control Panel > Add or Remove Programs.

  2. Look for Microsoft .NET Framework 3.5 in the listing of programs.

  3. If you do not see it listed, you must download it from Microsoft.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M8190A Arbitrary Waveform Generator

  • M9381A PXIe Vector Signal Generator

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M8190A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager (KLM) must be running on the PC that is physically connected to the M8190A AWG. This PC may be an embedded AXIe controller or a PC connected to the M8190A AWG over PCIe. The PC must have the M8190A firmware running on it.

  1. If you do not have KLM installed on the PC connected to the M8190A, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Use the KLM software to install the license file. Refer to the KLM help for specific instructions.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Real Time

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Real Time

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Real Time

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Arb | describes how to use the software to create, download, and playback waveforms.
Real Time | describes how to use the software to configure real-time test signals.
Troubleshooting | describes how to resolve common software and instrument problems.


Using the Software - Arb

Real Time

Using the Software – Arb

Tutorials | provides several exercises designed to help you become familiar with the software.
User Interface | describes the features of the software and signal configuration parameters, signal generator settings, and frame configuration parameters.
API Control | provides information on using the Microsoft® .NET-based application programming interface (API).


Tutorials

BER Measurement | provides instructions on how to use the software capability to perform BER measurement.
Video Monitoring | provides instructions on how to use the software capability to perform Video Monitoring.
Video Subjective Evaluation | provides instructions on how to configure the equipment and Signal Studio software to monitor a CMMB format video.
Signal Studio for a PXB connection | provides instructions on how to configure Signal Studio for a PXB connection.
Creating and Exporting Waveforms | describes how to create and export waveform files for use with most instruments, such as the M9381A PXIe Vector Signal Generator.
Creating and Exporting Waveforms for the EXT | describes how to create and transfer a waveform file to the EXT.
Configuring the M8190A | This procedure describes how to configure an M8190A AWG (DUC mode only).


Example BER Measurement

The following example procedure shows you how to configure the equipment and Signal Studio software for a typical BER measurement for a fully encoded waveform.

Step 1: Setup the equipment

Step 2: Select the DVB-T standard

Step 3: Configure the DVB-T waveform parameters

Step 4: Configure the DVB-T channel coding parameters

Step 5: Select a data source for the BER measurement

Step 6: Configure the signal generator settings

Step 7: Generate and download the waveform to the signal generator

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

Step 1: Set up the equipment as shown below

Step 2: Select the DVB-T/H standard

From the Format menu, select DVB-T/H.

Step 3: Configure the DVB-T/H waveform parameters

  1. In the Waveform Setup (DVB-T/H) pane: click Carriern

  2. Edit the parameters to set up a waveform with the following characteristics:

Step 4: Configure the DVB-T and DVB-H parameters as shown below

To make flexible BER tests with different configurations (BER tests at different levels), you may re-configure the switches in this step.

Step 5: Select a data source for the BER measurement

  1. In the Tree View: click Carriern

  2. In the Carrier pane: click Data Source Type > (in the right cell click) [image] > Test Pattern

  3. Click Pattern Bits > (in the right cell click)

  4. In the Data Pattern Selection Window: Click on User Defined

  5. Click Insert option, click on Truncated PN9

    The length of the truncated PN sequence depends on the RS encoder setting. Since RS encoder ON was previously selected, it is 376 bits for PN9. The purpose of the truncation is to ensure that the PN sequence repeats integer times in the waveform, providing a predictable bit pattern for the BER measurement.

  6. Click Export to save the truncated PN9 to a specific file, which you can use as the expected data at the receiving end to calculate the BER.

  7. Click OK to accept the data source configuration.

.

Step 6: Configure the signal generator settings

Click the Instrument Settings node in the tree view, set the MXG/EXG/ESG/PSG’s frequency and amplitude to the values below

  • Frequency: 474 MHz

  • Amplitude: -50 dBm

Step 7: Generate and download the waveform to the MXG/EXG/ESG/PSG

  1. From the tool bar, Click [image].

    Notice that a dialog appears to ask you to change the Number of Super Frames. Accept it to ensure that de-scrambler in the receiver works continuously and the truncated PN sequence repeats integer times in the generated waveform.

  2. Observe the message area of the status bar to track waveform generation progress.

  3. When waveform generation is complete, click [image].


Video Monitoring Example

Real Time

Example Video Monitoring

This example shows you how to configure the equipment and Signal Studio software to monitor a ISDB-T format video. A similar procedure can also be used for other formats.

Step 1: Setup the equipment

Step 2: Select the ISDB-T standard

Step 3: Configure the ISDB-T waveform parameters

Step 4: Import the transport stream file

Step 5: Configure the signal generator settings

Step 6: Generate and download the waveform to the signal generator

Step 1: Set up the equipment as shown below.

Step 2: Select the ISDB-T standard

Click ISDB-T from the Format menu.

Step 3: Configure the ISDB-T waveform parameters

  1. In the Waveform Setup (ISDB-T) pane: click Carriern

  2. Edit the parameters to set up a waveform with the following characteristics:

Step 4: Import the transport stream file

  1. In the Waveform Setup (ISDB-T) Carrier pane: click Data Source Type, then in the right cell, click [image] to choose TS File Wizard

  2. Click File Wizard, and then in the right cell, click [image] to open the TS File Input Wizard.

    The TS File Wizard is used to customize a user required TS file.

  3. TS File Input Wizard Configuration

    Step 1: Select using a file or combination of several files. Typically choose the Using a Single File option. Choose Make a Combination of Several Files when the File length doesn't meet the testing requirements.

    Step 2: (single file): Select the source file.

    Step 2: (multi file): Select the source file.

    Step 3: Allocate the packet identifiers (PIDs) to each layer. In this step, different PIDs will be assigned to layer A, layer B or layer C.

    This PIDs allocation is for ISDB-T only, for the usage of TS wizard in other formats, this step can be skipped.

    Step 4: Auto-Stuffing

    Step 5: Truncate.

    Step 6: Loop Play treatment

    Step 7: Wait to over.

  4. Click Finish to complete the TS File Input Wizard.

Step 5: Configure the signal generator settings

Click the Instrument node in the tree view, set the MXG/EXG/ESG/PSG’s frequency and amplitude to the values below

  • Frequency: 474 MHz

  • Amplitude: -50 dBm

Step 6: Generate and download the waveform to the signal generator

  1. Click Generate a waveform button [image] in the tool bar. The software generates an I/Q waveform file in accordance with the current waveform configuration and signal generation setup. Waveform generation time varies proportionally to the complexity of the waveform.

  2. After the waveform is generated, you can examine its characteristics.

    1. View the CCDF plot for the carrier based on the configuration by clicking the carrier in the tree view. For more information, refer to CCDF Plot.

    2. By clicking Waveform Setup in the tree view, you can view plots of the baseband spectrum, I and Q signals, and CCDF curve prior to downloading the file to the signal generator. For more information, refer to CCDF plot and waveform plot.

  3. To download the waveform file to the signal generator, click Download [image] in the tool bar if you have configured the instrument connection. The signal generator automatically begins to play the digital video waveform. The waveform file, however, cannot be modified after downloading it to the signal generator.


Example Video Subjective Evaluation

This example shows you how to configure the equipment and Signal Studio software to monitor a DVB-T/H format video. A similar procedure can also be used for other formats.

Step 1: Setup the equipment

Step 2: Select the DVB-T/H standard

Step 3: Configure the DVB-T/H waveform parameters

Step 4: Configure the signal generator settings

Step 5: Generate and download the waveform to the signal generator

Step 6: View the color bar display result on a USB receiver monitor

Step 1: Set up the equipment as shown below.

Step 2: Select the DVB-T/H standard.

Click DVB-T/H from the Format menu.

Step 3: Configure the DVB-T/H waveform parameters.

  1. In the Waveform Setup (DVB-T/H) pane: click Carrier n.

  2. Edit the parameters to set up a waveform.

  3. Set the Data Source Type to Demo File and select PAL as the video type.

Step 4: Configure the signal generator settings

Click the Instrument Settings node in the tree view, set the MXG/EXG/ESG/PSG’s frequency and amplitude to the values below

  • Frequency: 474 MHz

  • Amplitude: -50 dBm

Step 5: Generate and download the waveform to the signal generator

  1. Click Generate Waveform button [image] in the tool bar. The software generates an I/Q waveform file in accordance with the current waveform configuration and signal generation setup. Waveform generation time varies proportionally to the complexity of the waveform.

  2. After the waveform is generated, you can examine its characteristics.

    1. View the CCDF plot for the carrier based on the configuration by clicking the carrier in the tree view. For more information, refer to CCDF Plot.

    2. By clicking Waveform Setup in the tree view, you can view plots of the baseband spectrum, I and Q signals, and CCDF curve prior to downloading the file to the signal generator. For more information, refer to CCDF plot and waveform plot.

  3. To download the waveform file to the signal generator, click Download [image] in the tool bar if you have configured the instrument connection. The signal generator automatically begins to play the digital video waveform. The waveform file, however, cannot be modified after downloading it to the signal generator.

Step 6: View the color bar display result on a receiver monitor

You can observe the color bar display on a DVB-T/H receiver as shown in the figure below.


Connecting with PXB

Real Time

Signal Studio for a PXB connection

  1. Configure Signal Studio for a PXB connection

    1. From the Signal Studio toolbar, click Select > System > Run System Configuration Wizard.

    2. In Step 1 of System Configuration Wizard, select 2 Antennas.

    3. In Step 2 of System Configuration Wizard, select PXB.

    4. In Step 3 of System Configuration Wizard, select < New >.

    5. In Step 4 of System Configuration Wizard, enter the hostname or IP address of the PXB as follows:

      • If you are running Signal Studio on the PXB, enter "localhost" in the Hostname/IP Address field.

      • If you are running Signal Studio on an external PC connected to the PXB, enter the hostname or IP address of the PXB in the Hostname/IP Address field. (To find the hostname or IP address, click System > Product Information in the PXB user interface.)

    6. Wait for Step 5 of System Configuration Wizard to test the connection.

    7. In Step 6 of System Configuration Wizard, enter a name for your system and click Finish.

  2. Set up your waveform in Signal Studio. Make sure to enter a name in the Waveform Name field in the Waveform Setup node.

    When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell in the Signal Studio Instrument node, the default BBG assignments are displayed as a comma-separated list.

    The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default.

    For example, when the PXB has two BBGs and Signal Studio generates two waveform files, the default is to download waveform file Ant0 to BBG1 and waveform file Ant1 to BBG2. The Signal Studio software displays this default assignment in the Baseband Channel Assignment cell as 1,2.

    You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

  3. Click the Generate and Download button [image] in the Signal Studio toolbar to download the waveforms to the PXB.

  4. Click the Load Waveforms button on the PXB.

  5. Select the waveform files you downloaded from Signal Studio for BBG1 and BBG2 and click the Download button on the PXB.

  6. Click the Play button on the PXB.


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the EXT

Some Signal Studio software products do not provide direct connectivity to the Keysight E6607 EXT Wireless Communications Test Set. In these cases, waveforms licensed to play on the EXT must be created in simulated hardware mode, exported to a waveform file, and then loaded into the EXT via a USB storage device. This procedure describes how to create and transfer waveform files to your EXT for playback using this method.

If available, a direct connection to the EXT is more convenient to use than the export method described here. To determine if this Signal Studio product provides direct connectivity to the EXT, open the software and select New hardware configuration in the system configuration wizard. The EXT will be one of the supported hardware configuration choices, if direct connectivity is available.

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications that support the EXT.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output (for Signal Generator) is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the EXT. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your EXT. This example assumes the advanced option was not purchased for the EXT.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the EXT's front panel USB port.

  12. On the EXT, make sure the EXT user interface is the active window and press File > File Explorer. Then locate the USB storage device and copy your waveform file to D:\NVARB. You can navigate to this folder by selecting My Computer > User Data (D:) > NVARB.

  13. On the EXT, press Source > More 1 of 2 > Modulation Setup > ARB > More 1 of 2 > Select Waveform > Segments on Hard Disk. Then use the arrow keys or mouse to select a waveform file from NVARB memory.

    The EXT's user interface uses the term segment to refer to a waveform file.

  14. Press Load Segment to ARB Memory.

  15. Now that the waveform resides in the EXT's ARB memory, press the Return key and select the waveform for playback. Use the EXT's front panel and softkey menus to set up other ARB parameters, turn ARB modulation on, set frequency and amplitude, and turn RF output on. You can also examine the waveform, using the EXT's measurement functions. Refer to the EXT's user documentation for more information.


Configuring the M8190A AWG

The diagram below shows the configuration for a single M8190A AWG in DUC mode.


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu Bar and Tool Bar | describes the features of the software.
Graphs View | illustrates the results provided by the graphs view, including the CCDF plot and waveform plot.
Status Bar | provides information on usage of Status Bar.
Quick Setups | explains how to select predefined or previously saved user-defined settings.
Hardware Settings | provides information on operation setup, signal configuration, instrument settings, and frame configuration parameters.
Licenses | introduces the license options in N7623B software.
Waveform Setup | illustrates waveform setup in different formats respectively.


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner of a parameter configuration window to display the Closed cell description window, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

Discrete Settings

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output uses discrete settings. You must select from either On or Off.

Arbitrary Settings

Frequency, on the other hand, uses arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "MHz"; the letter "m" is sufficient. The same is true for GHz and kHz. Without "k", "m" or "g", the default frequency is 100.000 000 kHz.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups, hardware configuration and signal generator settings, and the Waveform Setup. The right pane of the main window is called the Closed Parameter view. This area enables you to select the project parameters and signal generator settings for displaying the waveform. Selecting an item in the tree view enables the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Menu Bar and Tool Bar

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

Open Settings File [image] opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the hardware configuration that was present when the settings file was saved. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Save Settings File [image] saves a setting file to a specified file name. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

When using Windows® Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Export Waveform Data saves an encrypted waveform file (with a.wfm extension) to the disk. This waveform file can then be downloaded to any MXG/EXG/ESG/PSG signal generators licensed for the N7623B Signal Studio software. this is only activated when a waveform has been generated. To download a saved waveform to a signal generator, refer to that signal generator's Programming Guide.

Most Recently Used Files displays the four most recent settings files that were either opened with Open Settings File or saved with Save Settings File The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

Control

Generate [image] generates a waveform file in accordance with the current configuration. The waveform generation time varies proportionally to the complexity of the waveform.

Download [image] generates and downloads a waveform to the connected instrument (s).

When a power-sensitive DUT is connected to the instrument, ensure that the RF power is off before downloading a waveform.

Keysight N5106A PXB baseband generator and channel emulator

If the software displays an error message when you attempt to download a waveform to the PXB, see Instrument Problems in the Troubleshooting section.

To download a waveform to the Keysight N5106A PXB, perform the following procedure:

  1. On the PXB, set up and load a configuration with the appropriate capabilities for the waveform you intend to play. The configuration must include at least one baseband generator (BBG). Refer to the PXB online documentation.

  2. Start Signal Studio and connect to the PXB using the Configuration Wizard.

  3. Set up waveform parameters in Signal Studio.

  4. Click the Generate and Download button [image]. The default location for the waveform file in the PXB is D:\Waveforms\ChannelN.

  5. On the PXB, click Load Waveforms and select the waveform file.

  6. Click Download to download the waveform to the BBG.

  7. On the PXB, click Play to play the waveform.

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the Closed System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run system configuration wizard runs the wizard that enables you to set up a new system configuration.

Tools

The Tools menu includes one sub-menu:

Options. There is only one item under Options.

Display Welcome Dialog lets you enable or disable the welcome dialog display.

Format

The following menu items are used to choose the format of the waveform to be generated.

Selecting an item in this menu enables the corresponding parameter setup to be displayed in the parameter view. Only one can be checked. If one unchecked item is clicked, then this item will be checked and the others will become unchecked. For more information, please refer to Waveform Setup.

DVB-T/H enables the DVB-T/H waveform setup in the parameter view.

DVB-T2 enables the DVB-T2 waveform setup in the parameter view.

DVB-C, J.83 Annex A/C enables the DVB-C, J.83 Annex A/C waveform setup in the parameter view.

DVB-S enables the DVB-S waveform setup in the parameter view.

DVB-S2 enables the DVB-S2 waveform setup in the parameter view.

ISDB-T enables the ISDB-T waveform setup in the parameter view.

ISDB-Tmm enables the ISDB-Tmm waveform setup in the parameter view.

ATSC enables the ATSC waveform setup in the parameter view.

ATSC-M/H enables the ATSC-M/H waveform setup in the parameter view.

J.83 Annex B, DOCSIS DS enables the J.83 Annex B, DOCSIS DS waveform setup in the parameter view.

DOCSIS 3.1 Downstream enables the DOCSIS 3.1 Downstream waveform setup in the parameter view.

DOCSIS 3.1 Upstream enables the DOCSIS 3.1 Upstream waveform setup in the parameter view.

DTMB (CTTB) enables the DTMB (CTTB) waveform setup in the parameter view.

CMMB enables the CMMB waveform setup in the parameter view.

Help

Contents opens the help system and displays the table of contents.

F1 opens the help system and displays the table of contents.

Search opens the help system and displays the search utility.

API Reference opens the API help system.

Software License Terms opens the Keysight Software End-User License Agreement.

Keysight Signal Studio Website goes to Keysight's Signal Studio and Signal Creation Software web page.

About displays the version and release date of the software.

Related Topics

User Interface Basics

Status Bar


Graphs View

Clicking Waveform Setup or Carrier in the tree view to view graphs, which is divided into two areas: the CCDF plot on the left side and the waveform plot on the right side. A waveform can only be plotted after it has been generated.

CCDF Plot

The complementary cumulative distribution function (CCDF) plot displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform, which is the yellow curve. For additional information, see Understanding CCDF Curves.

In addition to the waveform's current plot (yellow), the Gaussian noise reference curve are also displayed in shades of gray, enabling you to make comparisons of waveform characteristics as you adjust parameters.

Click the Gaussian button to toggle the view of the band-limited Gaussian noise curve (blue).

Click the Reference button to toggle the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Click the Acquire Ref. button to make the current waveform curve (yellow) the reference curve (red). Click the Reference button to view the reference curve.

Waveform Plot

Click this button to select from the list of different waveform plots. Selections include Closed Power, Closed I+Q, Closed I|Q, and Closed Spectrum. Each click selects the next plot type in the list. You can also click the arrow to access a drop-down menu where you can make a direct selection.

This spectrum is generated directly from the baseband IQ data. It is not the spectrum of the final waveform output from the signal generator.


Status Bar

The status bar updates in real-time to let you know the status of running operations, such as waveform generation. It also displays hardware connectivity information, the total sample points of the waveform and the progress of waveform generation. No hardware connected is displayed until the hardware is connected.

If "Connecting Hardware..." continues to be displayed and does not change to "Ready" within a few minutes, verify that the IO Libraries are properly configured for the connected instruments.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Generating | Generating the waveform points according to the waveform setup of this project.
Generated | The required waveform has already been generated.
Downloading | Downloading the waveform to instrument as configured in Hardware.
Download | The required waveform has already been Downloaded.
Exporting | Exporting the generated waveform file to disk.

Connection Status

This area shows the connection status of the software to the signal generator.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software is not connected to the signal generator at this moment.


Quick Setups

Selecting Quick Setups in the Closed tree view to display a list of waveform setups, each of which is associated with a specific user-defined hardware configuration or a predefined hardware configuration (SimHW).

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

You can use the System Configuration Wizard to start a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can customize the settings and save as a quick setup for later use. Quick Setups saves the Instrument and Waveform Setup parameters.

Predefined Quick Setups

Signal Studio software provides predefined quick setups that enable you to examine the default parameters for a particular function, while in simulated hardware mode. You can use the predefined quick setups as a starting point, modify the settings as desired, then save them as a new quick setup (see Custom Quick Setup). However, you cannot modify or delete the predefined quick setups.

Quick Setups for PXB

If you install the Signal Studio for Digital Video software on the PXB, the following predefined quick setups are available if you have selected Quick Setup files for PXB as the Custom Setup during installation. These quick setups include actual hardware configurations (not simulated hardware settings) and waveform settings for typical Digital Video use cases on your PXB.

Custom Quick Setups

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new Quick Setup.

To save the current waveform setup with a different hardware configuration, define the new hardware configuration using the System Configuration Wizard (System > Run System Configuration Wizard), then click Save As Quick Setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes as a Quick Setup when you exit. If you have changed only Hardware node or Instrument node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a Quick Setup

Use the following buttons to manage your quick setups:

Save As Quick Setup

Click this button to save the current hardware system and software configuration as a custom quick setup. A Closed window appears, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Open Quick Setup

Click this button to open the selected quick setup. Double-clicking the quick setup performs the same function.

Delete Quick Setup

Click this button to delete the selected custom quick setup.


Hardware Settings

For information about using the software to change instrument settings, choose the topic for your application type:

  • for the ARB application, refer to this Instrument topic

  • for the real-time application, refer to this Instrument topic

Click Hardware in the tree view to display read-only information about the hardware.

When using a simulated signal generator connection, <Simulated Hardware> appears in the Name cell and <Simulated MXG/EXG/ESG/PSG Signal Generator> appears in the Connection cell. N/A appears in most of the other cells.

When using a simulated PXB connection, <Simulated Hardware> appears in the Name cell, PXB appears in the Description cell, and <Simulated PXB> appears in the Connection cell. N/A appears in the Model Number, Serial Number, and Firmware Revision cells.

Click the Run Self-Tests button to run a test of the I/O interface connection between the instrument and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Click the Test I/O Connections button to run a test of the I/O interface connection between the instrument and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window also closes the hardware node and opens the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system.

Description

View the hardware configuration type.

2. MXG/EXG/ESG/PSG Signal Generator (or PXB) Details

Connection

View connection details (LAN or GPIB).

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.

2.1 Options

View the options of the connected instrument. These cells are not displayed when using simulated hardware.


Instrument

The topics listed below describe the instrument settings accessible through the Instrument node in the tree view of the software. Settings vary, according to the connected instrument.

Signal Generators

M8190A AWG


Instrument (Signal Generators)

To open the instrument node, click Instrument in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view.

The figure below shows the Instrument node for a signal generator connection. For the PXB, only the Configuration, Basic and Dual ARB selections are available in the Instrument Controls list. Click a button or click an item in the Instrument Controls list for information on that button or item.

Click the Update to Instrument button to send the parameters to the connected instrument.

Downloading a waveform also updates settings to the instrument.

Click the Update from Instrument button to retrieve the parameters from the connected instrument.

Click the Local button to deactivate remote operation and activate signal generator local (front panel) control.

Click the Preset button to set the signal generator to a factory-defined or user-defined state.

Refer to the signal generator's user's guide for information on setting a user-defined state.

Click the DC Cal button to execute an I/Q DC calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument and activate this button.

You can set this calibration to occur automatically. See 1. Configuration.

Set ALC to Off to activate this button.

Click the Power Search button to execute a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument.

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

Related Topics

User Interface Basics

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Dual ARB

6. Dual ARB Marker Utilities

7. Dual ARB Trigger

8. Real-time Noise Setup


1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

Retrieve Instrument Model Number

When active, you can select manual or automatic retrieval of the connected instrument's model number.

Parameter Optimization

Double-click or use the drop-down menu to enable or disable parameter optimization.

Auto – automatically overrides the current instrument settings and provides optimized settings.

Off – parameter optimization is not used.

Parameter Optimization selects the appropriate marker for RF control and sets the appropriate marker routing. When Parameter Optimization is set to Auto, the Marker 3 and Marker 4 source selections in the Waveform Setup node and the marker routings selected in Dual ARB Marker Utilities are overridden.

To manually set Marker 3 and Marker 4 source, the marker routing, or both, set Parameter Optimization to Off.

Perform DC I/Q Calibration

Double-click or use the drop-down menu to enable or disable automatic DC I/Q calibration.

On – The signal generator performs a DC I/Q calibration after downloading a waveform.

Off – The signal generator does not perform a DC I/Q calibration after downloading a waveform.

Related Topics

Hardware Settings

Instrument


2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

MXG, EXG, or ESG Signal Generator

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

Relative Amplitude

PXB baseband generator and channel emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB baseband generator and channel emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

Related Topics

Instrument


3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range:

N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range:

N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default:

0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:

N5162A/N5182A: -1 dB to 1 dB in 0.001 dB steps

All other models: -4 dB to 4 dB in 0.01 dB steps

Default:

0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Timing Skew Path

Choice: RF | BB

Default: RF

Double-click or use the drop-down menu to select the I/Q timing skew path.

Set I/Q Adjustments to On to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT and Digital Bus paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

Dig Bus Output optimizes the Digital Bus path by applying calibration factors to only this path, leaving the RF OUT and I/Q OUT paths uncalibrated. With External as the I/Q Source selection, the instrument automatically optimizes all paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Skew

Range:

N5162A/N5182A: -800 ns to 800 ns, in 1 ps steps

All other models: -2.0 to 2.0 seconds, in 1 ps steps

Default:

0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

Related Topics

Instrument


4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

ALC Bandwidth

Choice: Auto | 100.00 Hz | 1.00 kHz | 10.00 kHz | 100.00 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Fixed | Modulation

Default: Modulation

Double-click or use the drop-down menu to select a fixed or modulated reference signal when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulated – Power search uses the RMS value of the current I/Q modulation as the reference.

Set ALC to Off to enable this parameter.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

Related Topics

Instrument


5. Dual ARB

ARB Sample Clock

Range: 1 KHz to 125 MHz

Default: 100 MHz

The sample clock rate of the instrument is automatically calculated by the software.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

Internal - the signal generator uses its internal VCO Clock.

External - the signal generator uses an external VCO Clock

This parameter is not available for all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 92%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q modulation filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Double-click or use the drop-down menu to select an I/Q output filter value.

This parameter is not available for all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 40 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

High Crest Mode

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to enable or disable the signal generator's high crest mode.

On – processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Attenuation levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

Off – disables the high crest mode.

This parameter is not available for all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

Internal – the signal generator uses its internally generated 10 MHz signal as the reference source.

External – the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available for all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 to 100 MHz

Default: 10.00 MHz

Enter a frequency value when using an externally supplied reference signal. See the signal generator user’s guide for information on external references.

Set ARB Reference to External to enable this parameter.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1-4

Default: None

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

ALC Hold

Choice: None | Marker 1-4

Default: None

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

Alternate Amplitude

Choice: None | Marker 1-4

Default: None

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

Marker 3 and Marker 4 settings are overridden if Parameter Optimization is enabled.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Related Topics

Instrument


7. Dual ARB Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range:

N5162A/N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

1 ms

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

Related Topics

Instrument


8. Real-time Noise Setup

Real-time Noise

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: N5162A/N5182A 1.0 Hz to 125 MHz

E4438C 1.0 Hz to 80 MHz

Default: 1 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier).

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1.0 Hz to 100.000 MHz

Default: 1.0 Hz

Set or change the noise bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

Related Topics

Instrument


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Instrument (M8190A)

To open the instrument node, click Instrument in the tree view. If there is more than one instrument connection, there will be a corresponding number of Instrument listings in the tree view. The figure below shows the Instrument node when connected to an M8190A AWG.

Update to Instrument

Click this button to send the parameters to the connected M8190A.

Downloading a waveform also updates settings to the instrument.

Update from Instrument

Click this button to retrieve the parameters from the connected M8190A.

Local

This button is not active for the M8190A.

Preset

Click this button to set the signal generator to a factory-defined or user-defined state.

Refer to the M8190A user's guide for information on setting a user-defined state.

DC Cal

This button is not active for the M8190A.

Power Search

This button is not active for the M8190A.

1. Configuration

Instrument Model Number

Displays the model number of the currently connected instrument.

2. Basic

Reference Source

Choices: Internal | External | Backplane

Default: Backplane

Select the M8190A reference source.

Internal - Use the internal 100 MHz reference.

External - Use the reference signal provide to the REF CLK IN connector on the M8190A front panel. Be sure to set the reference frequency when external is used.

Backplane - Use the 100 MHz reference provided by the AXIe backplane.

Channel Coupling

Choices: On | Off

Default: On

Enable or disable channel coupling. When enabled, several properties of channel 1 and channel 2 are coupled including: clock source, sample rate, output mode, interpolated mode and others.

Active Channel

Choices: Channel 1 | Channel 2 | Both

Default: Channel 1

Select the M8190A channel on which the signal will be played.

Channel 1 - Download and play a signal on channel 1 of M8190A.

Channel 2 - Download and play a signal on channel 2 of M8190A.

Both - Download and play identical signals on both channel 1 and channel 2.

It requires M8190A Option 002 to enable Channel 2 or Both.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Enter the frequency of the reference signal applied to the REF CLK IN connector.

Internal Sample Rate

Range:

14 Bit Direct Mode 125 MHz to 8 GHz

12 Bit Direct Mode 125 MHz to 12 GHz

Interpolated Mode 1.0 GHz to 7.2 GHz

Default: 1.0 GHz

Display the internal sample clock rate.

This property will be automatically updated by the software. It depends on Symbol Rate, Sample Rate or Bandwidth settings of the carrier, Oversampling Ratio of the waveform and Interpolated Mode of M8190A. At download time, if this property is out of its valid range, software will try to select a new interpolated ratio to fit the range. If it fails to find a proper interpolated ratio, an error message will be reported.

External Sample Rate

Range:

14 Bit Direct Mode 125 MHz to 8 GHz

12 Bit Direct Mode 125 MHz to 12 GHz

Interpolated Mode 1.0 GHz to 7.2 GHz

Default: 7.2 GHz

Set the external sample clock rate.

Sample Clock Out Source

Choices: Internal | External

Default: Internal

Select the clock source routed to the SAMPLE CLK OUT connector on the M8190A front panel.

Internal - Route the internal sample clock to the SAMPLE CLK OUT connector.

External - Route the sample clock signal from the SAMPLE CLK IN connector to the SAMPLE CLK OUT connector.

This property is coupled with channel 1 and channel 2 Clock Source when Channel Coupling is enabled.

3. Channel 1 Settings / 4. Channel 2 Settings

Clock Source

Choices: Internal | External

Default: Internal

Select the channel sample clock source.

Internal - Use the internal sample clock.

External - Use the external sample clock provided to the SAMPLE CLK IN connector on the M8190A front panel.

Channel 1 and Channel 2 clock sources are coupled when channel coupling is enabled.

Output Mode

Choices: Direct | Interpolated

Default: Interpolated

Select the channel output mode.

Direct - Output a baseband signal.

Interpolated - Output a complex modulated signal at the specified IF frequency. Requires Option DUC.

Channel 1 and Channel 2 output modes are coupled when channel coupling is enabled. N7623B only supports M8190A DUC mode, so this property is read-only and always fixed to Interpolated mode.

Interpolated Mode

Choices: INTx3| INTx12 | INTx24 | INTx48

Default: INTx3

Select the up-sampling ratio used in interpolated mode. The I/Q data is automatically up-sampled to match the DAC sampling rate.

INTx3 - Set the ratio to 3.

INTx12 - Set the ratio to 12.

INTx24 - Set the ratio to 24.

INTx48 - Set the ratio to 48.

Channel 1 and Channel 2 interpolated modes are coupled when channel coupling is enabled or when channel 1 and channel 2 share the same clock source.

Output Route

Choices: Direct | DC | AC

Default: Direct

Select the channel output route.

Direct - Output is directly from DAC. This has the best IMD performance.

DC - Use the amplified DC output.

AC - Use the amplified AC output.

The AC and DC path share common output connectors on the front panel. The direct DAC path uses different connections on the front panel.

Output State

Choices: On | Off

Default: On

Enable or disable the current output state. The current output is determined by the Output Route property.

Complement Amp Output State

Choices: On | Off

Default: Off

Enable or disable the current complement Amp output. This property only affects the Output Route DC.

DAC Format

Choices: RZ | NRZ | DNRZ | Doublet

Default: NRZ

Select the DAC format for this channel.

RZ - DAC returns to zero between each sample. Provides the flattest amplitude response with a 6 dB loss in maximum output power when compared to NRZ.

NRZ- The DAC does not return to zero between samples. Provides higher output power.

DNRZ - Optimized for best NRZ signal using two DACs.

Doublet - The DAC does not return to zero between samples. Provides flatter amplitude response in second Nyquist region. Use this mode when the IF output frequency is greater than 1/2 the DAC sample rate. Dont forget to swap I/Q data to account for spectrum mirroring.

DAC Voltage

Range:

Direct DAC: 100 mV to 700 mV

DC Output: 150 mV to 1.0 V

AC Output: 200 mV to 2.0 V

Default: 700 mV

Set the peak to peak output voltage.

DAC Voltage Offset

Range:

Direct DAC: -20 mV to 20 mV

DC Output: -500 mV to 1.0 V

AC Output: Not Applicable

Default: 0 Set the output offset voltage.

The full voltage offset range is coupled to the current Output Voltage and the Output Route values.

Differential Offset

Range: determined by calibration

Default: 0

Set the differential amplitude offset in DAC values. The hardware can compensate for little offset differences between the normal and complement output. This property is the offset to the calibrated optimum DAC value, so the minimum and maximum depend on the result of the calibration.

Fine Delay

Range:

Sample Rate < 2.5 GHz: 0 to 150 ps

Sample Rate 2.5 to < 6.25 GHz: 0 to 60 ps

Sample Rate ≥ 6.25 GHz: 0 to 30 ps

Default: 0 ps

Set the fine channel delay relative to a trigger or event. In order to compensate for e.g. external cable length differences as well as the initial skew, channel 1 and channel 2 can be independently delayed with a very high timing resolution. The variable delay is the sum of Fine Delay and Coarse Delay. Modifying the variable delay of one channel always affects the delay of the Analog Output AND the Sample Marker of that channel.

This property is configurable only when Reduced Noise Floor is disabled.

Course Delay

Range: 0 ps to 10 ns

Steps:

Sample Rate < 2.5 GHz: 50 ps

Sample Rate 2.5 to < 6.25 GHz: 20 ps

Sample Rate ≥ 6.25 GHz: 10 ps

Default: 0 ps

Set the course channel delay relative to a trigger or event. In order to compensate for e.g. external cable length differences as well as the initial skew, channel 1 and channel 2 can be independently delayed with a very high timing resolution. The variable delay is the sum of Fine Delay and Coarse Delay. Modifying the variable delay of one channel always affects the delay of the Analog Output AND the Sample Marker of that channel.

This property is configurable only when Reduced Noise Floor is disabled.

Reduced Noise Floor

Choices: On | Off

Default: On

Enable or disable reduced noise floor feature on this channel.

Carrier Frequency

Range: 0 to 12 GHz

Default: 1 GHz

Set the carrier frequency in DUC mode.

Carrier Scale

Range: 0.0 to 2.82843

Default: 2.82

Set the carrier scale. The carrier scale is used to prevent clipping of the digital data by the DAC. The digital up conversion (DUC) process can generate values that exceed the DAC range. Clipping is prevented by setting the carrier scale to less than the maximum value. Adjusting the carrier scale directly affects the signal output power and dynamic range. Larger values are better until clipping occurs.


Licenses

Click Licenses node in the Closed tree view to display the window shown below.

Index

Displays the licensed feature's index number.

Feature

Displays the license option name for the feature or the capability options available in the software. All capability and connectivity options are locked to the target instrument. Feature capability is either Basic or Advanced. Feature connectivity is specific to the type of signal generator. The option number identifies the type of license, whether perpetual or time-based, fixed or transportable, and so on.

Minor Enhancement Updates (N7623B-Uxx)

The minor enhancement updates (MEU) option allows you to obtain the latest capabilities of the software. It is purchased as N7623B-MEU. However, each enhancement update is licensed as N7623B-Uxx, as shown in the image above. As more enhancements become available, the option suffix increments: U01, U02, U03 and so on. Purchasing MEU includes all the capabilities from previous MEU licenses. For example, purchasing the license for U03 includes everything that was in U01 and U02. If you had purchased an earlier MEU license, such as U01, and want the most recent MEU capabilities available in U03, purchasing another MEU license upgrades your software to the most current state.

Release Date Software Version MEU License

Minor Enhancements
Aug 2013 6.2 U01
  • Added support for 1024QAM modulation type in DVB-C format

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

  • On – enables the feature.

  • Off – disables the feature.

The State cell color changes to red if a feature is set to On and there is not a valid license available, or the license is expired.

Description

Displays the descriptive information of the licensed feature.

Instrument License

Displays the status of the selected license on the connected instrument.

  • Valid – the license is installed and active.

  • Invalid – the license is expired or not installed.

  • N/A – the license is not applicable.

When a new instrument connection is established or the hardware configuration is changed, the instrument licenses are automatically retrieved from the connected instrument. If the connected instrument does not have the correct licensing for the current waveform setup, initial settings are restored. You are prompted to save the setup parameters before continuing.

Carrier Name

Displays the name of the carrier associated with the selected feature.

State

Displays the status of the carrier.

  • Available – the carrier is available for use.

  • Not available – the carrier is not available or the license is not active.

Required Feature n

Displays the name of the feature required for the selected instrument.

Related Topics

Licensing


Waveform Setup

Waveform Setup | Provides information on how to view and edit general information about the waveform and Spectrum Control
Carrier for DVB-T/H | Provides information on how to configure carriers in DVB-T/H standard
Carrier for DVB-T2 | Provides information on how to configure carriers in DVB-T2 standard
Carrier for DVB-C | Provides information on how to configure carriers in DVB-C standard
Carrier for DVB-S | Provides information on how to configure carriers in DVB-S standard
Carrier for DVB-S2 | Provides information on how to configure carriers in DVB-S2 standard
Carrier for ISDB-T | Provides information on how to configure carriers in ISDB-T standard
Carrier for ISDB-Tmm | Provides information on how to configure carriers in ISDB-Tmm standard
Carrier for ATSC | Provides information on how to configure carriers in ATSC standard
Carrier for ATSC-M/H | Provides information on how to configure carriers in ATSC-M/H standard
Carrier for J.83 Annex B | Provides information on how to configure carriers in J.83 Annex B standard
Carrier for DOCSIS 3.1 Downstream | Provides information on how to configure carriers in DOCSIS 3.1 Downstream standard
Carrier for DOCSIS 3.1 Upstream | Provides information on how to configure carriers in DOCSIS 3.1 Downstream standard
Carrier for DTMB | Provides information on how to configure carriers in DTMB standard
Carrier for CMMB | Provides information on how to configure carriers in CMMB standard


Waveform setup1

Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Waveform Setup

Clicking Waveform Setup in the Closed tree view displays the waveform attributes settings table in the node view of the main window. Click the plus [image] box to expand the waveform property tables and access those parameters.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name, up to 22 characters in length.

The name can include spaces and some special characters: _ $ & # + - [ ]. You can enter a name with more than 22 characters, but when you click outside of the cell, the software truncates the name to 22 characters.

Comment

Enter an alpha-numeric comment up to 32 characters in length. The comment resides in the file header and can include spaces and special characters.

Waveform Length

View the generated waveform length (number of points). You cannot edit this cell.

Fast Download

When this parameter is set to be On, the file downloading speed will increase and the export rate will be accelerated as well. It will also reduce the size of temporary file.

This fast download is only effective with only one carrier.

2. Spectrum Control

Mirror Spectrum

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to swap the I and Q waveforms. This parameter is used during the correction operation to account for low side upconversion between the signal generator and the spectrum analyzer.

User Defined Sample Rate

Sets whether to use a user defined sample rate as ARB sample clock.

When the User Defined Sample Rate is set to True, Oversampling Ratio is hidden and Sample Rate is shown. When set to False, Sample Rate is hidden and Oversampling Ratio is shown.

This parameter is available only in DVB-C, J.83 A/C and J.83 B, DOCSIS DS formats.

Sample Rate

Sets the sample rate used as ARB sample clock. This is available only when User Defined Sample Rate is true.

Oversampling Ratio

The Waveform Length value (number of points) is automatically determined based on the oversampling ratio.

For example, considering Waveform Length is 696320 and Oversampling ratio is 1, when Oversampling ratio changed to 2, then Waveform Length becomes 696320*2 = 1392640.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Set the baseband quadrature phase angle, in degrees.

Enter a value to adjust the Q phase angle. When the quadrature angle is zero, the phase angle between the I and Q vectors is 90 degrees. Positive angle adjustment increases the angle from 90 degrees while negative angle adjustment decreases the angle from 90 degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Set the baseband quadrature gain balance, in dB. Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q, or introduce calibrated impairments.

Related Topic

Using the DOCSIS Cable Loading Wizard


Carrier for DVB-T/H

Real Time

Carrier DVB-T/H

Digital Video Broadcasting Terrestrial (DVB-T, ETSI EN 300 744) is the most popular digital terrestrial transmission system in the world. It has been successfully deployed in the UK, Germany, Sweden, Finland, Spain, Italy, Netherlands, Switzerland, Singapore and Australia. An image would be good to show the different standards used around the world. DVB-T trials are on-going in Malaysia, Thailand, Vietnam, Ukraine, Azerbaijan, Croatia, South Africa and other countries.

Based on coded orthogonal frequency divisional multiplexing (COFDM) and QPSK, 16 QAM and 64 QAM modulations, it is the most sophisticated and flexible digital terrestrial transmission system available today. DVB-T allows service providers to match, and even improves on, analog coverage - at a fraction of the power. It extends the scope of digital terrestrial television in the mobile field, which was simply not possible before, or with other digital systems.

Digital Video Broadcasting Handheld (DVB-H) , extension to DVB-T, is suitable for small screens, handheld portable and mobility reception. Despite the success of mobile DVB-T reception, the major concern with any handheld device is battery life. The power consumption of DVB-T front-end is too high to support handheld receivers that are expected to last from one to several days on a single charge. The new DVB-H standard addresses this requirement of broadcasting to handhelds. A time-slicing mechanism allows receivers to switch off for inactive periods, leading to power savings of approximately 90%. The other major requirements of DVB-H were an ability to receive 15Mbits per second in an 8 MHz channel and in a wide-area single frequency network (SFN) at high speed.

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Window Length

Range: 0 to 32

Default: 4

Set the window length of OFDM symbol.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. DVB-T Settings

Number of Super Frames

Range: different settings are corresponding to different range values.

Set the number of super frames, which is composed of four frames, and the transmitted signal is organized in frames.

8K mode - Each frame consists of 68 OFDM symbols and each symbol is constituted by a set of K = 6817 carriers

2K mode - Each frame consists of 17 OFDM symbols and each symbol is constituted by a set of K = 1705 carriers

For DVB-T 8k mode, the frame structure can be shown as follows:

RS Encoder

Choice: On |Off

Default: On

Double-click or use the drop-down menu to enable or disable the RS encoder. For DVB-T/H, when the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the convolutional interleaver directly.

Transmission

Choice: Hierarchical | Non Hierarchical

Default: Non Hierarchical

Double-click or use the drop-down menu to select Hierarchical or Non Hierarchical Transmission. When Hierarchical is selected, the following cell configuration( HP Code Rate and LP Code Rate) will be enabled.

Alpha

Choice: 1 | 2 | 4

Default: 1

Double-click or use the drop-down menu to select the Alpha from 1/2/4, which will be effective only when Transmissionis Hierarchical.

Alpha is the minimum distance separating two constellation points carrying different HP-bit values. Non-hierarchical transmission uses the same uniform constellation as the case with α = 1.

Mode

Choice: 2K | 4K | 8K

Default: 2K

Double-click or use the drop-down menu to select the mode.

DVB-T has two kinds of sub-carrier mode, in short 8k mode and 2k mode.

Parameter | 8k mode | 2k mode
Symbol Period | 896μs | 224μs
Number of Carriers | 6817 | 1705
OFDM Symbol | 6817 | 1705
One OFDM Frame (contains) | 68 OFDM symbols | 17 OFDM symbols
Useful data carriers | 6048 | 1512
Carrier Interval | 1.116kHz | 4.464kHz
Guard interval values (Δ/TU) | 1/4 1/8 1/16 1/32 | 1/4 1/8 1/16 1/32
Pilot | continuous and discrete
Pilot Mode | BPSK
Modulation Type | QPSK 16QAM 64QAM

Bandwidth

Choice: 5MHz | 6MHz | 7MHz | 8MHz

Default: 8MHz

Double-click or use the drop-down menu to select the bandwidth.

Modulation Type

Choice: QPSK | 16 QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type .

The DVB-T system adopts Orthogonal Frequency Division Multiplex (OFDM) transmission. The modulation type for all the data carriers in one OFDM is either QPSK, 16-QAM, 64-QAM, non-uniform 16-QAM or non-uniform 64-QAM constellations.

When Transmissionis Hierarchical, HP stream adopts QPSK while LP stream have 2 types of modulation to select: 16 QAM and 64QAM.

Guard Interval

Choice: 1/4 | 1/8 | 1/16 | 1/32

Default: 1/4

Double-click or use the drop-down menu to select the guard interval.

The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Guard Interval (Tg) is a part of waveform which is copied from the rear and added at the front of a carrier. Therefore, a OFDM symbol period consists of Tu and Tg, which is called cyclic prefix. At the DVB-T receiver side, as long as the signal delay is less than Tg, the receiver will capture the original signal correctly.

Cell ID Enabled

Choice: True | False

Default: False

Double-click or use the drop-down menu to control the cell ID state.

Cell ID

Range: 0 to 65535

Default: 0

Set the cell ID.

The most significant byte of the Cell ID, i.e. b15 - b8, shall be transmitted in super-frames with the frame number 1 and 3. The least significant byte of the Cell ID, i.e. b7 - b0, shall be transmitted in super-frames with the frame number 2 and 4.

This cell is only enabled when Cell ID Enabled is True.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the code rate of convolutional coder. This cell is only enabled when Transmissionis Non-Hierarchical.

In order to achieve hierarchy, two different code rates may be applied to two different levels of the modulation.

HP Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the HP (High Priority) code rate of convolutional coder. This cell is only enabled when Transmissionis Hierarchical.

LP Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the LP (Low Priority) code rate of convolutional coder. This cell is only enabled when Transmissionis Hierarchical.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

The performance of DVB-T system through simulation with two channel models can be explored in this step, and up to 20 paths are supported.

  • P1 - portable reception, Simulating Rayleigh fading

  • F1 - fixed reception

    Besides, User Defined provides a more flexible way configuring each path's attenuation ρ, relative delay τ and phase shift from scattering θ.

    1. Edit the parameters values in the table directly.

    2. Or, click on the [image] button, and select a fading file (*.fading) previously configured.

    3. When you finished editing the user defined parameter configuration, click on [image] button to make a copy.

      I

      ρi

      Attenuation of the i'th path

      τi [μs]

      Relative delay of the i'th path

      θi [rad]

      Phase shift from scattering of the i'th path

      1

      0,057 662

      1,003 019

      4,855 121

      2

      0,176 809

      5,422 091

      3,419 109

      3

      0,407 163

      0,518 650

      5,864 470

      4

      0,303 585

      2,751 772

      2,215 894

      5

      0,258 782

      0,602 895

      3,758 058

      6

      0,061 831

      1,016 585

      5,430 202

      7

      0,150 340

      0,143 556

      3,952 093

      8

      0,051 534

      0,153 832

      1,093 586

      9

      0,185 074

      3,324 866

      5,775 198

      10

      0,400 967

      1,935 570

      0,154 459

      11

      0,295 723

      0,429 948

      5,928 383

      12

      0,350 825

      3,228 872

      3,053 023

      13

      0,262 909

      0,848 831

      0,628 578

      14

      0,225 894

      0,073 883

      2,128 544

      15

      0,170 996

      0,203 952

      1,099 463

      16

      0,149 723

      0,194 207

      3,462 951

      17

      0,240 140

      0,924 450

      3,664 773

      18

      0,116 587

      1,381 320

      2,833 799

      19

      0,221 155

      0,640 512

      3,334 290

      20

      0,259 730

      1,368 671

      0,393 889

3. DVB-H Settings

Is DVB-H

Choice: True | False

Default: False

Double-click or use the drop-down menu to select if this configuration is DVB-H. If this value is true, DVB-H TS files are required for payload.

DVB-H system, carrying multimedia data over digital terrestrial broadcasting networks, is aiming at handheld terminals. Due to its mobility characteristics, constraints on power supply and varying transmission are the major concern in DVB-H system.

Interleaver

Choice: Native Interleaver | In-depth Interleaver

Default: Native Interleaver

Double-click or use the drop-down menu to select the interleaver.

  • native interleaver : 2k mode /4K mode/8k mode

  • In-depth symbol interleaver : 2K and 4K-modes, for further improving their robustness in mobile environment and impulse noise conditions.

Time Slicing

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to select whether the time slicing flag is set in TPS. This cell is only enabled when Is DVB-H is True.

Time-slicing is aiming at reducing the average power consumption of the terminal and enabling smooth and seamless service handover. For one thing, time-slicing enables a receiver to stay active only a fraction of the time, while receiving bursts of a requested service. For another, It also supports the possibility to use the receiver to monitor neighboring cells during the off-times (between bursts). In other words, time slicing is a method to deliver MPE (Multiprotocol Encapsulation) sections and MPE-FEC sections in bursts.

MPE-FEC

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to select whether the MPE-FEC flag is set in TPS. This cell is only enabled when Is DVB-H is True.

MPE-FEC (Multiprotocol Encapsulation - Forward Error Correction) is aimed at improving the C/N and Doppler performance in mobile channels and improving the tolerance to impulse interference.

4. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate is determined by current bandwidth, encoding, modulation and framing configurations.

Supported File Size

The supported file size for current settings.

Payload

The TS payload settings.

Data Source Type

Choice: Test Pattern | Demo File | TS File

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If "TS File" is selected, "File Name" is required.

Learn more about the different Data Source Types, refer to the page Data Source Type.

TS Wizard is not available for this format.

Pattern Bits

The data bits used as test pattern.

Click the right button to open Closed "Data Pattern Selection" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

Video Type

Choice: NTSC | PAL

Default: PAL

Double-click or use the drop-down menu to select whether the PAL or NTSC file is demo File. This cell is only enabled when Data Source Type is Demo File.

There are two predominant worldwide video-based source material formats, shown as follows:

  • NTSC: National Television System Committee, the system used in America & Canada

  • PAL: Phase Alternating Line, the system used in Western Europe and Australia

Table 2 NTSC parameters list

N T S C National Television System Committee
Lines/Field | 525/60
Horizontal Frequency | 15.734 kHz
Vertical Frequency | 60 Hz
Color Sub-carrier Frequency | 3.579545 MHz
Video Bandwidth | 4.2 MHz
Sound Carrier | 4.5 MHz

Table 3 PAL parameters list

P A L Phase Alternating Line
SYSTEM PAL | PAL | PAL N | PAL M
Line/Field | 625/50 | 625/50 | 525/60
Horizontal Freq. | 15.625 kHz | 15.625 kHz | 15.750 kHz
Vertical Freq. | 50 Hz | 50 Hz | 60 Hz
Color Sub Carrier | 4.433618 MHz | 3.582056 MHz | 3.575611 MHz
Video Bandwidth | 5.0 MHz | 4.2 MHz | 4.2 MHz
Sound Carrier | 5.5 MHz | 4.5 MHz | 4.5 MHz

File Name

Click on [image] in the right side of the cell, and select the file name you set as payload.

Auto Stuffing

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to select whether or not to use auto-stuffing to agree with transport bit rate.

Loop Play

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to determine whether or not to modify the TS file to make it suitable for loop play.

File Size

The size of opened file.

Bit Rate

The bit rate of the opened file.

Play Time

The time that file can be played.


Carrier for DVB-T2

DVB-T2 is the second generation baseline transmission system for digital terrestrial television broadcasting. The following Carrier diagram illustrates the configuration of carrier basic settings in DVB-T2 format. For Physical Layer Pipe settings, please refer to the PLP page.

Multi-path Channel (not shown above) is a new parameter under 2. OFDM Settings.

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Filter Enable

Range: True or False

Default: False

Set the whether use FIR filter. “True” means use, “False” means do not use.

Filter Normalized Bandwidth

Range: 0.9 to 1.1

Default: 1.02

Set the Normalized bandwidth of FIR filter. The Normalized factor is the used bandwidth.

When the value is 1, it means the filter cutoff frequency equal the used bandwidth. When the value is less than 1, it means filter cutoff frequency less than the data bandwidth.

Filter Length

Range: 200 to 400

Default: 300

Set the FIR filter length of Brick Filter.

Frequency Offset

Range: -50.0 to 50.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The valid range will be different for every format with various oversampling ratio.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Sets the power level in dB for the selected carrier in a multiple carrier configuration, relative to the power settings defined for the other carriers in the configuration.

You can ignore this parameter for single carrier configurations. In single carrier configurations, the amplitude of the signal is determined by the Amplitude setting in the Instrument node.

2. OFDM Settings

P1 Type

Choice: SISO | MISO

Default: SISO

Only SISO is supported in this version.

Bandwidth

Choice: 1.7MHz | 5MHz | 6MHz | 7MHz | 8MHz | 10MHz

Default: 8MHz

Double-click or use the drop-down menu to select the bandwidth.

PAPR Type

Choice: No PAPR | TR-PAPR

Default: No PAPR

PAPR is Peak to Average Power Ratio.

No PAPR means no PAPR reduction is used, while TR-PAPR means tone reservation PAPR reduction is used.

Double-click or use the drop-down menu to select PAPR reduction type.

Guard Interval

Choice: 1/128 | 1/32 | 1/16 | 19/256 | 1/8 | 19/128 | 1/4

Default: depended by FFT Size

Double-click or use the drop-down menu to select the guard interval. Different FFT Size has different Guard Interval choices.

FFT Size

Choice: 1K | 2K | 4K | 8K | 16K| 32K

Default: 2K

Double-click or use the drop-down menu to select the mode.

Pilot Pattern

Choice: PP1 to PP8

Different FFT Size and Guard Interval settings correspond to different Pilot Pattern.

Table 1 Scattered pilot pattern to be used for each allowed combination of FFT size and guard interval in SISO mode

FFT Size | Guard Interval
 | 1/128 | 1/32 | 1/16 | 19/256 | 1/8 | 19/128 | 1/4
32K | PP7 | PP4 PP6 | PP2 PP8 PP4 | PP2 PP8 PP4 | PP2 PP8 | PP2 PP8 | NA
16K | PP7 | PP7 PP4 PP6 | PP2 PP8 PP4 PP5 | PP2 PP8 PP4 PP5 | PP2 PP3 PP8 | PP2 PP3 PP8 | PP1 PP8
8k | PP7 | PP7 PP4 | PP8 PP4 PP5 | PP8 PP4 PP5 | PP2 PP3 PP8 | PP2 PP3 PP8 | PP1 PP8
4K, 2K | NA | PP7 PP4 | PP4 PP5 | NA | PP2 PP3 | NA | PP1
1K | NA | NA | PP4 PP5 | NA | PP2 PP3 | NA | PP1

Carrier Mode

Choice: Normal | Extended

1k to 4k FFT Size only have normal mode, above 8k FFT Size have normal and extended mode.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

The performance of DVB-T2 system through simulation with two channel models can be explored in this step, and up to 20 paths are supported.

  • P1 - portable reception, Simulating Rayleigh fading

  • F1 - fixed reception

    Besides, User Defined provides a more flexible way configuring each path's attenuation ρ, relative delay τ and phase shift from scattering θ.

    1. Edit the parameters values in the table directly.

    2. Or, click on the [image] button, and select a fading file (*.fading) previously configured.

    3. When you finished editing the user defined parameter configuration, click on [image] button to make a copy.

      I

      ρi

      Attenuation of the i'th path

      τi [μs]

      Relative delay of the i'th path

      θi [rad]

      Phase shift from scattering of the i'th path

      1

      0,057 662

      1,003 019

      4,855 121

      2

      0,176 809

      5,422 091

      3,419 109

      3

      0,407 163

      0,518 650

      5,864 470

      4

      0,303 585

      2,751 772

      2,215 894

      5

      0,258 782

      0,602 895

      3,758 058

      6

      0,061 831

      1,016 585

      5,430 202

      7

      0,150 340

      0,143 556

      3,952 093

      8

      0,051 534

      0,153 832

      1,093 586

      9

      0,185 074

      3,324 866

      5,775 198

      10

      0,400 967

      1,935 570

      0,154 459

      11

      0,295 723

      0,429 948

      5,928 383

      12

      0,350 825

      3,228 872

      3,053 023

      13

      0,262 909

      0,848 831

      0,628 578

      14

      0,225 894

      0,073 883

      2,128 544

      15

      0,170 996

      0,203 952

      1,099 463

      16

      0,149 723

      0,194 207

      3,462 951

      17

      0,240 140

      0,924 450

      3,664 773

      18

      0,116 587

      1,381 320

      2,833 799

      19

      0,221 155

      0,640 512

      3,334 290

      20

      0,259 730

      1,368 671

      0,393 889

3. Frame Settings

Number of Super Frames

Range: different settings are corresponding to different range values.

Set the number of super frames.

L1 Modulation Type

Choice: BPSK | QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the Layer 1 modulation type.

Data Symbol Number (Ldata)

Range: different settings are corresponding to different range values.

Default: 3(32K FFT Size) or 7(other)

Set the data OFDM symbol number.

Frame Number per SuperFrame

Range: 1 to 255

Default: 2

Set the frame number per super frame.

Network ID

Range: 0 to 65535

Default: 12421

Set the Network ID of the DVB-T2 Signal.

Cell ID

Range: 0 to 65535

Default: 0

Set the Cell ID of the DVB-T2 Signal.

T2 System ID

Range: 0 to 65535

Default: 32769

Set the T2 System ID of the DVB-T2 Signal.

4. Interface Settings

Useful Bit Rate

Show the useful bit rate.

Stream Mode

Choice: High Efficiency Mode| Normal Mode

Default: High Efficiency Mode

This version only supports Normal Mode.

Input Stream Synchronization

Input Stream Synchronization.

Null Packet Delete

Delete the null packet of TS stream


PLP (Physical Layer Pipe)

1. PLP Settings

LDPC Frame Length

Choice: Normal | Short

Default: Normal

Double-click or use the drop-down menu to select whether to use normal LDPC block size or short LDPC block size in DVB-T2.

LDPC Code Rate

Choice: 1/2 | 3/5 | 2/3 | 3/4 |4/5 | 5/6

Default: 1/2

Double-click or use the drop-down menu to select the LDPC code rate of DVB-T2.

FEC Block Number

Range: different setting has different range, the minimum is 1.

Default: 2

FEC block number in a T2 frame.

Modulation Type

Choice: QPSK | 16QAM | 64QAM | 256QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type.

Constellation Rotation

Choice: True | False

Default: False

Double-click or use the drop-down menu to select the whether constellation rotated.

Time Interleaving Block Number per Interleaving

Range: 0 to FEC Block Number

Default: 1

Set the number of time interleaving blocks per interleaving frame. The value “0” means no time interleaving is applied.

Time Interleaving Type

Default: TYPE 0

This version only supports the TYPE 0.

IF Number Per T2 Frame

Range: different setting has different range

Default: 1

This version only supports one IF per T2 Frame.

PLP Cell Number

Show the PLP Number in one frame.

PLP ID

Range: 0 to 255

Default: 0

Set the PLP ID of this PLP.

PLP Group ID

Range: 0 to 255

Default: 0

The supported file size for current settings.

Set the PLP Group ID of this PLP.

4. Data Source Settings

Supported File Size

The supported file size for current settings.

Payload

The payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Data Pattern Selection" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.


Carrier for DVB-C

Real Time

Carrier DVB-C J.83 Annex A/C

Digital Video Broadcasting Cable (DVB-C) is known as the digital multi-program television distribution system by cable. The DVB-C transmission standard is based on the MPEG-2 system layer, with the addition of appropriate forward error correction (FEC) technique. The system FEC is designed to improve bit error ratio (BER) from 10-4 to a range, 10-10 to 10-11, ensuring quasi error free (QEF) operation with approximately one uncorrected error event per transmission hour. DVB-C is based on quadrature amplitude modulation (QAM) and it allows for 16, 32, 64, 128 or 256-QAM constellations.

Multi-path Channel and Known Bit Error Rate (not shown above) are new parameters under 2. DVB-C Settings.

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. DVB-C Settings

Optimization For J.83 Annex C

Choice: True |False

Default: False

J.83-A/B/C, standardized by the International Telecommunications Union, is the specification for cable modulation schemes used for transmission of digital video and audio for different geographies.

  • ITU-T J.83 Annex B: describes the framing structure, channel coding, and modulation schemes for digital cable service in North America.

  • J.83 Annex A and J.83 Annex C: defines the cable modulation schemes for Japanese and European regions, respectively.

Modulation Type

Double-click or use the drop-down menu to select the modulation type.

When Optimization For J.83 Annex C is False:

Choice: 16QAM \32QAM \64QAM \128QAM \256QAM\1024QAM

Default: 16QAM

When Optimization For J.83 Annex C is True:

Choice: 64QAM

This parameter is not editable.

1024 QAM is only available when Minor Enhancement Update (MEU) Option U01 or greater is valid. Refer to Licenses for more information.

Filter Type

Choice: Nyquist \Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type.

Conventionally, a data transmission system employs a Nyquist filter whose reply for an impulse is zero (0) for every interval T just before and after a peak (T: data transmission interval). As replies of adjacent data are zero on a sample point of other sampled data, interference between codes can be prevented.

To function as above, a Nyquist filter whose amplitude becomes half at the point where Nyquist frequency fN (=1/2T) is used, and it is odd-symmetrically rolled off with a squared cosine around the half amplitude point in the cutoff area. In this case the phase characteristics is not considered, or is designed to have linear phase characteristics usually.

Instead of a simple Nyquist filter, low-pass filters (root Nyquist filters) having equal amplitude are set for transmission and reception and their characteristics are made the same as that of the Nyquist filter above. In this case, the root Nyquist filter must have cosine characteristics that can be made the squared cosine characteristics above.

Roll-off Factor

Range: 0 to 1

Default: 0.15

Set the roll-off factor of DVB-C. If the Optimization For J.83 Annex C cell is set to True, the default value of the roll-off factor is 0.13.

Symbol Rate

Range: 300 KHz to 10 MHz

Default: 6.9 MHz

Set the symbol rate of DVB-C. If the Optimization For J.83 Annex C cell is set to True, the default value of the symbol rate is 5.274 MHz.

With a roll-off factor of 0.15, the theoretical maximum symbol rate in an 8 MHz channel is 6.96 MBaud.

Known Bit Error Rate

Range: upper limit is 1E-1; lower limit depends on the frame length.

Default: 0

Set the known bit error rate of the DVB-C signal after RS coding.

Because of RS and differential encoding, the Number of RS Packets cell should set to be multiples of 4.

Number of RS Packets

Range: 96 to 160000

Default: 768

Set the number of RS Packets. The entered value will be automatically set to the nearest reasonable value for DVB-C.

RS Encoder

Choice: On |Off

Default: On

Double-click or use the drop-down menu to enable or disable the RS encoder. For DVB-C, when the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the convolutional interleaver directly.

Multi-path Channel

Default: OFF

To enable static multi-path channel, click on [image] in the right side of the cell, and Closed Multi-path Channel configuration window will pop up.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate is determined by current bandwidth, encoding, modulation and framing configurations.

Supported File Size

The supported file size for current settings.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type .

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Test Pattern Edit" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.


Carrier for DVB-S

Real Time

Carrier DVB-S

DVB-S (EN 300421) DVB-DSNG (EN 301210, Digital video for Satellite News Gathering): are first generation satellite communication system. The Symbol rates vary from 4 ksps to 60 Msps, DVB-S using QPSK modulation while DVB-DNSG using 8PSK and 16 QAM modulation.

Multi-path Channel (not shown above) is a new parameter under 2. DVB-S Settings.

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. DVB-S Settings

The System shall employ conventional Gray-coded QPSK modulation with absolute mapping (no differential coding).

Filter Type

Choice: Nyquist \Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type of DVB-S.

Roll-off Factor

Range: 0 to 1

Default: 0.35

Set the roll-off factor of DVB-S.

Symbol Rate

Range: 300 KHz to 50MHz

Default: 25MHz

Set the symbol rate of DVB-S.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the code rate of DVB-S.

Number of RS Packets

Range: 32 to 160000

Default: 32

Set the number of RS Packets. The entered value will be automatically set to the nearest reasonable value for DVB-S.

RS Encoder

Double-click or use the drop-down menu to enable or disable the RS encoder. For DVB-S, when the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the convolutional interleaver directly.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation and framing configurations.

Supported File Size

The supported file size for current settings.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Test Pattern Edit" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.


Carrier for DVB-S2

Real Time

Carrier DVB-S2

DVB-S2 (EN 302307) is introduced to improve the transmission capability in the same bandwidth as DVB-S. More complicated BCH and LDPC coding and high order modulation scheme such as QPSK, 8PSK, 16APSK and 32APSK are adopted.

Multi-path Channel (not shown above) is a new parameter under 2. DVB-S2 Settings.

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. DVB-S2 Settings

Filter Type

Choice: Nyquist \Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type.

Conventionally, a data transmission system employs a Nyquist filter whose reply for an impulse is zero (0) for every interval T just before and after a peak (T: data transmission interval). As replies of adjacent data are zero on a sample point of other sampled data, interference between codes can be prevented.

To function as above, a Nyquist filter whose amplitude becomes half at the point where Nyquist frequency fN (=1/2T) is used, and it is odd-symmetrically rolled off with a squared cosine around the half amplitude point in the cutoff area. In this case the phase characteristics is not considered, or is designed to have linear phase characteristics usually.

Instead of a simple Nyquist filter, low-pass filters (root Nyquist filters) having equal amplitude are set for transmission and reception and their characteristics are made the same as that of the Nyquist filter above. In this case, the root Nyquist filter must have cosine characteristics that can be made the squared cosine characteristics above.

Roll-off Factor

Range: 0 to 1

Default: 0.35

Set the roll-off factor of DVB-S2.

DVB-S2 have taken into consideration of various requirements of multiple service. For one thing, it supports a wide range of code rates (from 1/4 up to 9/10); for another, roll-off factor can be selected among 0.35, 0.25, 0.2, instead of the fixed 0.35 in DVB-S. With lower roll-off factor, higher spectrum efficiency can be achieved.

Symbol Rate

Range: 300KHz to 100MHz

Default: 10MHz

Set the symbol rate of DVB-S2.

The symbol rate is matched to given transponder characteristics, since DVB-S.2 is suitable for use on different satellite transponder bandwidths and frequency bands, and in the case of multiple carriers per transponder (FDM), to the frequency plan adopted.

Code Rate

Choice: 1/4 | 1/3 | 2/5 | 1/2 | 3/5 | 2/3 | 3/4 |4/5 | 5/6 | 8/9 | 9/10

Default: 3/4

Double-click or use the drop-down menu to select the LDPC code rate of DVB-S2.

Modulation Type

Choice: QPSK | 8PSK | 16 APSK | 32 APSK

Default: QPSK

Double-click or use the drop-down menu to select the modulation type.

FEC Frame

Choice: Normal | short

Default: Normal

Double-click or use the drop-down menu to select whether to use normal LDPC block size or short LDPC block size in DVB-S2.

FEC encoding performs outer coding (BCH), Inner Coding (LDPC) and Bit interleaving. The input stream is composed of BBFRAMEs and the output stream of FECFRAMEs. Each BBFRAME (Kbch bits) shall be processed by the FEC coding subsystem, to generate a FECFRAME (nldpc bits). The parity check bits (BCHFEC) of the systematic BCH outer code shall be appended after the BBFRAME, and the parity check bits (LDPCFEC) of the inner LDPC encoder shall be appended after the BCHFEC field, as shown below.

Figure 2 FEC Encoding Data Structure

LDPC encoding provides two kinds of frame length, one is normal frame with length 64800 bit; the other is short frame with length 16200 bit (1/4 of normal frame), shown in the following figure.

Table 1 FECFRAME (normal and short) configurations and application areas

System Configuration |  | Broadcast Services | Interactive services | DSNG | Professional Services
FECFRAME(normal) | 64800 (bits) | N | N | N | N
FECFRAME(short) | 16200 (bits) | NA | N | O | N
N = normative, O = optional, NA = not applicable.

Insert Pilot

Choice: True | false

Default: True

Double-click or use the drop-down menu to select whether to insert pilot at the physical layer in DVB-S2.

When Insert Pilot is enabled, a PILOT BLOCK composed of P = 36 pilot symbols will be inserted. Each pilot shall be an un-modulated symbol, identified by I = (1/√2), Q = (1/√2). The first PILOT BLOCK shall be inserted 16 SLOTs after the PLHEADER, the second after 32 SLOTs and so on, as represented in figure 13. If the PILOT BLOCK position coincides with the beginning of the next SOF, then the PILOT BLOCK is not transmitted. Besides, the pilot presence/absence in VCM (Variable Coding and Modulation) and ACM (Adaptive Coding and Modulation) can be changed on a frame-by-frame basis.

Number of LDPC Blocks

Range: 188, 2*188, 3*188...

Default: 188

Select the number of LDPC blocks to be generated.

This is read only when Data Source Type is not Test Pattern.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate is determined by current bandwidth, encoding, modulation and framing configurations.

Supported File Size

The supported file size for current settings.

Payload

The TS payload settings.

Data Source Type

Normal: Test Pattern | Demo File | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open Closed "Data Pattern Selection" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

Video Type

Choice: NTSC | PAL | HD 1920x1080

Default: PAL

Double-click or use the drop-down menu to select whether the PAL, NTSC or HD 1920x1080 file is demo File. This cell is only enabled when Data Source Type is Demo File.

In DVB-S2, we provide both SDTV (Standard Definition Television) and HDTV (High Definition Television).

HD 1920x1080 is a choice for HDTV.

There are two predominant worldwide video-based source material formats (SDTV), shown as follows:

  • NTSC: National Television System Committee, the system used in America & Canada

  • PAL: Phase Alternating Line, the system used in Western Europe and Australia

Table 2 NTSC parameters list

N T S C National Television System Committee
Lines/Field | 525/60
Horizontal Frequency | 15.734 kHz
Vertical Frequency | 60 Hz
Color Sub-carrier Frequency | 3.579545 MHz
Video Bandwidth | 4.2 MHz
Sound Carrier | 4.5 MHz

Table 3 PAL parameters list

P A L Phase Alternating Line
SYSTEM PAL | PAL | PAL N | PAL M
Line/Field | 625/50 | 625/50 | 525/60
Horizontal Freq. | 15.625 kHz | 15.625 kHz | 15.750 kHz
Vertical Freq. | 50 Hz | 50 Hz | 60 Hz
Color Sub Carrier | 4.433618 MHz | 3.582056 MHz | 3.575611 MHz
Video Bandwidth | 5.0 MHz | 4.2 MHz | 4.2 MHz
Sound Carrier | 5.5 MHz | 4.5 MHz | 4.5 MHz

File Name

Click on [image] in the right side of the cell, and select the file name you set as payload.

The name of the TS file as data source.

Click the right button to select and open a TS file.

If DVB-T/H, DVB-C, DVB-S, ISDB-T "RS Encoder" is off or ISDB-T "Re-Multiplexer" is off, a TS file with 204 byte packets is required;

If ATSC "RS Encoder" is off, TS file with 208 byte packets is required.

For the other situation, TS file with 188 byte packets is required.

Auto Stuffing

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to select whether or not to use auto-stuffing to agree with transport bit rate.

Loop Play

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to determine whether or not to modify the TS file to make it suitable for loop play.


Carrier for ISDB-T

Real Time

Carrier ISDB-T

Integrated Services Digital Broadcasting (ISDB) systems including ISDB-S (Satellite), ISDB-T (Terrestrial) and ISDB-C (Cable) were developed in Japan to provide flexibility and commonality for the multimedia broadcasting services using each network.

ISDB-T has been established since 1999 the ISDB-T system was adopted as the Japanese standard for digital terrestrial television broadcasting (DTTB) and digital terrestrial sound broadcasting (DTSB, ISDB-TSB) in 1999. Brazil also adopted ISDB-T as national terrestrial digital TV standard.

ISDB-T signal consists of 13 OFDM segments in a 6MHz Transmission bands. The Hierarchical transmission supports up to 3 layers , and each consists of one or more OFDM segments. Partial reception in ISDB-T allows high and low data rate program be transmitted in the same frequency band. ISDB-T 1-Seg, and ISDB-T 3-Seg are mainly for mobile video or audio transmission while 13 segments are used for HDTV or SDTV transmission.

Filter Enable (not shown above) is a new parameter under 1. Basic.

AC Setup (not shown above) is a new parameter under 2. ISDB-T Settings.

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

Window Length

Range: 0 to 128

Default: 4

Set the window length of OFDM symbol.

Filter Enable

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the baseband filter.

2. ISDB-T Settings

Region

Choice: Japan \Brazil

Default: Japan

ISDB-T video used in Japan is NTSC and in Brazil is 1080i (HD video). When Region is Japan, the Video Type of demo file is NTSC and when Region is Brazil, video type of demo file is HD1920x1080.

Number of Frames

Range: 1 to 5000

Default: 1

Set the number of frames of ISDB-T.

Number of Segments

Choice: 1 | 3 | 13

Default: 13

Double-click or use the drop-down menu to select the number of segments used.

Mode

Choice: Mode 1 | Mode 2 | Mode3

Default: Mode 3

Double-click or use the drop-down menu to select the Mode.

Three system modes represent three different spacings between OFDM carrier frequencies offered by ISDB-T, catering for the different requirements of the distance between SFN stations and the robustness to Doppler shift during mobile-reception.

As shown in the following table

  • The available spacing between OFDM carrier frequencies are approximately 4 kHz, 2 kHz and 1kHz in mode 1, 2 and 3.

  • The number of carriers used varies depending on the mode

  • Information bit rate that can be transmitted remains the same in all three modes.

Transmission Parameter | Mode 1 | Mode 2 | Mode 3
No. of OFDM segments | 13
Bandwidth | 5.575 MHz | 5.573MHz | 5.572MHz
Carrier interval | 3.968 kHz | 1.984 kHz | 0.992 kHz
No. of carriers | 1405 | 2809 | 5617
Carrier modulation | QPSK, 16QAM, 64QAM, DQPSK
Effective symbol length (Tu) | 252 μs | 504 μs | 1.008 ms
Guard-interval length (Tg) | 1/4, 1/8, 1/16, 1/32 of effective symbol length
No. of symbol per frame | 204
Time interleave | Maximum 4 values: 0, 0.1, 0.2, 0.4 sec
Frequency interleave | Intra-segment and inter-segment interleaving
Inner code | Convolutional coding (1/2, 2/3, 3/4, 5/6, 7/8)
Information bit rate | 3.65 Mbps - 23.23 Mbps
Hierarchical transmission | Maximum 3 levels (Layer A, B, and C)

Guard Interval

Choice: 1/4 | 1/8 | 1/16 | 1/32

Default: 1/8

Double-click or use the drop-down menu to select the Guard Interval.

The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

ISDB-T has four choices of guard-interval length to enable better design of a single-frequency network (SFN).

Partial Reception Enable/Transmission-segment Identification (TMCC B27)

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable partial reception.

Partial Reception represents the reception of only one OFDM segment at the center of a group of segment.

This configuration has enabled an ISDB-TSB receiver to receive one-segment service embedded in a hierarchical television signal.

RS Encoder

Choice: ON | OFF

Default: ON

Double-click or use the drop-down menu to enable or disable the RS encoder. For ISDB-T, when the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the energy dispersal directly.

Layer A

Layer A of ISDB-T.

A mixture of fixed-reception programs and mobile-reception programs is made possible through the application of hierarchical transmission achieved by band division within a channel. ”r;Hierarchical transmission” means that the three elements of channel coding, namely, the modulation scheme, the coding rate of convolutional error-correcting code, and the time interleaving length, can be independently selected.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 3/4 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK for Layer A, 64QAM for Layer B

Double-click or use the drop-down menu to select the modulation type in this layer.

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default:

For layer B: 2, the others: 4.

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

Max Rate

The Maximum Bit Rate in this layer.

Pattern Bits

Sets the user defined pattern.

Click the right button to open Closed "Data Pattern Selection" dialog and select test pattern to use.

Layer B

Layer B of ISDB-T.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 3/4 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK for Layer A, 64QAM for Layer B

Double-click or use the drop-down menu to select the modulation type in this layer.

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default:

For layer B: 2;

The others: 4.

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

Max Bit Rate

The Maximum Bit Rate in this layer.

Pattern Bits

Sets the user defined pattern.

Click the right button to open Closed "Data Pattern Selection" dialog and select test pattern to use.

Layer C

Layer C of ISDB-T.

Segment Count of Layer C will be read only and determined by Number Of Segments and Segment Count of layer A and layer B.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Max Bit Rate

The Maximum Bit Rate in this layer.

Initial Synchronizing Signal

Choice: w0 | w1

Default: w0

An synchronizing signal is designed to establish synchronism between transmission and reception of a TMCC signal and an OFDM frame.

Double-click or use the drop-down menu to select the synchronizing signal used in TMCC.

B1 -B16

Synchronizing Signal

(w0 = 0011010111101110, w1 = 1100101000010001)

Figure 1 Initial Synchronizing Signal in OFDM frame

Broadcasting Type

Choice: ISDB-T| ISDB-TSB

Default: ISDB-T

ISDB-T: Digital terrestrial television broadcasting system, in which transmission bands consist of 13 OFDM segments;

ISDB-TSB: Digital terrestrial television broadcasting system, in which transmission bands consist of one or three OFDM segments.

Figure 2 Frequency segmentation of ISDB-T and ISDB-TSB

Center Sub-Channel

Range: 1 to 40

Default: 23

To set the sub channel number by clicking on the purple rectangular, or by clicking on the [image], a Closed selection drop down dialog will pop up.

System Descriptor (TMCC B20-B21)

Range: 00 to 11

Default: 00

Set system descriptor bits in TMCC from B20 to B21.

Indicator of Transmission Parameter Switching

Range: 0000 to 1111

Default: 1111

Set the indicator of transmission-parameter switching specified in TMCC B22 to B25.

Startup Control (TMCC B26)

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to set the start flag for emergency-alarm broadcasting which is specified in TMCC B26.

Next Information (TMCC B67-B106)

Next information includes the transmission parameters following switching. If the input of next information is null, it will be the same as Current information.

Phase Correction (TMCC B107-B109)

Range: 00 to 11

Default: 00

Set phase correction bits in TMCC from B107 to B109.

Reserved (TMCC B110-B121)

Range: 000000000000 to 111111111111

Default: 000000000000

Set reserved bits in TMCC from B110 to B121.

AC Setup

Choice: Data Pattern Editor | AC Builder Tool (N7623B-Mxx license required)

Default: Data Pattern Editor

Double-click or use the drop-down menu to select the generation method of AC bits.

If the N7623-Mxx (ISDB-Tmm Advanced, ISDB-T enhancement) license is not installed in the connected instrument (MXG/EXG/ESG/PSG/PXB), the AC Builder Tool is not available. Then the AC Setup cell will be grayed out and the default value will be Data Pattern Editor.

AC

Click [image] on the right side of the cell to set the AC information.

  • If the AC Setup is set to Data Pattern Editor, a Closed Data Pattern Selection dialog will be opened up to set the test pattern to be used as AC bits.

  • If the AC Setup is set to AC Builder Tool, an Closed ISDB-T AC Builder dialog will pop up. See the topic "Using the AC Builder Tool to generate the AC signal" for the detailed steps of using ISDB-T AC builder to configure the earthquake alarm information sent in the AC bits.

    AC (Auxiliary Channel) is used to transmit additional information. AC1 is available in an equal number in all segments, while AC2 is available only in different modulated segments.

Multi-path Channel

Default: OFF

To enable static multi-path channel.

Click on [image] in the right side of the cell, and Closed Multi-path Channel configuration window will pop up.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation and framing configurations.

Supported File Size

The maximum file size supported by 64MSa memory of MXG/EXG/ESG/PSG.

Re-Multiplexer

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to enable or disable the Re-Multiplexer.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Test Pattern Edit" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

Video Type

Choice: NTSC | PAL| HD 1920x1080

Default: PAL

Double-click or use the drop-down menu to select whether the PAL or NTSC file is demo File. This cell is only enabled when Data Source Type is Demo File.

There are two predominant worldwide video-based source material formats, shown as follows:

  • NTSC: National Television System Committee, the system used in America & Canada

  • PAL: Phase Alternating Line, the system used in Western Europe and Australia

N T S C National Television System Committee
Lines/Field | 525/60
Horizontal Frequency | 15.734 kHz
Vertical Frequency | 60 Hz
Color Sub-carrier Frequency | 3.579545 MHz
Video Bandwidth | 4.2 MHz
Sound Carrier | 4.5 MHz
P A L Phase Alternating Line
SYSTEM PAL | PAL | PAL N | PAL M
Line/Field | 625/50 | 625/50 | 525/60
Horizontal Freq. | 15.625 kHz | 15.625 kHz | 15.750 kHz
Vertical Freq. | 50 Hz | 50 Hz | 60 Hz
Color Sub Carrier | 4.433618 MHz | 3.582056 MHz | 3.575611 MHz
Video Bandwidth | 5.0 MHz | 4.2 MHz | 4.2 MHz
Sound Carrier | 5.5 MHz | 4.5 MHz | 4.5 MHz

File Size

The size of opened file.

Bit Rate

The bit rate of the opened file.

Play Time

The time that file can be played.

PID Assign

The PIDs assignment information.


Carrier for ISDB-Tmm

ISDB-Tmm (Terrestrial Mobile Multi-media) is an extension of the former ISDB-T standard and now is adopted for the nationwide mobile multimedia broadcasting in Japan. It is scheduled to use 207.5 MHz ~ 222 MHz frequency band.

There are a flexible number of segments in ISDB-Tmm signals, from 13 to 33 segments; then the bandwidth can vary approximately from 6 MHz to 14.5 MHz. ISDB-Tmm also offers the flexibility of combining the segments into two different super segment types as below.

  • Type A Super segment: 13 segments OFDM frame compliant with ARIB STD B31. A type A super segment can have up to 3 layers.

  • Type B Super segment: OFDM frame consisted of less or equal 14 conjugated single segments compliant with ARIB STD B29. The segments in type B super segment can have different configurations.

Click the link of each parameter below for details.

1. Basic | 2. ISDB-Tmm Segment Settings
State Format Frequency Offset Initial Phase Power Window Length | Number of Frames Mode Guard Interval Multi-path Channel

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -50.0 to 50.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

Window Length

Range: 0 to 128

Default: 0

Set the window length of OFDM symbol.

2. ISDB-Tmm Segment Settings

Number of Frames

Range: 2 to 5000

Default: 2

Set the number of frames for the ISDB-Tmm waveform.

Mode

Choice: Mode 1 | Mode 2 | Mode3

Default: Mode 3

Double-click or use the drop-down menu to select the Mode.

Three system modes represent three different spacings between OFDM carrier frequencies offered by the standard, catering for the different requirements of the distance between SFN stations and the robustness to Doppler shift during mobile-reception.

As shown in the following table, the available spacing between OFDM carrier frequencies are approximately 4 kHz, 2 kHz, and 1kHz in mode 1, mode 2, and mode 3.

Transmission parameter | Mode 1 | Mode 2 | Mode 3
Carrier interval | 3.968 kHz | 1.984 kHz | 0.992 kHz
Carrier modulation | QPSK, 16QAM, 64QAM, DQPSK
Effective symbol length (Tu) | 252 μs | 504 μs | 1.008 ms
Guard-interval length (Tg) | 1/4, 1/8, 1/16, 1/32 of effective symbol length
No. of symbol per frame (OFDM symbol) | 204
Inner code | Convolutional coding (1/2, 2/3, 3/4, 5/6, 7/8)
Outer code | RS (204, 188)

Guard Interval

Choice: 1/4 | 1/8 | 1/16 | 1/32

Default: 1/4

Double-click or use the drop-down menu to select the Guard Interval.

The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Multi-path Channel

Default: OFF

To enable static multi-path channel, click [image] on the right side of the cell, and Closed Multi-path Channel configuration window will pop up.

Related Topics

Super Segment n

1-seg n


Super Segment n

Use the settings under Closed Super Segment n node to configure parameters for super segments.

ISDB-Tmm Combined Framing Table

Super Segment Setting Table

ISDB-Tmm Combined Framing Table

: Press this button to add a new super segment. It will open the Closed Segment Assignment dialog in which you can set the segment type, start segment number, and stop segment number for the super segment to be added.

If all the 33 segments are already assigned in the combined OFDM framing, an error message Closed "Segments have been fully occupied. Please free some segments first" will appear in the segment assignment dialog. In this case, you need to free some segments by adjusting the Start Segment Number and End Segment Number of super segments.

: Press this button to delete the selected super segment(s).

Super-Seg No#: Displays the super segment index.

Start Segment Number: Displays the start segment number of each super segment.

End Segment Number: Displays the stop segment number of each super segment.

Type: Displays the type of each super segment.

Super Segment Setting Table

If the super segment type is set to type A, the super segment setting table should look like below.

If the super segment type is set to type B, the super segment setting table should look like below. You need to configure the parameters for each segment under Closed 1-seg n node.

Click the link of each parameter below for details.

1. Basic

Index

Segment Center Frequency

Super Segment Type

Number of Segments

Start Segment Number

End Segment Number

2. ISDB-Tmm Segment Settings

Partial Reception/Transmission-segment Identification (TMCC B27)

RS Encoder

Layer A

Segment Count

Code Rate

Modulation Type

I (Parameter for the Length of Time Interleaving )

Max Rate

Pattern Bits

Layer B

Segment Count

Code Rate

Modulation Type

I (Parameter for the Length of Time Interleaving )

Max Rate

Pattern Bits

Layer C

Segment Count

Max Rate

Initial Synchronizing Signal

Broadcasting Type

System Descriptor (TMCC B20-B21)

Indicator of Transmission-parameter Switching (TMCC B22-B25)

Startup Control (TMCC B26)

Next Information (TMCC B67-B106)

Phase Correction (TMCC B107-B109)

Reserved (TMCC B110-B121)

AC Setup

AC

3. Data Source Settings

Useful Bit Rate

Supported File Size

Re-Multiplexer

Payload

Data Source Type

Sync Insertion

1. Basic

Index

This cell displays the super segment index.

Segment Center Frequency

This cell displays the center frequency of the super segment.

Super Segment Type

Choice: Type A | Type B

Double-click or use the drop-down menu to select the super segment type.

  • Type A Super segment: 13 segments OFDM frame compliant with ARIB STD B31. A type A super segment can have up to 3 layers. If the super segment type is set to Type A, you can set the parameters for the super segment in 2. ISDB-Tmm Segment Settings table and 3. Data Source Settings table under the current node.

  • Type B Super segment: OFDM frame consisted of less or equal 14 conjugated single segments compliant with ARIB STD B29. The segments in type B super segment can have different configurations. If the super segment type is set to Type B, you need to configure parameters for each segment under Closed 1-seg n node.

    If the current super segment type is type B and there are less than 13 segments between the start segment number of this super segment and the start segment number of the next super segment, an Closed error window will pop up if you change the super segment type to type A. In this case, you need to free some segments before changing the super segment type.

Number of Segments

Range: 13 for type A super segments, 1~14 for type B super segments

Default: 13 for type A super segments, 7 for type B super segments

This cell displays the number of segments in the super segment.

Start Segment Number

Set the start segment number for the current super segment.

End Segment Number

Set the end segment number for the current super segment.

Note that if the super segment type is set to type A, this cell is grayed out and the displayed value is the start segment number plus 12.

2. ISDB-Tmm Segment Settings

Partial Reception Enable/Transmission-segment Identification (TMCC B27)

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable partial reception and set the TMCC B27 accordingly.

Partial Reception represents the reception of only one OFDM segment at the center of a group of segment.

This configuration enables an ISDB-TSB receiver to receive one-segment service embedded in a hierarchical television signal.

RS Encoder

Choice: ON | OFF

Default: ON

Double-click or use the drop-down menu to enable or disable the RS encoder. If the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the energy dispersal directly.

Layer A

This cell displays the settings of hierarchical layer A of the current super segment.

A mixture of fixed-reception programs and mobile-reception programs is made possible through the application of hierarchical transmission achieved by band division within a channel. ”Hierarchical transmission” means that the three elements of channel coding, namely, the modulation scheme, the coding rate of convolutional error-correcting code, and the time interleaving length, can be independently selected.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 1/2 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK for Layer A, 16QAM for Layer B

Double-click or use the drop-down menu to select the modulation type in this layer.

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default: 4

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

Max Rate

This cell displays the maximum bit rate in this layer.

Pattern Bits

Sets the user defined pattern for layer A. This cell is visible only when the Data Source Type is set to Test Pattern.

Click [image] on the right side of the cell to open Closed Data Pattern Selection dialog and select test pattern to use.

Layer B

This cell displays the settings of hierarchical layer B of the current super segment.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 1/2 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK for Layer A, 16QAM for Layer B

Double-click or use the drop-down menu to select the modulation type in this layer.

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default: 4

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

Max Bit Rate

The Maximum Bit Rate in this layer.

Pattern Bits

Sets the user defined pattern for layer B. This cell is visible only when the Data Source Type is set to Test Pattern.

Click [image] on the right side of the cell to open Closed Data Pattern Selection dialog and select test pattern to use.

Layer C

This cell displays the settings of hierarchical layer C of the current super segment.

The Segment Count of Layer C will only be read and determined by the Number of Segments and the Segment Count of layer A and layer B.

If the Segment Count of layer C is zero, the two cell below displayed in the submenu. If not, the display of the submenu is the same to Layer A and Layer B.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

Max Bit Rate

The Maximum Bit Rate in this layer.

Initial Synchronizing Signal

Choice: w0 | w1

Default: w0

An synchronizing signal is designed to establish synchronism between transmission and reception of a TMCC signal and an OFDM frame.

Double-click or use the drop-down menu to select the synchronizing signal used in TMCC.

B1 -B16

Synchronizing Signal

(w0 = 0011010111101110, w1 = 1100101000010001)

Figure 1 Initial Synchronizing Signal in OFDM frame

Broadcasting Type

This cell displays the broadcasting type for the current super segment. If the super segment type is type A, the broadcasting type is ISDB-T.

ISDB-T: Digital terrestrial television broadcasting system, in which transmission bands consist of 13 OFDM segments;

ISDB-Tsb: Digital terrestrial television broadcasting system, in which transmission bands consist of one OFDM segments.

System Descriptor (TMCC B20-B21)

This cell displays system descriptor bits in TMCC from B20 to B21."00" stands for ISDB-T system and "01" stands for ISDB-Tsb system.

Indicator of Transmission Parameter Switching

Range: 0000 to 1111

Default: 1111

Set the indicator of transmission-parameter switching specified in TMCC B22 to B25.

Startup Control (TMCC B26)

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to set the start flag for emergency-alarm broadcasting which is specified in TMCC B26.

Next Information (TMCC B67-B106)

Set the next information, which includes the transmission parameters following switching. If the next information input is null, it will be the same as the current information.

Phase Correction (TMCC B107-B109)

Range: 00 to 11

Default: 00

Set phase correction bits in TMCC from B107 to B109.

Reserved (TMCC B110-B121)

Range: 000000000000 to 111111111111

Default: 000000000000

Set reserved bits in TMCC from B110 to B121.

AC Setup

Choice: Data Pattern Editor | AC Builder Tool

Default: Data Pattern Editor

Double-click or use the drop-down menu to select the generation method of AC bits.

AC

Click [image] on the right side of the cell to set the AC information.

  • If the AC Setup is set to Data Pattern Editor, a Closed Data Pattern Selection dialog will be opened up to set the test pattern to be used as AC bits.

  • If the AC Setup is set to AC Builder Tool, an Closed ISDB-T AC Builder dialog will pop up. See the topic "Using the AC Builder Tool to generate the AC signal" for the detailed steps of using ISDB-T AC builder to configure the earthquake alarm information sent in the AC bits.

    AC (Auxiliary Channel) is used to transmit additional information. AC1 is available in an equal number in all segments, while AC2 is available only in different modulated segments.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation, and framing configurations.

Supported File Size

The supported file size for the current settings.

Re-Multiplexer

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to enable or disable the Re-Multiplexer.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

Double-click or use the drop-down menu to select which type to be used as the data source.

  • If "Test Pattern" is selected, the "Pattern Bits" needs to be specified under the settings for each layer included in this super segment.

  • If ”Demo file” is selected, two video type demos are available, PAL and NTSC. You can assign the PIDs in the demo file to each layer using PID Assign cell.

  • If "TS File" is selected, "File Name" is required; You need to load a TS file first and then assign the PIDs in the TS file to each layer using PID Assign cell.

  • If "TS File Wizard" is selected, "File Wizard" is available. Following the steps in "Import the transport stream file" to customize your TS file.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

Video Type

Choice: NTSC | PAL

Default: PAL

Double-click or use the drop-down menu to select whether the PAL or NTSC file is demo File. This cell is only enabled when Data Source Type is Demo File.

There are two predominant worldwide video-based source material formats, shown as follows:

  • NTSC: National Television System Committee, the system used in America & Canada

  • PAL: Phase Alternating Line, the system used in Western Europe and Australia

N T S C National Television System Committee
Lines/Field | 525/60
Horizontal Frequency | 15.734 kHz
Vertical Frequency | 60 Hz
Color Sub-carrier Frequency | 3.579545 MHz
Video Bandwidth | 4.2 MHz
Sound Carrier | 4.5 MHz
P A L Phase Alternating Line
SYSTEM PAL | PAL | PAL N | PAL M
Line/Field | 625/50 | 625/50 | 525/60
Horizontal Freq. | 15.625 kHz | 15.625 kHz | 15.750 kHz
Vertical Freq. | 50 Hz | 50 Hz | 60 Hz
Color Sub Carrier | 4.433618 MHz | 3.582056 MHz | 3.575611 MHz
Video Bandwidth | 5.0 MHz | 4.2 MHz | 4.2 MHz
Sound Carrier | 5.5 MHz | 4.5 MHz | 4.5 MHz

File Name

Click [image] on the right side of the cell to load your desired TS file.

This cell is visible only when the Data Source Type is set to TS File.

Auto Stuffing

Choice: On | Off

Default: On

Double-click or use the drop down menu to select whether or not to use auto-stuffing to agree with the transport bit rate.

This cell is visible only when the Data Source Type is set to TS File.

Loop Play

Choice: On | Off

Default: On

Double-click or use the drop-down menu to determine whether or not to modify the TS file to make it suitable for loop play.

This cell is visible only when the Data Source Type is set to TS File.

File Size

This cell displays the size of opened file.

Bit Rate

This cell displays the bit rate of the opened file.

Play Time

This cell displays the time that file can be played.

PID Assign

Click [image] on the right side of the cell to assign the PIDs to each layer in the Closed PID Assign window.

To assign a PID to Layer B (for example):

  1. Click and select the PID.

  2. Click the Add to Layer B >> button. The selected PID will be assigned to layer B then.

The cell is visible only when the Data Source Type is set to Demo File or TS File.

Related Topics

Carrier for ISDB-Tmm

1-seg n

Using the AC Builder Tool to generate the AC signal


1-seg n

Use the settings under Closed 1-seg n node to configure parameters for each segment when the super segment type is set to Type B.

Segment Configuration Table

1-seg n Setting Table

Segment Configuration Table

Seg No# shows the segment index in the current type B super segment.

Code Rate shows the code rate of the convolutional coder in the segment.

Modulation Type shows the modulation format used in the segment.

1-seg n Setting Table

1. Basic

Index

Segment Center Frequency

Number of Segments

Start Segment Number

End Segment Number

2. ISDB-Tmm Segment Settings

RS Encoder

Layer A

Segment Count

Code Rate

Modulation Type

I (Parameter for the Length of Time Interleaving )

Max Rate

Pattern Bits

Initial Synchronizing Signal

Broadcasting Type

Center Sub-channel

System Descriptor (TMCC B20-B21)

Indicator of Transmission-parameter Switching (TMCC B22-B25)

Startup Control (TMCC B26)

Next Information (TMCC B67-B106)

Phase Correction (TMCC B107-B109)

Reserved (TMCC B110-B121)

AC Setup

AC

3. Data Source Settings

Useful Bit Rate

Supported File Size

Re-Multiplexer

Payload

Data Source Type

Sync Insertion

1. Basic

Index

This cell displays the super segment index.

Segment Center Frequency

This cell displays the center frequency of the super segment.

Number of Segments

This cell displays the number of segments in the super segment.

Start Segment Number

Range: 0 to 32

Set the start segment number of the current super segment.

End Segment Number

Range: 0 to 32

This cell displays end segment number of the current super segment.

In this setting table, the value of the end segment number is the same to the start segment number.

2. ISDB-Tmm Segment Settings

RS Encoder

Choice: ON | OFF

Default: ON

Double-click or use the drop-down menu to enable or disable the RS encoder. If the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the energy dispersal directly.

Layer A

This cell displays the settings of hierarchical layer A of the current super segment. There is only one layer in the 1-segment form.

Segment Count

This cell displays the number of segments assigned to this layer, which is 1 in the 1-segment form.

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type in this layer.

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default: 4

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

Max Rate

This cell displays the maximum bit rate in this layer.

Pattern Bits

Sets the user defined pattern. This cell is visible only when the Data Source Type is set to Test Pattern.

Click the right button to open Closed Data Pattern Selection dialog and select test pattern to use.

Initial Synchronizing Signal

Choice: w0 | w1

Default: w0

An synchronizing signal is designed to establish synchronism between transmission and reception of a TMCC signal and an OFDM frame.

Double-click or use the drop-down menu to select the synchronizing signal used in TMCC.

B1 -B16

Synchronizing Signal

(w0 = 0011010111101110, w1 = 1100101000010001)

Figure 1 Initial Synchronizing Signal in OFDM frame

Broadcasting Type

This cell displays the broadcasting type. For 1-segment form, it is always ISDB-Tsb.

ISDB-T: Digital terrestrial television broadcasting system, in which transmission bands consist of 13 OFDM segments;

ISDB-Tsb: Digital terrestrial television broadcasting system, in which transmission bands consist of one OFDM segments.

Center Sub-channel

Set the sub-channel number for the current segment. The initial value of the PRBS-generating circuit for the current segment is decided by the sub-channel number.

System Descriptor (TMCC B20-B21)

This cell displays system descriptor bits in TMCC from B20 to B21."00" stands for ISDB-T system. "01" stands for ISDB-Tsb system.

Indicator of Transmission Parameter Switching

Range: 0000 to 1111

Default: 1111

Set the indicator of transmission-parameter switching specified in TMCC B22 to B25.

Startup Control (TMCC B26)

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to set the start flag for emergency-alarm broadcasting which is specified in TMCC B26.

Next Information (TMCC B67-B106)

Set the next information, which includes the transmission parameters following switching. If the next information input is null, it will be the same as the current information.

Phase Correction (TMCC B107-B109)

Range: 00 to 11

Default: 00

Set phase correction bits in TMCC from B107 to B109.

Reserved (TMCC B110-B121)

Range: 000000000000 to 111111111111

Default: 000000000000

Set reserved bits in TMCC from B110 to B121.

AC Setup

Choice: Data Pattern Editor | AC Builder Tool

Default: Data Pattern Editor

Double-click or use the drop-down menu to select the generation method of AC bits.

AC

Click [image] on the right side of the cell to set the AC information.

  • If the AC Setup is set to Data Pattern Editor, a Closed Data Pattern Selection dialog will be opened up to set the test pattern to be used as AC bits.

  • If the AC Setup is set to AC Builder Tool, an Closed ISDB-T AC Builder dialog will pop up. See the topic "Using the AC Builder Tool to generate the AC signal" for the detailed steps of using ISDB-T AC builder to configure the earthquake alarm information sent in the AC bits.

    AC (Auxiliary Channel) is used to transmit additional information. AC1 is available in an equal number in all segments, while AC2 is available only in different modulated segments.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation, and framing configurations.

Supported File Size

The supported file size for the current settings.

Re-Multiplexer

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to enable or disable the Re-Multiplexer.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If TS File" is selected, "File Name" is required;

If "TS File Wizard" is selected, "File Wizard" is available. Following the steps in "Import the transport stream file" to customize your TS file.

To learn more about the different Data Source Types, refer to the topic "Data Source Type".

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

File Name

Click [image] on the right side of the cell to load your desired TS file.

This cell is visible only when the Data Source Type is set to TS File.

Auto Stuffing

Choice: On | Off

Default: On

Double-click or use the drop down menu to select whether or not to use auto-stuffing to agree with the transport bit rate.

This cell is visible only when the Data Source Type is set to TS File.

Loop Play

Choice: On | Off

Default: On

Double-click or use the drop-down menu to determine whether or not to modify the TS file to make it suitable for loop play.

This cell is visible only when the Data Source Type is set to TS File.

File Size

This cell displays the size of opened file.

Bit Rate

This cell displays the bit rate of the opened file.

Play Time

This cell displays the time that file can be played.

Related Topics

Carrier for ISDB-Tmm

Super Segment n

Using the AC Builder Tool to generate the AC signal


Carrier for ATSC

Real Time

Carrier ATSC

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

The valid range will be different for every format with various over-sampling ratio.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. ATSC Settings

Number of Frames

Range:1 to 5000

Default: 1

Set the number of ATSC Data frames.

Modulation Type

Choice: 8VSB | 16VSB

Default: 8VSB

Double-click or use the drop-down menu to select the modulation type of ATSC.

Pre-Coder

Choice: ON | OFF

Default: ON

Double-click or use the drop-down menu to enable or disable the Pre-Coder.

This entry is only available when modulation type is 8VSB.

RS Encoder

Choice: ON | OFF

Default: ON

Double-click or use the drop-down menu to enable or disable the RS encoder. For ATSC, when the RS encoder is off, the payload is treated as the output of a RS encoder and fed into the convolutional interleaver directly.

Filter Type

Choice: Root Nyquist | Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type of ATSC.

Roll-off Factor

Range: 0 to 1

Default: 0.1152

Set the roll-off factor of ATSC.

Multi-path Channel

Default: OFF

To enable static multi-path channel.

Click on [image] in the right side of the cell, and Closed Multi-path Channel configuration window will pop up.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation and framing configurations.

Supported File Size

The maximum file size supported by 64MSa memory of MXG/EXG/ESG/PSG.

Payload

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Test Pattern Edit" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.


Carrier for ATSC-M/H

ATSC-M/H (Advanced Television Systems Committee - Mobile/Handheld) is an extension to the ATSC standard for the delivery of real-time and non-real-time television content and data to mobile and handheld receivers. For a detailed introduction of the ASTC-M/H transmission system, refer to ATSC-M/H Transmission System Introduction.

Click on the link of each parameter for details.

1. Basic | 2. ATSC-M/H Settings | 3. Data Source Settings
State Format Frequency Offset Initial Phase Power | Number of M/H Frames Number of VSB Frames Modulation Type Filter Type Roll-off Factor TNoG Multi-path Channel | Useful Bit Rate Payload Type Supported File Size Main Service Payload Data Source Type Pattern Bits SYNC Insertion Multiplexed TS File

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -50.0 to 50.0 MHz

Set the frequency offset for the carrier relative to the signal generator’s center frequency.

The valid range will be different for every format with various over-sampling ratio.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Sets the power level in dB for the selected carrier in a multiple carrier configuration, relative to the power settings defined for the other carriers in the configuration.

You can ignore this parameter for single carrier configurations. In single carrier configurations, the amplitude of the signal is determined by the Amplitude setting in the Instrument node.

2. ATSC- M/H Settings

Number of M/H Frames

Range: 1 to 250

Default: 1

Set the number of ATSC-M/H frames. One M/H frame consists of 20 VSB frames.

To learn more about the M/H Frame structure, refer to ATSC-M/H Frame Structure.

Number of VSB Frames

Range: 1: 5000

Default: 20

This cell shows the number of VSB frames. Each M/H frame contains 20 VSB frames.

Modulation Type

View the modulation type, 8VSB.

Filter Type

Choice: Root Nyquist | Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type for the ATSC-M/H signal.

Roll-off Factor

Range: 0 to 1

Default: 0.1152

Set the roll-off factor for the ATSC-M/H signal.

TNoG

Range: 1 to 16

Default: 1

View the total number of groups per M/H sub-frame under current settings.

Multi-path Channel

Default: OFF

To enable static multi-path channel, click on [image] in the right side of the cell, the Closed Multi-path Channel configuration window

will pop up.

3. Data Source Settings

Useful Bit Rate

View the useful bit rate, which can be transmitted by current encoding, modulation, and framing configurations.

Payload Type

Choice: Main & M/H Service | Multiplexed TS

Default: Main & M/H Service

Double-click or use the drop-down menu to select the payload type for ATSC M/H.

The two types of payloads correspond to two input points in the Closed ATSC-M/H transmission system: Point A and Point B.

  • Main & M/H Service: If this payload type is selected, the input payloads should be the main service payload and the M/H service payload at point A. Then you need to configure both the Main Service Payload under the Closed Carrier node and the M/H Service Payload for each parade under the Closed Parade node.

  • Multiplexed TS: If this payload type is selected, the input payload should be the service data after packet multiplexer at point B, including both the M/H service data and main service data. In this case, the software will decode the TPC (Transmission Parameter Channel) information from the input multiplexed TS and then couple to the settings for each parades automatically. All the settings under Parade node will be grayed out.

Supported File Size

View the supported file size for the current settings.

Main Service Payload

Data Source Type

Choice: Test Pattern | Demo File | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the main service payload.

If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

To learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

Set the data bits used as test pattern.

Click the [image] in the right side of the cell to open "Data Pattern Selection" dialog and select the test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether or not the SYNC byte (0x47) will be inserted into the test pattern.

Multiplexed TS File

Click the [image] in the right side of the cell to browse the computer and select a multiplexed TS file for the ATSC-M/H signal.

If a multiplexed TS file is selected, the software will decode the TPC (Transmission Parameter Channel) information, which includes the parameters for the M/H frame and each parade, from the input multiplexed TS and then couple the parameters to the settings for each parades automatically. Thus, all the settings under Parade node will be grayed out.

Related Topics

ATSC-M/H Transmission System Introduction

ATSC-M/H Frame Structure


Parade 0

Click on the link of each parameter for details.

Use the settings under Closed parade node to configure a parade. You can add a parade by clicking the [image] or delete a parade by clicking the [image] on the top of the page.

1. Parade Settings | 2. Data Source Settings
NoG Parade ID RS Frame Mode SCCC Mode RS Code Rate SCCC Code Rate A SCCC Code Rate B SCCC Code Rate C SCCC Code Rate D | M/H Service Payload Data Source Type Pattern Bits IP Stream File

1. Parade Settings

NoG

Range: 1 to 8

Default: 1

Set the number of groups for the current ATSC-M/H parade. To learn more about groups and parades, refer to ATSC-M/H Frame Structure.

Parade ID

Range: 0 to 127

Set the parade index for the current ATSC-M/H parade.

RS Frame Mode

View the RS frame mode. In this version, only Single mode is supported.

The RS Frame mode "Single" means the RS Frame encoder produces one (primary) RS frame, which will be transmitted in Regions A, B, C, and D of M/H groups.

SCCC Mode

Choice: Paired | Separate

Default: Paired

Double-click or use the drop down menu to select the SCCC (serial concatenated convolutional coding) mode of current ATSC-M/H parade. To learn more about SCCC mode, refer to SCCC mode.

If the SCCC mode is set to Paired, the SCCC Code Rate B, SCCC Code Rate C, and SCCC Code Rate D cells will be grayed out, because in this case the four group regions (A, B, C, D) shall have the same SCCC code rate.

RS Code Rate

Choice: RS(235, 187) | RS(223, 187) | RS(211, 187)

Default: RS(235, 187)

Double-click or use the drop down menu to select the RS code rate for the current ATSC-M/H parade.

SCCC Code Rate A

Choice: 1/2 | 1/4

Default: 1/2

Double-click or use the drop down menu to select the SCCC code rate for the group region A of current ATSC-M/H parade.

If the SCCC mode is set to paired, the SCCC code rate for the four group regions is the same and set through this cell.

SCCC Code Rate B

Choice: 1/2 | 1/4

Default: 1/2

Double-click or use the drop down menu to select the SCCC code rate for the group region B of the current ATSC-M/H parade.

This cell is grayed out if SCCC mode is set to paired; then the SCCC code rate B is the same to SCCC code rate A.

SCCC Code Rate C

Choice: 1/2 | 1/4

Default: 1/2

Double-click or use the drop down menu to select the SCCC code rate for the group region C of the current ATSC-M/H parade.

This cell is grayed out if SCCC mode is set to paired; then the SCCC code rate C is the same to SCCC code rate A.

SCCC Code Rate D

Choice: 1/2 | 1/4

Default: 1/2

Double-click or use the drop down menu to select the SCCC code rate for the group region D of the current ATSC-M/H parade.

This cell is grayed out if SCCC mode is set to paired; then the SCCC code rate D is the same to SCCC code rate A.

2. Data Source Settings

M/H Service Payload

Data Source Type

Choice: Pattern | IP Stream

Default: Pattern

Double-click or use the drop-down menu to select the data source type for the current ATSC-M/H parade.

If the data source type is set to IP stream, the IP Stream File cell appears in the place of Pattern Bits cell.

Pattern Bits

Set the data bits used as test pattern.

Click the [image] in the right side of the cell to open the Data Pattern Selection dialog and select test pattern to use.

IP Stream File

Click the [image] in the right side of the cell to browse your computer and select the input IP stream file for the current parade.

This cell only appears when Data Source Type is set to IP Stream.

Related Topics

ATSC-M/H Transmission System Introduction

ATSC-M/H Frame Structure

SCCC Mode


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Carrier for J.83 Annex B

J.83 Annex B, applied for a digital multi-service television distribution system submitted to the ITU-T specific to a cable channel and based upon testing and characterization of cable systems in North America, can be used transparently with the distribution from a satellite channel, as many cable systems are fed directly from satellite links. The specification covers both 64 QAM and 256 QAM.

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. J.83/B Settings

Optimization For DOCSIS DS

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable the optimization for DOCSIS DS.

Modulation Type

Choice: 64QAM |256 QAM

Default: 64QAM

Select the Modulation type of the carrier.

J.83 Annex B provides two distinct operating modes of interleaving capability are specified, called level 1 and level 2. Level 1 is specified for 64-QAM transmission only while Level 2 encompasses 64-QAM and 256-QAM transmission, and for both modulation schemes is capable of supporting variable interleaving.

Filter Type

Choice: Nyquist \Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type.

Conventionally, a data transmission system employs a Nyquist filter whose reply for an impulse is zero (0) for every interval T just before and after a peak (T: data transmission interval). As replies of adjacent data are zero on a sample point of other sampled data, interference between codes can be prevented.

To function as above, a Nyquist filter whose amplitude becomes half at the point where Nyquist frequency fN (=1/2T) is used, and it is odd-symmetrically rolled off with a squared cosine around the half amplitude point in the cutoff area. In this case the phase characteristics is not considered, or is designed to have linear phase characteristics usually.

Instead of a simple Nyquist filter, low-pass filters (root Nyquist filters) having equal amplitude are set for transmission and reception and their characteristics are made the same as that of the Nyquist filter above. In this case, the root Nyquist filter must have cosine characteristics that can be made the squared cosine characteristics above.

Roll-off Factor

Range: 0 to 1

Default: 0.18

Set the roll-off factor of J.83 Annex B.

Symbol Rate

Range: 300 KHz to 10MHz

Default: 5.0569410 MHz

Set the symbol rate of J.83 Annex B.

Known Bit Error Rate

Range: upper limit is 1E-4, lower limit depends on frame length.

Default: 0

Set the known bit error rate of J.83 Annex B after RS. The error bits are added after RS coding. Caution: Because of RS and differential encoding, the TS packages should set to be multiple of 6405*4 (recommend 25620), data source should be test pattern of ”r;all ones”, ”r;all zeros”, ”r;PN9”, ”r;PN15”. Otherwise, there may be some unexpected error bit when the frame loops.

MPEG-2 Transport Parity Checksum

Choices:On | Off

Default: On

Set whether to use MPEG-2 Trasport Parity Checksum. When this is false, 188-byte TS package boundary is ignored so shorter waveform is supported.

Number of TS Packets

Range: depends on modulation type and instrument memory size limitation

Default: 6405

The number of TS Packets in J.83 Annex B. Number of TS Packets will be coupled to a valid value based on current modulation type. Number of TS Packets is calculated when Data Source Type is Demo File, TS File and TS File Wizard.

Number of RS Blocks

Range: 210 to 160000

Default: 210

The number of RS Blocks in J.83 Annex B. Number of RS Blocks is valid when MPEG-2 Transport Parity Checksum is Off.

Interleaving

Choice:
 I = 128, J = 1 I = 128, J = 2| I = 64, J = 2| I
 = 128, J = 3 | I = 32, J = 4 | I = 128, J = 4 | I = 16, J = 8 | I = 128,
 J = 5 | I = 8, J = 16 | I = 128, J = 6 | I = 128, J = 7 | I = 128, J =
 8

Default: I = 128, J = 1

Interleaving is included in the model between the R-S block coding and the randomizer to enable the correction of burst noise induced errors. In both 64-QAM and 256-QAM a convolutional interleaver is employed, which consists of a single fixed structure for the nominal 64-QAM (level 1), and a programmable structure for both 64-QAM and 256-QAM (level 2). The I and J interleaving parameters means '# of taps' and 'increment' separately.

Two distinct operating modes are provided regarding to the interleaving capability, that is level 1 and level 2.

  • Level 1 is specified for 64-QAM transmission only. This mode accommodates the installed base of legacy 64-QAM-only digital set tops. While operating in level 1, a single interleaving depth will be supported; namely I=128, J=1.

  • Level 2 shall encompass 64-QAM and 256-QAM transmission, and will for both modulation schemes be capable of supporting variable interleaving. This will include both enlarged and reduced interleaving depths relative to the nominal 64-QAM (level 1) configuration. Four data bits are transmitted in-band during the FEC frame sync interval to convey the interleaving parameters to the receiver for a given channel.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate is determined by current bandwidth, encoding, modulation and framing configurations.

Supported File Size

The supported file size for current settings.

Payload

The TS payload settings.

Data Source Type

Choice: Test Pattern | Demo File | TS File | TS File Wizard | Binary Pattern File

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source. If "TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

Learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open Closed "Data Pattern Selection" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.

Video Type

Choice: NTSC | PAL

Default: PAL

Double-click or use the drop-down menu to select whether the PAL or NTSC file is demo File. This cell is only enabled when Data Source Type is Demo File.

There are two predominant worldwide video-based source material formats, shown as follows:

  • NTSC: National Television System Committee, the system used in America & Canada

  • PAL: Phase Alternating Line, the system used in Western Europe and Australia

N T S C National Television System Committee
Lines/Field | 525/60
Horizontal Frequency | 15.734 kHz
Vertical Frequency | 60 Hz
Color Sub-carrier Frequency | 3.579545 MHz
Video Bandwidth | 4.2 MHz
Sound Carrier | 4.5 MHz
P A L Phase Alternating Line
SYSTEM PAL | PAL | PAL N | PAL M
Line/Field | 625/50 | 625/50 | 525/60
Horizontal Freq. | 15.625 kHz | 15.625 kHz | 15.750 kHz
Vertical Freq. | 50 Hz | 50 Hz | 60 Hz
Color Sub Carrier | 4.433618 MHz | 3.582056 MHz | 3.575611 MHz
Video Bandwidth | 5.0 MHz | 4.2 MHz | 4.2 MHz
Sound Carrier | 5.5 MHz | 4.5 MHz | 4.5 MHz

File Name

Click on [image] in the right side of the cell, and select the file name you set as payload.

Auto Stuffing

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to select whether or not to use auto-stuffing to agree with transport bit rate.

Loop Play

Choice: ON | OFF

Default: ON

This cell is only enabled when Data Source Type is TS File. Double-click or use the drop-down menu to determine whether or not to modify the TS file to make it suitable for loop play.

File Wizard

Click the right button [image] to open the Closed TS File Input Wizard window.

Binary Pattern File

The name of the TS file as data source. Click the right button [image] to select and open a TS file. If DVB-T/H, DVB-C, DVB-S, ISDB-T "RS Encoder" is off or ISDB-T "Re-Multiplexer" is off, a TS file with 204 byte packets is required; If ATSC "RS Encoder" is off, TS file with 208 byte packets is required. For the other situation, TS file with 188 byte packets is required.

File Size

Displays the size of the opened file.

Bit Rate

Displays the bit rate of the opened file.

Play Time

Displays the duration of the opened file.


Real Time

Go to topic Go to topic View popup View popup Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Carrier for DOCSIS 3.1 Downstream

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

Displays the selected carrier format. (See Format in the Menu Bar and Tool Bar topic.)

Frequency Offset

Range: Depends on instrument and waveform settings

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different oversampling ratios.

For example, for two-carrier configurations, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1 GHz + 5 MHz and 1 GHz - 5 MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. OFDM Settings

Number of PLC Frames

Range: 1 to 1000

Default: 1

Gets or sets the number of PLC frames to be generated. One PLC frame has 128 OFDM symbols.

Sample Rate

Range: 1 MHz to 500 MHz

Default: 204.8 MHz

Sets or gets the sample rate of DOCSIS 3.1 Downstream carrier. Set it to be 204.8 MHz for standard signal. For multicarrier case, this parameter is read-only and determined by the first carrier.

FFT Size

Choice: 4096 | 8192

Default: 4096

Gets or sets the FFT Size for the OFDM. Double-click or use the drop-down menu to select the FFT size for the OFDM signal. For multicarrier case, this parameter is read-only and determined by the first carrier.

Subcarrier Spacing

Choices: 50 kHz | 25 kHz

Default: 50 kHz

Displays the subcarrier spacing for the OFDM. This parameter is always read-only and determined by FFT Size.

Cyclic Prefix

Choice: 0.9375 us (192*Tsd) | 1.25 us (256*Tsd) | 2.5 us (512*Tsd) | 3.75 us (768*Tsd) | 5 us (1024*Tsd)

Default: 0.9375 us (192*Tsd)

Gets or sets the cyclic prefix points for the OFDM. Double-click or use the drop-down menu to select the cyclic prefix time (points) for the OFDM signal.

For multicarrier case, if this carrier is not first carrier, Cyclic Prefix will be read-only. And the value is determined by the first carrier settings.

Windowing

Choice: 0 us (0*Tsd) | 0.3125 us (64*Tsd) | 0.625 us (128*Tsd) | 0.9375 us (192*Tsd) | 1.25 us (256*Tsd)

Default: 0.625 us (128*Tsd)

Gets or sets the windowing roll-off points for the OFDM signal. Double-click or use the drop-down menu to select the windowing roll-off time (points) for the OFDM signal.

Multi-path Channel

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.The default is OFF and you can change Multi-path Parameter” to User Defined and set the paths in the table.

User Defined provides a more flexible way configuring each path's attenuation ρ, relative delay τ and phase shift from scattering θ.

You can edit the parameters values in the table directly. Alternatively, click on the Open button, and select a fading file (*.fading) previously configured.

When you finished editing the user defined parameter configuration, click on Save button to make a copy.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

Attenuation (ρ)

Display the attenuation of the i'th path.

If Attenuation of all paths are zero, there will be an error when you click OK to close this dialog.

Delay (τ)

Displays the ralative delay of the i'th path.

When this valus is too large, there will be an out-of-memory exception that ask you to decrease it.

Phase (θ)

Displays the phase shift of the i'th path.

This is a radian value, so 2*pi has the same meaning with 0.

Central Frequency Shift

Range: -102.4 MHz to 102.4 MHz

Default: 0 Hz

Sets or gets the central frequency shift value. This is always used by some cases that the valid subcarriers has large bias compared to central frequency. So signal generator frequency is shifted to make valid subcarriers around signal generator frequency.

The range of this parameter is determined by exclusion band, down-sample ratio.

Subcarrier Zero Frequency

Displays the frequency of the first subcarrier. This parameter is read-only and calculated by the frequency of the signal generate and Central Frequency Shift.

Subcarrier Zero Frequency = Signal Generator Frequency – Central Frequency Shift – Sample Rate / 2

3. Subcarrier Settings

Exclusion Bands

Sets or gets the exclusion bands. The bands are separated by "," and surrounded by "[" and "]". For example, [0,1599],[2496,4095] means 2 bands, one is from subcarrier 0 to subcarrier 1599, the other is from subcarrier 2496 to subcarrier 4095.

Exclusion bands will be checked when changed or before generation. The rules are as follows:

  • Exclusion bands can not overlap.

  • The upper subcarrier index must not smaller than the lower subcarrier. For example, “[599,100]” is not a valid setting.

  • Exclusion band can’t overlap with Continuous Pilot

  • Exclusion band can’t overlap with PLC subcarriers.

Number of Active Subcarriers

Range: 1 to 8192

Default: 896

Gets the number of active Subcarirers of DOCSIS3.1 Downstream carrier. Active means not in the exclusion bands.

This parameter is always read-only. The value is determined by FFT Size and Exclusion Bands.

Continuous Pilot Placement

Choices: Defined by Parameter M | User Input

Default: Defined by Parameter M

Sets or gets the method that how to define continuous pilot positions.

M

Range: 48 to 120

Default: 48

Sets the M parameter to generate continuous pilot positions.

M is only visible when Continuous Pilot Placement is Defined by Parameter M.

Continuous Pilot Positions

Sets or gets the Continuous Pilot Positions. When Continuous Pilot Placement is set to Defined by M Parameter, this parameter is read-only and the value is calculated by M. The pilot positions is separated by ",".

When Continuous Pilot Placement is set to Defined in PLC Message, the value of Continuous Pilot Positions must follow these rules:

  • Continuous Pilot can’t overlap with Exclusion Bands

  • Continuous Pilot can’t overlap with PLC subcarriers.

Active Signal Bandwidth

Range: 25 KHz to 192 MHz

Default: 44.8 MHz

Gets the Active Signal Bandwidth of DOCSIS3.1 Downstream carrier.

This parameter is always read-only. The value is determined by FFT Size and Exclusion Bands.

Downsampling Ratio

Choices: None | 15/16 | 1/2 | 1/4 | 1/8

Default: 1/2

Double-click or use the drop-down menu to select downsampling ratio for the DOCSIS 3.1 Downstream carrier. The valid choices is determined by Active Signal Bandwidth. Downsampling is used for narrow band signal generators to play signals with narrow active signal bandwidth.

4. Physical Layer Control (PLC) Settings

PLC Start Index

Range:

0 to 4800 for FFT Size = 4096

0 to 8176 for FFT Size = 8192

Default: 2084

Sets or gets the PLC Start Index of DOCSIS 3.1 Downstream carrier. This parameter determines the position of PLC subcarriers and scattered pilot subcarriers.

The valid value is defined by FFT Size and Exclusion bands.

PLC Timestamp

Range: 0 to 2^55 - 1

Default: 0

Sets or gets the Time-stamp transmitted in PLC payload. The unit is 1/10240000 second.

Number of PLC Subcarriers

Range: 8 to 16

Default: 8

Gets the Number of PLC Subcarriers.

This parameter is read-only and determined by FFT Size.

OCD/DPD Interval

Range: 2.6 ms to 250 ms

Default: 2.6 ms

Gets or sets the OCD/DPD interval. It should be integral multiple of the PLC frame time. It is read-only when Number of PLC Frames is 1.

The valid value for OCD/DPD Interval is defined by some OFDM parameters including FFT Size and Cyclic Prefix.

PLC Payload

Gets or sets the payload of PLC subcarriers. Click the right button to open the Closed PLC payload dialog to set the payload of PLC.

A pop up window will pop out.

Auto Generated - the PLC payload is based on the current configuration and is encoded according to the standard.

User Defined (Encoded) - the PLC payload uses the text in the edit window and maps it to a 16-QAM modulation format.

User Defined (Uncoded) - the PLC payload uses the text in the edit window and encodes it according to the standard.

5. Data Settings

Downstream Channel ID

Range: 0 to 255

Default: 0

Gets or sets the Downstream Channel ID for OCD and DPD.

NCP Modulation

Choices: QPSK | 16 QAM | 64 QAM

Default: 64 QAM

Sets or gets the modulation type of NCP subcarriers.

Time Interleaver Depth

Range:

1 to 32 for FFT Size = 4096

1 to 16 for FFT Size = 8192

Range : 1 to 32

Default: 32

Sets or gets the Time interleave Depth for data subcarriers.

Number of Profiles

Range : 1 to 32

Default: 1

Gets the number of profiles as the data payload.

Profile Lookup Sequence

Gets or sets the profile look-up sequence for the data payload. This is a string composed of A to P.

This is read-only when Number of Profiles is 1.


DOCSIS 3.1 Downstream Profile

Profile ID

Range: 0 to 15

Default: 0

Sets or gets the Profile ID of current profile.

Profile Name

Displays the Profile name of current profile. It is read-only and determined by Profile ID. When Profile ID is 0, Profile Name is Profile A; when Profile ID is 1, Profile Name is Profile B, and so on.

Mixed Modulation

Choices: On | Off

Default: Off

Sets whether this profile uses Mixed Modulation.

Data Modulation

Choices: 16 QAM | 64QAM | 128 QAM | 256 QAM | 512 QAM | 1024 QAM | 2048 QAM | 4096 QAM | 8192 QAM | 16384 QAM

Default: 4096 QAM

Sets or gets the modulation type of data subcarriers. When Mixed Modulation is on, Data Modulation will be shown as Data Modulation A and the modulation will just apply to subcarriers in Subcarrier Assignment A

Subcarrier Assignment

Gets or sets the subcarrier assignment for this profile. If Mixed Modulation is on, this is the subcarrier assignment for Modulation A.

Subcarrier assignment will be checked before generation. Subcarrier assignment can not overlap with exclusion bands.

Data Payload

Sets the payload for this profile. Click the right button to open the Closed Data Pattern Selection dialog.

PN9 - the payload is a 14232-bit codeword comprised of repeated PN9 sequences.

14232-bit Codewords - the payload is a 14232-bit codeword edited by the user.

User Defined - the payload is edited by the user, where each line is a codeword.

Known Bit Error Rate

Range: upper limit is 1E-3, lower limit depends on frame length.

Default: 0

Set the known bit error rate of DOCSIS3.1 Downstream after BCH.


Real Time

View popup View popup View popup Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Carrier for DOCSIS 3.1 Upstream

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: Depends on instrument and waveform settings

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. Note: according to signal's bandwidth, the max frequency offset of each format will less than 80MHz

The valid range will be different for every format with various oversampling ratio.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Sets the power level in dB for the selected carrier in a multiple carrier configuration, relative to the power settings defined for the other carriers in the configuration.

You can ignore this parameter for single carrier configurations. In single carrier configurations, the amplitude of the signal is determined by the Amplitude setting in the Signal Generator node.

2. Channel Settings

Multi-path Channel

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window. The default is OFF and you can change Multi-path Parameter” to User Defined and set the paths in the table.

User Defined provides a more flexible way configuring each path's attenuation ρ, relative delay τ and phase shift from scattering θ.

You can edit the parameters values in the table directly. Alternatively, click on the Open button, and select a fading file (*.fading) previously configured.

When you finished editing the user defined parameter configuration, click on Save button to make a copy.

Attenuation (ρ)

Display the attenuation of the i'th path.

If Attenuation of all paths are zero, there will be an error when you click OK to close this dialog.

Delay (τ)

Displays the ralative delay of the i'th path.

When this valus is too large, there will be an out-of-memory exception that ask you to decrease it.

Phase (θ)

Displays the phase shift of the i'th path.

This is a radian value, so 2*pi has the same meaning with 0.

Exclusion Bands

Gets or sets the exclusion bands. The bands are separated by "," and surrounded by "[" and "]". For example, [0,799],[1428,2047] means 2 bands, one is from subcarrier 0 to subcarrier 799, the other is from subcarrier 1428 to subcarrier 2047.The number of continuous subcarriers which are not excluded should contain integer minislots.

For FFT Size is 2048, some exclusion bands for typical bandwidths are:

24MHz: [0,799],[1248,2047]

48MHz: [0,553],[1498,2047]

96MHz: [0,73],[1970,2047]

For FFT Size is 4096, some exclusion bands for typical bandwidths are:

24MHz: [0,1573],[2518,4095]

48MHz: [0,1107],[2980,4095]

96MHz: [0,147],[3940,4095]

Number of Active Subcarriers

Gets the number of active subcarriers of DOCSIS3.1 Upstream carrier. Active means not in the exclusion bands.

This is always read-only and determined by Exclusion Bands.

Number of Minislots per Frame

Gets the maximum number of minislots per frame of DOCSIS3.1 Upstream carrier. This is always read-only and determined by exclusion bands and FFT size.

Active Signal Bandwidth

Gets the active signal bandwidth of DOCSIS3.1 Upstream carrier. This parameter is always read-only and determined by Exclusion Bands.

3. Modulation Settings

FFT Size

Choices: 2048 | 4096

Default: 2048

Double-click or use the drop-down menu to select the FFT size for the OFDM signal.

For multi-carrier case, this parameter is read-only and determined by the first carrier.

Subcarrier Spacing

Choices: 50kHz | 25kHz

Default: 50kHz

Gets the subcarrier spacing for the OFDM. This parameter is always read-only and determined by FFT Size.

Number of Subcarriers per Minislot

Choices: 8 | 16

Default: 8

Gets the number of subcarriers per minislot. This parameter is always read-only and determined by FFT Size.

Symbols per Frame (K)

Range: 6 to 36

Default: 16

Gets or sets the number of symbol periods per frame.

Cyclic Prefix

Choices: 0.9375 us (96*Tsu) | 1.25 us (128*Tsu) | 1.5625 us (160*Tsu) | 1.875 us (192*Tsu) | 2.1875 us (224*Tsu) | 2.5 us (256*Tsu) | 2.8125 us (288*Tsu) | 3.125 us (320*Tsu) | 3.75 us (384*Tsu) | 5.0 us (512*Tsu) | 6.25 us (640*Tsu)

Default: 0.9375 us (96*Tsd)

Double-click or use the drop-down menu to select the cyclic prefix time (points) for the OFDM signal.

For multi-carrier case, this parameter is read-only and determined by the first carrier.

Windowing

Choices: 0 us (0*Tsu) | 0.3125 us (32*Tsu) | 0.625 us (64*Tsu) | 0.9375 us (96*Tsu) | 1.25 us (128*Tsu) | 1.5625 us (160*Tsu) | 1.875 us (192*Tsu) | 2.1875 us (224*Tsu)

Default: 0.625 us (64*Tsd)

Double-click or use the drop-down menu to select the windowing roll-off time (points) for the OFDM signal.

Randomizer Seed

Gets or sets the randomization seed in the format of Hex. This is a string composed of "0" to "9" and "A" to "F".

4. Data Settings

Number of Grants

Gets the number of grants. This parameter is always read-only and determined by the added grants.

Number of Frames

Range: 1 to 20

Default: 1

Gets or sets the number of frames to be generated.

Number of Idle Symbols

Range: 1 to 36

Default: 16

Gets or sets the number of idle symbols without data modulated. These symbols will be added behind the generated frames.


docsis_upstream_grant

Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description View popup View popup View popup

DOCSIS 3.1 Upstream Grant

Grant Settings

Grant Index

Range: 0 to 19

Default: 0

Gets the grant index of DOCSIS 3.1 Upstream carrier

Payload

Gets or sets the data payload for current grant. Click the right button to open payload dialog.

There are two radio buttons at the top of this dialog.

  • PN9: The payload of this profile is 14232-bit with the content to be repeated PN9.
  • User Defined (Unicoded): The payload is from the payload editor. If the number of bits in the editor is less than the granted bits, it will repeat from the start again.

Start Frame Index

Gets or sets the frame start index of current grant. This parameter determines the start position of the grant from the angle of time domain.

Minislot Start Index

Gets or sets the minislot start index of current grant. This parameter determines the start position of the grant from the angle of frequency domain.

Total Number of Minislots

Gets the total number of minislots in current grant.


Real Time

View Popup View popup View popup Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

DOCSIS 3.1 Upstream Group

Group Settings

Group Index

Range: 0 to 19

Default: 0

Gets the group index of current group.

State

Choices: On | Off

Default: Off

Gets or Sets whether current group is zero-valued.

Data Modulation

Choices: BPSK | QPSK | 8 QAM | 16 QAM | 32QAM | 64QAM | 128 QAM | 256 QAM | 512 QAM | 1024 QAM | 2048 QAM | 4096 QAM

Default: 4096 QAM

Gets or sets the modulation type of data subcarriers in current group.

Pilot Pattern

Choices: Pilot Pattern 1 to Pilot Pattern 7 with FFT size of 2048

Choices: Pilot Pattern 8 to Pilot Pattern 14 with FFT size of 4096

Default: 0

Gets or sets the pilot pattern of minislots in current group.

Number of Minislots

Gets or sets the number of minislots in current group. Minislots in a group have the same data modulation and pilot pattern.


Carrier for DTMB

Real Time

Go to description

Carrier DTMB

Filter Length (not shown above) is a new parameter under 2. DTMB (CTTB) Settings.

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format with various over-sampling ratio.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. DTMB (CTTB) Settings

Number of Frames

Range: 1 to 100

Default: 1

Set the number of super frames.

Code Rate

Choice: 0.4 | 0.6 | 0.8

Default: 0.4

Double-click or use the drop-down menu to select the FEC code rate of DTMB.

Modulation Type

Choice: 4QAM | 4QAM-NR | 16QAM | 32QAM | 64QAM

Default: 4QAM

Double-click or use the drop-down menu to select the modulation type of DTMB.

Interleaver Mode

Choice: B = 52, M = 240 | B = 52, M = 720

Default: B = 52, M = 720

Double-click or use the drop-down menu to select the time domain symbol interleaver mode of DTMB.

Frame Mode

Choice: Mode 1 | Mode 2 | Mode 3

Default: Mode 1

Double-click or use the drop-down menu to select the frame mode of DTMB.

Sub-Carrier Number

Choice: 1 | 3780

Default: 3780

Double-click or use the drop-down menu to select the number of carriers of DTMB.

Insert Pilot

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable pilot insertion. This entry is available only when sub-carrier number is 1.

PN Phase Change

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable PN phase changing for frames in one superframe. This entry is available only when frame mode is Mode 1 or Mode 3.

Filter Type

Choice: Root Nyquist | Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type of DTMB.

Roll-off Factor

Range: 0 to 1

Default: 0.05

Set the roll-off factor of DTMB.

Filter Length

Range: 32 to 512

Default: 64

Set the symbol length of the filter.

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Useful Bit Rate

The useful bit rate. The bit rate can be transmitted by current encoding, modulation and framing configurations.

Supported File Size

The maximum file size supported by 64MSa memory of MXG/EXG/ESG/PSG.

Payload

The TS payload settings.

Data Source Type

Choice:

Normal: Test Pattern | Demo File | TS File | TS File Wizard

When RS Encoder is off: Test Pattern | TS File

For DVB-H: Test Pattern | TS File

For one-seg ISDB-T: Test Pattern | TS File | TS File Wizard

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If TS File" is selected, "File Name" is required; If "TS File Wizard" is selected, "File Wizard" is available.

To learn more about the different Data Source Types, refer to the page Data Source Type.

Pattern Bits

The data bits used as test pattern.

Click the right button to open "Test Pattern Edit" dialog and select test pattern to use.

SYNC Insertion

Choice: True | False

Default: False

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) should be inserted into the test pattern.


Carrier for CMMB

China Multimedia Mobile Broadcasting (CMMB), a mobile television and multimedia standard developed and specified by the State Administration of Radio, Film, and Television (SARFT) in China. It is based on the satellite and terrestrial interactive multiservice infrastructure (STiMi), also developed by China. Announced in October 2006, it has been described as being similar to Europe's DVB-SH standard for digital video broadcast from satellites to handheld devices.

Multi-path Channel (not shown above) is a new parameter under 2. CMMB Settings.

1. Basic

State

Choice: On |Off

Default: On

Double-click or use the drop-down menu to control the operating state of the carrier.

Format

The format of the carrier.

Frequency Offset

Range: -40.0 to 40.0 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting. The valid range will be different for every format due to the different over-sampling ratios.

For example, for 2 carriers configuration, set the center frequency of signal generator to 1 GHz, and make the two carriers distributed on the both sides of the center frequency with 5 MHz offset each. Therefore, the actual frequency of each carrier would be 1GHz+5MHz and 1GHz-5MHz respectively.

Initial Phase

Range: 0 to 359 degrees

Set the initial phase of the carrier.

Power

Range: -50 to 0 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2. CMMB Settings

Number of Frames

Set the number of CMMB data frames.

Bandwidth

Display the bandwidth of the signal.

Region Index

Range: 0 to 127

Default: 0

There are 256 sequences in TxID sequence, among which 0~127 is region Index- it’s used for identifying the regions of the transmitter and will be transmitted in the even slots of signal frame (the slot 0, the slot 1, …)

Transmitter Index

Range: 128 to 255

Default: 128

128~255 is transmitter Identifier- it’s used for identifying different transmitters in the same region and will be transmitted in the odd slots of signal frame (the 1st slot, the slot 3, …).

Multi-path Channel

Default: OFF

Click [image] in the right side of the cell to open the Closed Multi-path Channel configuration window.

A multi-path channel which contains up to 20 paths can be set according to your test requirements.

3. Data Source Settings

Data Source Type

Choice: Test Pattern | Demo File | Multiplexed File | File by LICH

Default: Test Pattern

Double or use the drop-down menu to select which type to be used as the data source.

1.PLCH Settings

Index

Display the PLCH index.

Number of Slots

Range: 1 to 40

Default: 40

Set the number of timeslots.

Status

Choice: On |Off

Default: On

Reed Solomon Code Rate

Choice: RS(240, 240)|RS(240, 224)|RS(240, 192)|RS(240, 176)

Default: RS(240, 240)

LDPC Code Rate

Choice: 1/2|3/4

Default: 1/2

Interleaving

Choice: Interleaving Mode 1|Interleaving Mode 2| Interleaving Mode 3

Default: Interleaving Mode 1

Modulation Type

Choice:BPSK|QPSK|16QAM

Default: BPSK

Scramble Initial Code

Choice: 0000 0000 0001| 0000 1001 0011| 0000 0100 1100| 0010 1011 0011| 0111 0100 0100|1000 0101 1100| 0001 0110 1101| 1010 1001 0011

Default: 0000 0000 0001

Scramble code is a binary system sequence used for data randomizing. For scramble initial code, it has 8 different available options.

2. Data Source Settings

Pattern Bits

The data bits used as test pattern.

Click the button on the right side to open the Closed "Data Pattern Selection" dialog and select test pattern to use.


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, references and usage requirements.
Sample API Programs | provides information to guide you in using the API examples, included with the software, that can be modified for your application.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7623B Signal Studio graphical user interface are documented in the N7623B Documented Class Library (N7623API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\Digital Video.

Many of the links in the N7623B Documentation Class Library API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Tips

  • This software recognizes only US style numeric format, for example floating point is "."

  • Set locale to "en-US". To set the API to "en-US," the following commands must be completed prior to starting the user main routine:

    Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

    Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

Basic Program Flow

  1. Configure the instrument connection.

  2. Generate and download the waveform to the signal generator.

  3. Set RF Output on.

  4. End program.

  5. Turn off RF as a cleanup.

  6. Repeat steps 2 through 5 to change parameters.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

Related Websites

The Microsoft .NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


API Programming Examples

Real Time

Sample API Programs

Two sample API programs are provided to illustrate the basic program flow for automating signal configuration and playback in various programming environments. They are installed in the directories (default) shown below when you install the software:

C# Examples | C:\ProgramData\Keysight\Signal Studio\Digital Video\ApiSample\CS
Visual Basic.Net Examples | C:\ProgramData\Keysight\Signal Studio\Digital Video\ApiSample\VB

Requirements

  • Before editing the sample programs, make backup copies of all files. You will need to right click each file, select Properties, and de-select the Read-only attribute.

  • Make sure that Keysight.SignalStudio.N7623.dll and Keysight.SignalStudio.Hardware.dll appear as the reference to your API Project. The following steps, using Microsoft Visual Studio .NET 2003 IDE, outline a procedure for adding a reference, if needed. The steps may vary depending on your development environment.

    1. Use the File menu to create a new project or open an existing project in your Visual Studio.Net programming environment.

    2. Select Project > Add Reference from the menu.

    3. In the popup window that appears, browse to the directory: C:\Program Files (x86)\Keysight\Signal Studio\Digital Video (default installation directory) and select the file.

    4. Click Add > OK to add them in the project as references.

Basic Control Procedure

This procedure provides information on how to build a typical program using the Digital Video API in C# programming

example codes. Refer to Tips for troubleshooting help.

1. Create API Handle

2. Configure Hardware

3. Configure the Waveform

4. Generate, Download, and Run the Waveform

5. Set RF On

6. Set RF Off

7. End Program

1. Create API Handle

These commands specify how the software create an API project handler:

using Keysight.SignalStudio.N7623;

API api = new API();

DVBT_Project project = api.CreateProject(Format.DVBT) as DVBT_Project;

2. Configure Hardware

Connect to the signal generator using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is

"TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bool connected = project.ConnectToInstrument(inst);

3. Configure the Waveform

Get the waveform setup object.

Keysight.SignalStudio.N7623.WaveformSetup waveformSetup = project.WaveformSetup;

waveformSetup.WaveformName = "DVB-T";

Get the carrier object.

DVBT_Carrier carrier = waveformSetup.Carrier[0] as DVBT_Carrier;

carrier.ModulationType = DVBT_ModulationType.QAM64;

carrier.Payload.DataSourceType = DataSourceType.Pattern;

carrier.Payload.PatternBits = "11010101";

Get the signal generator object.

Keysight.SignalStudio.Hardware.SignalGenerator sigGen = project.Hardware.SignalGenerator;

Set the RF frequency to 1 GHz (1e9)

sigGen.Frequency = 1e9;

Set the amplitude to -8.0 dBm.

sigGen.Amplitude = -8.0;

4. Generate, Download and Run the Waveform

Generates and downloads the waveform to the signal generator, then runs it.

project.Download();

5. Set RF On

Set the signal generator's RF output on.

project.Hardware.SignalGenerator.RFOutputEnabled = true;

project.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

project.Hardware.SignalGenerator.RFOutputEnabled = false;

project.Hardware.UpdateToInstrument();

7. End Program

End the program.

Project.Close();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Keysight\\SignalStudio\\Digital Video\\test1.scp";

API api = new API();

DVBT_Project project;

try

{

project = (DVBT_Project) api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


User Interface - Real Time

Real Time

Using the Software – Real Time

User Interface Basics

provides tips on navigating the user interface

Menu Bar and Tool Bar

describes the features of the software

Status Bar

displays information related to carrier and channel parameters, waveform generation, and license status

Hardware

describes the buttons and display only settings in the Hardware node, and provides a link to the Instrument topic that describes the various instrument settings

Signal Formats

  • DVB-T/H

  • DVB-C

  • DVB-S

  • DVB-S2

  • DVB-T2

  • ISDB-T

describes the digital video standards (including DVB-T/H/T2/C/S/S2, ISDB-T) settings and SCPI commands, and provides links to the corresponding GUI description topics.

SCPI

accesses links to the various SCPI lists


Instrument (MXG/EXG Real-Time Software)

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

State On

State Off

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. AUX IO Global Controls

7. Trigger

8. Real-time AWGN Setup

State On

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

[:SOURce]:RADio:DVBT[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBT2[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBT2[:BBG][:STATe]?

[:SOURce]:RADio:ISDBT[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:ISDBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBC[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBC[:BBG][:STATe]?

[:SOURce]:RADio:DVBS[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBS[:BBG][:STATe]?

[:SOURce]:RADio:DVBS2[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBS2[:BBG][:STATe]?

State Off

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

[:SOURce]:RADio:DVBT[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBT2[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBT2[:BBG][:STATe]?

[:SOURce]:RADio:ISDBT[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:ISDBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBC[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBC[:BBG][:STATe]?

[:SOURce]:RADio:DVBS[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBS[:BBG][:STATe]?

[:SOURce]:RADio:DVBS2[:BBG][:STATe] ON|OFF|1|0

[:SOURce]:RADio:DVBS2[:BBG][:STATe]?

Update from Instrument

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Coupling: Read only when State On is selected.

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Timing Skew Path

This cell is grayed out and provides no function.

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

5. Baseband

Sample Rate

Range: dependent on the instrument and its configuration—refer to the instrument's Data Sheet for the range

Default for DVB-T/H: 9.142857 MSa/s

Default for DVB-C: 6.900000 Msa/s

Default for DVB-S: 25.000000 Msa/s

Default for DVB-S2:10.000000 Msa/s

Default for ISDB-T: 8.126984 Msa/s

Default for DVB-T2: 9.142857 Msa/s

Modify the setting by using either of two methods to change the value:

  • in the DVB-T/H, DVB-T2, and ISDB-T node, change the Bandwidth setting and the software changes the Sample Rate to accommodate the new bandwidth

  • enter a Sample Rate value within the limits of the instrument—this does not change the Bandwidth setting

[:SOURce]:RADio:DVBT[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBT[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBT2[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBT2[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:ISDBT[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:ISDBT[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBC[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBC[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBS[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBS[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBS2[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBS2[:BBG]:SAMPle:RATE?

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

[:SOURce]:RADio:DVBT[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBT[:BBG]:RSCaling?

[:SOURce]:RADio:DVBT2[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBT2[:BBG]:RSCaling?

[:SOURce]:RADio:ISDBT[:BBG]:RSCaling <val>

[:SOURce]:RADio:ISDBT[:BBG]:RSCaling?

[:SOURce]:RADio:DVBC[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBC[:BBG]:RSCaling?

[:SOURce]:RADio:DVBS[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBS[:BBG]:RSCaling?

[:SOURce]:RADio:DVBS2[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBS2[:BBG]:RSCaling?

Frequency Offset

Range: -60 MHz to 60 MHz

Default: 0 Hz

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

[:SOURce]:RADio:DVBT[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBT[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBT2[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBT2[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:ISDBT[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:ISDBT[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBC[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBC[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBS[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBS[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBS2[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBS2[:BBG]:FREQuency:OFFSet?

Input RMS Source

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

[:SOURce]:RADio:DVBT[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBT2[:BBG]:POWer:SOURce

[:SOURce]:RADio:ISDBT[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBC[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBS[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBS2[:BBG]:POWer:SOURce

Power Meter Gating

Power Meter Gating selects which method, Threshold or Marker, used to identify which waveform samples that are measured when determining the waveform's RMS voltage.

[:SOURce]:RADio:DVBT[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBT2[:BBG]:POWer:PMGating

[:SOURce]:RADio:ISDBT[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBC[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBS[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBS2[:BBG]:POWer:PMGating

Samples To Average

Samples to Average specifies the number of samples that are averaged when calculating the RMS voltage for the subsequent power calibration.

[:SOURce]:RADio:DVBT[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBT2[:BBG]:POWer:SAVerage

[:SOURce]:RADio:ISDBT[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBC[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBS[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBS2[:BBG]:POWer:SAVerage

Threshold

Threshold defines the threshold voltage used to determine when the input waveform sample voltage measurement is used to determine the waveform's RMS voltage.

[:SOURce]:RADio:DVBT[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBT2[:BBG]:POWer:THReshold

[:SOURce]:RADio:ISDBT[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBC[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBS[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBS2[:BBG]:POWer:THReshold

Holdoff Count

Holdoff Count allows you to specify the number of consecutive input waveform samples that must meet or exceed the threshold voltage level before the input waveform sample is used to determine the waveform's RMS voltage. If the number of consecutive waveform samples is not met, the sample voltages are not used.

[:SOURce]:RADio:DVBT[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBT2[:BBG]:POWer:HCOunt

[:SOURce]:RADio:ISDBT[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBC[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBS[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBS2[:BBG]:POWer:HCOunt

6. AUX IO Global Controls

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

7. Trigger

Trigger Type

Choice: Free Run | Trigger & Run

Default: Free Run

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Coupling: Read only when State On is selected.

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Default: 7.935000 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default for DVB-T/H: 9.142857 MHz

Default for DVB-C: 13.800000 MHz

Default for DVB-S: 50.000000 MHz

Default for DVB-S2:20.000000 MHz

Default for ISDB-T: 8.126984 MHz

Default for DVB-T2: 9.142857 MHz

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?


Signal Formats

Click the Format on the menu bar to select the format of the signal to generate.

Format | Description
DVB-C | Provides information on how to configure DVB-C signals
DVB-S2 | Provides information on how to configure DVB-S2 signals
DVB-S | Provides information on how to configure DVB-S signals
DVB-T2 | Provides information on how to configure DVB-T2 signals
ISDB-T | Provides information on how to configure ISDB-T signals
DVB-T/H | Provides information on how to configure DVB-T/H signals


DVB-C

1. DVB-C | 2. Payload | 3. MultiPath
Filter Type | Data Source Type | Multi-path Channel
Roll-off Factor | File Location |
Modulation Type | File Name |
Symbol Rate | Sync Insert |
 | Pattern Bits |
 | Packet Stuffing |
 | PCR Adjust |
 | PCR Offset Frequency |
 | PCR Offset Amplitude |
 | Useful Bit Rate |
 | Stream Bit Rate |

1. DVB-C

Filter Type

Choice: Root Nyquist | Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type.

[:SOURce]:RADio:DVBC[:BBG]:FILTer RNYQ|NYQ

[:SOURce]:RADio:DVBC[:BBG]:FILTer?

Roll-off Factor

Range: 0 to 1

Default: 0.15

Set the roll-off factor for DVB-C.

[:SOURce]:RADio:DVBC[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBC[:BBG]:ALPHa?

Modulation Type

Choice: 16QAM |32QAM |64QAM |128QAM |256QAM

Default: 16QAM

Double-click or use the drop-down menu to select the modulation type.

[:SOURce]:RADio:DVBC[:BBG]:MODUlation QAM16|QAM32|QAM64|QAM128|QAM256

[:SOURce]:RADio:DVBC[:BBG]:MODUlation?

Symbol Rate

Range: 100 KSymbols/s to 10 MSymbols/s

Default: 6.900000 MSymbols/s

Set the symbol rate for DVB-C.

[:SOURce]:RADio:DVBC[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBC[:BBG]:SYMRate?

2. Payload

Data Source Type

Choice: Demo File| TS File | NULL TS Packet | Pattern |PN9 | PN15 | PN23

Default:Demo File

Double-click or use the drop-down menu to select which type to use as the data source.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:FILE "<file path/file name>"

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:FILE?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15 or PN23.

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) or a NULL packet header(0x471FFF10) should be inserted into the test pattern.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SYNC NULL|BYTE|NONE

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PATTern?

Packet Stuffing

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable packet stuffing.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:STUFfing 0|1|ON|OFF

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:STUFfing?

PCR Adjust

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable PCR Adjust.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAdjust 0|1|ON|OFF

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAdjust?

PCR Offset Frequency

Range: 0 to 10 MHz

Default: 0.0

Set the frequency for the PCR offset (the offset is calculated using the sin function).

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRFrequency <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRFrequency?

PCR Offset Amplitude

Range: 0 to 10 us

Default: 0

Set the amplitude for the PCR offset (the offset is calculated using the sin function).

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAMplitude <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAMplitude?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for the current setting.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for the current TS file.

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SBITrate?

3. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:DVBC[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBC[:BBG]:MPATh?


DVB-S2

1. DVB-S2 | 2. Payload | 3. MultiPath
Filter Type | Data Source Type | Multi-path Channel
Roll-off Factor | File Location |
Symbol Rate | File Name |
Code Rate | Sync Insert |
Modulation Type | Pattern Bits |
FEC Frame | Packet Stuffing |
Insert Pilot | PCR Adjust |
 | PCR Offset Frequency |
 | PCR Offset Amplitude |
 | Useful Bit Rate |
 | Stream Bit Rate |

1. DVB-S2

Filter Type

Choice: Nyquist \Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type.

Conventionally, a data transmission system employs a Nyquist filter whose reply for an impulse is zero (0) for every interval T just before and after a peak (T: data transmission interval). As replies of adjacent data are zero on a sample point of other sampled data, interference between codes can be prevented.

To function as above, a Nyquist filter whose amplitude becomes half at the point where Nyquist frequency fN (=1/2T) is used, and it is odd-symmetrically rolled off with a squared cosine around the half amplitude point in the cutoff area. In this case, the phase characteristics is not considered or is designed to have linear phase characteristics usually.

Instead of a simple Nyquist filter, low-pass filters (root Nyquist filters) having equal amplitude are set for transmission and reception and their characteristics are made the same as that of the Nyquist filter above. In this case, the root Nyquist filter must have cosine characteristics that can be made the squared cosine characteristics above.

[:SOURce]:RADio:DVBS2[:BBG]:FILTer NYQ|RNYQ

[:SOURce]:RADio:DVBS2[:BBG]:FILTer?

Roll-off Factor

Range: 0 to 1

Default: 0.35

Set the roll-off factor for DVB-S2.

DVB-S2 takes into consideration the various requirements of multiple service. For one thing, it supports a wide range of code rate (from 1/4 up to 9/10); for another, roll-off factor can be selected among 0.35, 0.25, 0.2, instead of the fixed 0.35 in DVB-S. With a lower roll-off factor, higher spectrum efficiency can be achieved.

[:SOURce]:RADio:DVBS2[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBS2[:BBG]:ALPHa?

Symbol Rate

Range: 100 KSymbols/s to 50 (QPSK, 8PSK)/40 (16APSK)/35 (32APSK) MSymbols/s

Default: 10.000000 MSymbols/s

Set the symbol rate for DVB-S2.

The symbol rate is matched to given transponder characteristics, since DVB-S.2 is suitable for use on different satellite transponder bandwidths and frequency bands, and in the case of multiple carriers per transponder (FDM), to the frequency plan adopted.

[:SOURce]:RADio:DVBS2[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBS2[:BBG]:SYMRate?

Code Rate

Choice: 1/4 | 1/3 | 2/5 | 1/2 | 3/5 | 2/3 | 3/4 |4/5 | 5/6 | 8/9 | 9/10

Default: 3/4

Double-click or use the drop-down menu to select the LDPC code rate for DVB-S2.

[:SOURce]:RADio:DVBS2[:BBG]:CRATe CR1D4|CR1D3|CR2D5|CR1D2|CR3D5|CR2D3|CR3D4|CR4D5|CR5D6|CR8D9|CR9D10

[:SOURce]:RADio:DVBS2[:BBG]:CRATe?

Modulation Type

Choice: QPSK | 8PSK | 16 APSK | 32 APSK

Default: QPSK

Double-click or use the drop-down menu to select the modulation type.

[:SOURce]:RADio:DVBS2[:BBG]:MODUlation QPSK|PSK8|APSK16|APSK32

[:SOURce]:RADio:DVBS2[:BBG]:MODUlation?

FEC Frame

Choice: Normal | short

Default: Normal

Double-click or use the drop-down menu to select whether to use normal LDPC block size or short LDPC block size in DVB-S2.

FEC encoding performs outer coding (BCH), Inner Coding (LDPC), and Bit interleaving. The input stream is composed of BBFRAMEs and the output stream of FECFRAMEs. Each BBFRAME (Kbch bits) shall be processed by the FEC coding subsystem, to generate a FECFRAME (nldpc bits). The parity check bits (BCHFEC) of the systematic BCH outer code shall be appended after the BBFRAME, and the parity check bits (LDPCFEC) of the inner LDPC encoder shall be appended after the BCHFEC field, as shown below.

Figure 2 FEC Encoding Data Structure

LDPC encoding provides two kinds of frame length, one is normal frame with length 64800 bit; the other is short frame with length 16200 bit (1/4 of normal frame), shown in the following figure.

Table 1 FECFRAME (normal and short) configurations and application areas

System Configuration |  | Broadcast Services | Interactive services | DSNG | Professional Services
FECFRAME(normal) | 64800 (bits) | N | N | N | N
FECFRAME(short) | 16200 (bits) | NA | N | O | N
N = normative, O = optional, NA = not applicable.

[:SOURce]:RADio:DVBS2[:BBG]:FEC Short|Normal

[:SOURce]:RADio:DVBS2[:BBG]:FEC?

Insert Pilot

Choice: True | false

Default: True

Double-click or use the drop-down menu to select whether to insert pilot at the physical layer in DVB-S2.

When Insert Pilot is enabled, a PILOT BLOCK composed of P = 36 pilot symbols will be inserted. Each pilot shall be an un-modulated symbol, identified by I = (1/√2), Q = (1/√2). The first PILOT BLOCK shall be inserted 16 SLOTs after the PLHEADER, the second after 32 SLOTs and so on, as represented in figure 13. If the PILOT BLOCK position coincides with the beginning of the next SOF, then the PILOT BLOCK is not transmitted. Besides, the pilot presence/absence in VCM (Variable Coding and Modulation) and ACM (Adaptive Coding and Modulation) can be changed on a frame-by-frame basis.

[:SOURce]:RADio:DVBS2[:BBG]:PIlot 0|1|ON|OFF

[:SOURce]:RADio:DVBS2[:BBG]:PIlot?

2. Payload

Data Source Type

Choice: Demo File| TS File | NULL TS Packet | Pattern |PN9 | PN15 | PN23

Default:Demo File

Double-click or use the drop-down menu to select which type to use as the data source.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:FILE "<file path/file name>"

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:FILE?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15, or PN23.

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) or a NULL packet header(0x471FFF10) should be inserted into the test pattern.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SYNC 0|1|ON|OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PATTern?

Packet Stuffing

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable packet stuffing.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:STUFfing 0|1|ON|OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:STUFfing?

PCR Adjust

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable PCR Adjust.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAdjust 0|1|ON|OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAdjust?

PCR Offset Frequency

Range: 0 to 10 MHz

Default: 0.0

Set the frequency for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRFrequency <val>

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRFrequency?

PCR Offset Amplitude

Range: 0 to 10 us

Default: 0

Set the amplitude for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAMplitude <val>

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAMplitude?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for the current setting.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for the current TS file.

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SBITrate?

3. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:DVBS2[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBS2[:BBG]:MPATh?


DVB-S

1. DVB-S | 2. Payload | 3. MultiPath
Filter Type | Data Source Type | Multi-path Channel
Roll-off Factor | File Location |
Symbol Rate | File Name |
Code Rate | Sync Insert |
 | Pattern Bits |
 | Packet Stuffing |
 | PCR Adjust |
 | PCR Offset Frequency |
 | PCR Offset Amplitude |
 | Useful Bit Rate |
 | Stream Bit Rate |

1. DVB-S

Filter Type

Choice: Nyquist |Root Nyquist

Default: Root Nyquist

Double-click or use the drop-down menu to select the filter type for DVB-S.

[:SOURce]:RADio:DVBS[:BBG]:FILTer NYQ|RNYQ

[:SOURce]:RADio:DVBS[:BBG]:FILTer?

Roll-off Factor

Range: 0 to 1

Default: 0.35

Set the roll-off factor for DVB-S.

[:SOURce]:RADio:DVBS[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBS[:BBG]:ALPHa?

Symbol Rate

Range: 100kSymbols/s to 50MSymbols/s

Default: 25.000000 MSymbols/s

Set the symbol rate for DVB-S.

[:SOURce]:RADio:DVBS[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBS[:BBG]:SYMRate?

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the code rate for DVB-S.

[:SOURce]:RADio:DVBS[:BBG]:CRATe CR1D2|CR2D3|CR3D4|CR5D6|CR7D8

[:SOURce]:RADio:DVBS[:BBG]:CRATe?

2. Payload

Data Source Type

Choice: Demo File| TS File | NULL TS Packet | Pattern |PN9 | PN15 | PN23

Default:Demo File

Double-click or use the drop-down menu to select which type to use as the data source.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:FILE "<file path/file name>"

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:FILE?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15, or PN23.

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) or a NULL packet header(0x471FFF10) should be inserted into the test pattern.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SYNC NULL|BYTE|NONE

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PATTern?

Packet Stuffing

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable packet stuffing.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:STUFfing 0|1|ON|OFF

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:STUFfing?

PCR Adjust

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable PCR Adjust.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAdjust 0|1|ON|OFF

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAdjust?

PCR Offset Frequency

Range: 0 to 10 MHz

Default: 0.0

Set the frequency for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRFrequency <val>

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRFrequency?

PCR Offset Amplitude

Range: 0 to 10 us

Default: 0

Set the amplitude for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAMplitude <val>

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAMplitude?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for the current setting.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for the current TS file.

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SBITrate?

3. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:DVBS[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBS[:BBG]:MPATh?


DVB-T2

PLP Buttons

Click the [image] button to add a PLP. The PLP maximum is 16.

[:SOURce]:RADio:DVBT2[:BBG]:ADDPlp

Click the [image] button to remove the last PLP that was added.

[:SOURce]:RADio:DVBT2[:BBG]:REMPlp

1. OFDM Settings | 2. Frame Settings
P2 Type | Data Symbol Number(Ldata)
Bandwidth | Number of Frames per SuperFrame
PAPR Type | L1 Modulation Type
Guard Interval | Network ID
FFT Size | Cell ID
Pilot Pattern | T2 System ID
Carrier Mode |
3. Interface Settings | 4. MultiPath
Input Stream Synchronization | Multi-path Channel
Stream Mode |
Null Packet Delete |

1. OFDM Settings

P2 Type

Choice: SISO| MISO

Default: SISO

Displays the P2 type. Currently only SISO is supported.

[:SOURce]:RADio:DVBT2[:BBG]:P2 SISO|MISO

[:SOURce]:RADio:DVBT2[:BBG]:P2?

Bandwidth

Choice: 1.7MHz| 5MHz| 6MHz| 7MHz| 8MHz| 10MHz

Default: 8 MHz

Double-click or use the drop-down menu to select the bandwidth.

[:SOURce]:RADio:DVBT2[:BBG]:BANDwidth BW1|BW5|BW6|BW7|BW8|BW10

[:SOURce]:RADio:DVBT2[:BBG]:BANDwidth?

PAPR Type

Choice: No PAPR| TR-PAPR

Default: No PAPR

Double-click or use the drop-down menu to select the PAPR type. To allow for processing time, the iteration number of the TR algorithm is 10, which is more effective for a small FFT size.

[:SOURce]:RADio:DVBT2[:BBG]:PAPR NONE|TR

[:SOURce]:RADio:DVBT2[:BBG]:PAPR?

Guard Interval

Choice: 1/128| 1/32| 1/16| 19/256| 1/8| 19/128| 1/4

Default: 1/128

Double-click or use the drop-down menu to select the guard interval. The available choices are determined by the FFT Size setting.

[:SOURce]:RADio:DVBT2[:BBG]:GINTerval GI1D128|GI1D32|GI1D16|GI19D256|GI1D8|GI19D128|GI1D4

[:SOURce]:RADio:DVBT2[:BBG]:GINTerval?

FFT Size

Choice: 1K| 2K| 4K| 8K| 16K|32K

Default: 32K

Double-click or use the drop-down menu to select the FFT size.

[:SOURce]:RADio:DVBT2[:BBG]:NFFT N1K|N2K|N4K|N8K|N16K|N32K

[:SOURce]:RADio:DVBT2[:BBG]:NFFT?

Pilot Pattern

Choice: PP1 to PP8

Default: PP7

Double-click or use the drop-down menu to select the pilot pattern. The available choices are determined by the FFT Size and Guard Interval settings as shown in the table below.

FFT Size | Guard Interval
 | 1/128 | 1/32 | 1/16 | 19/256 | 1/8 | 19/128 | 1/4
32K | PP7 | PP4 PP6 | PP2 PP8 PP4 | PP2 PP8 PP4 | PP2 PP8 | PP2 PP8 | NA
16K | PP7 | PP7 PP4 PP6 | PP2 PP8 PP4 PP5 | PP2 PP8 PP4 PP5 | PP2 PP3 PP8 | PP2 PP3 PP8 | PP1 PP8
8k | PP7 | PP7 PP4 | PP8 PP4 PP5 | PP8 PP4 PP5 | PP2 PP3 PP8 | PP2 PP3 PP8 | PP1 PP8
4K, 2K | NA | PP7 PP4 | PP4 PP5 | NA | PP2 PP3 | NA | PP1
1K | NA | NA | PP4 PP5 | NA | PP2 PP3 | NA | PP1

[:SOURce]:RADio:DVBT2[:BBG]:PIlot PP1|PP2|PP3|PP4|PP5|PP6|PP7|PP8

[:SOURce]:RADio:DVBT2[:BBG]:PIlot?

Carrier Mode

Choice: Normal | Extended

Default: Extended

Double-click or use the drop-down menu to select the carrier mode. For an FFT Size from 1k to 4k, only normal mode is available. For an FFT Size above 8k, both normal and extended mode are available.

[:SOURce]:RADio:DVBT2[:BBG]:CMODE NM|EXT

[:SOURce]:RADio:DVBT2[:BBG]:CMODE?

2. Frame Settings

Data Symbol Number (Ldata)

Range: different settings correspond to different range values.

Default: 59

Set the data OFDM symbol number.

[:SOURce]:RADio:DVBT2[:BBG]:LDATA <val>

[:SOURce]:RADio:DVBT2[:BBG]:LDATA?

Number of Frames per SuperFrame

Range: 1 to 4

Default: 2

Set the frame number per super frame.

[:SOURce]:RADio:DVBT2[:BBG]:NFRAMer <val>

[:SOURce]:RADio:DVBT2[:BBG]:NFRAMer?

L1 Modulation Type

Choice: BPSK | QPSK | 16QAM | 64QAM

Default: 64QAM

Double-click or use the drop-down menu to select the Layer 1 modulation type.

[:SOURce]:RADio:DVBT2[:BBG]:L1MODulation BPSK|QPSK|QAM16|QAM64

[:SOURce]:RADio:DVBT2[:BBG]:L1MODulation?

Network ID

Range: 0 to 65535

Default: 12421

Set the network ID for the DVB-T2 signal.

[:SOURce]:RADio:DVBT2[:BBG]:NID <val>

[:SOURce]:RADio:DVBT2[:BBG]:NID?

Cell ID

Range: 0 to 65535

Default: 0

Set the cell ID for the DVB-T2 signal.

[:SOURce]:RADio:DVBT2[:BBG]:CID <val>

[:SOURce]:RADio:DVBT2[:BBG]:CID?

T2 System ID

Range: 0 to 65535

Default: 32769

Set the T2 system ID for the DVB-T2 signal.

[:SOURce]:RADio:DVBT2[:BBG]:T2ID <val>

[:SOURce]:RADio:DVBT2[:BBG]:T2ID?

3. Interface Settings

Input Stream Synchronization

Choice: On| Off

Default: Off

Double-click or use the drop-down menu to enable or disable input stream synchronization.

[:SOURce]:RADio:DVBT2[:BBG]:ISS 1|0

[:SOURce]:RADio:DVBT2[:BBG]:ISS?

Stream Mode

Choice: High Efficiency Mode| Normal Mode

Default: High Efficiency Mode

Double-click or use the drop-down menu to select the stream mode.

[:SOURce]:RADio:DVBT2[:BBG]:SMODE HEM|NM

[:SOURce]:RADio:DVBT2[:BBG]:SMODE?

Null Packet Delete

Choice: On| Off

Default: Off

Currently displays the null packet delete state.

[:SOURce]:RADio:DVBT2[:BBG]:NPD?

4. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:DVBT2[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBT2[:BBG]:MPATh?


PLP 1 to PLP 16

1. PLP Settings | 2. Payload
LDPC Frame Length | Data Source Type
LDPC Code Rate | File Location
FEC Block Number | File Name
Modulation Type | Sync Insert
Constellation Rotation | Pattern Bits
Number of Time Interleaving Blocks per Interleaving Frame | Useful Bit Rate
Time Interleaving Type | Stream Bit Rate
IF Number Per T2 Frame |
PLP Cell Number |
PLP ID |
Group ID |

1. PLP Settings

LDPC Frame Length

Choice: Normal | Short

Default: Normal

Double-click or use the drop-down menu to select normal LDPC block size or short LDPC block size for DVB-T2.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECFrame Short|Normal

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECFrame?

LDPC Code Rate

Choice: 1/2 | 3/5 | 2/3 | 3/4 |4/5 | 5/6

Default: 2/3 for PLP 1 and 3/5 for PLP 2 through PLP 16

Double-click or use the drop-down menu to select the LDPC code rate for DVB-T2.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CRATe CR1D2|CR3D5|CR2D3|CR3D4|CR4D5|CR5D6

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CRATe?

FEC Block Number

Range: minimum is 0, maximum determined by various settings

Default: 29 for PLP 1, 32 for PLP 2, and 1 for PLP 3 through PLP 16

Set the FEC block number in a T2 frame.

The maximum range is determined by the values set for FFT Size, Carrier Mode, Data Symbol Number, Pilot Pattern, L1 Modulation Type, Modulation Type, and LDPC Frame Length.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECNumber <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECNumber?

Modulation Type

Choice: QPSK | 16QAM | 64QAM | 256QAM

Default: 256 QAM for PLP1, 16 QAM for PLP2, and 256 QAM for PLP 3 through PLP 16

Double-click or use the drop-down menu to select the modulation type.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:MODUlation QPSK|QAM16|QAM64|QAM256

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:MODUlation?

Constellation Rotation

Choice: On| Off

Default: On

Double-click or use the drop-down menu to enable or disable constellation rotation.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CROTation ON|OFF|1|0

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CROTation?

Number of Time Interleaving Blocks per Interleaving Frame

Range: 0 to FEC Block Number

Default: 3 for PLP 1 and PLP 2, 1 for PLP 3 through PLP 16

Set the number of time interleaving blocks per interleaving frame. The value “0” means no time interleaving is applied.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TILEnghth <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TILEnghth?

Time Interleaving Type

Default: TYPE 0

Displays the time interleaving type. Currently only TYPE 0 is supported.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TITYpe?

IF Number Per T2 Frame

Default: 1

Displays the IF number per T2 frame. Currently only 1 IF per T2 frame is supported.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:IFNUm?

PLP Cell Number

Default: 234900 for PLP 1, 518400 for PLP 2, and 8100 for PLP 3 through PLP 16

Displays the PLP Number in one frame.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CELNumber?

PLP ID

Range: 0 to 255

Default: 0 for PLP 1, 1 for PLP 2, 2 for PLP 3, ... 15 for PLP 16

Set the PLP ID for this PLP.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PID <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PID?

Group ID

Range: 0 to 255

Default: 0

Set the PLP Group ID for this PLP.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:GID <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:GID?

2. Payload

Data Source Type

Choice: Demo File | TS File | Null TS Packet | Pattern | PN9 | PN15 | PN23

Default: Demo File for PLP 1 and NULL TS Packet for PLP 2 through PLP 16

Double-click or use the drop-down menu to select which type to use as the data source.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:FILE "<file path/file name>"

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:FILE?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15, or PN23.

Double-click or use the drop-down menu to insert a SYNC byte (0x47) or a NULL packet header(0x471FFF10) into the test pattern.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SYNC NULL|BYTE|NONE

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:PATTern?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for the current settings.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for the current TS file.

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SBITrate?


ISDB-T

1. ISDB-T |  |  |
Mode Bandwidth Guard Interval Number of Segments Partial Reception/Transmission-segment Identification (TMCC B27) Broadcasting Type | Layer A Segment Count Modulation Type Code Rate I (Parameter for the length of Time Interleaving) Current Bit Rate Max Bit Rate Assigned PIDs | Layer B Segment Count Modulation Type Code Rate I (Parameter for the length of Time Interleaving) Current Bit Rate Max Bit Rate Assigned PIDs | Layer C Segment Count Modulation Type Code Rate I (Parameter for the length of Time Interleaving) Current Bit Rate Max Bit Rate Assigned PIDs
2. Payload | 3. MultiPath |  |
Re-Multiplexer PID Assign Data Source Type File Location File Name Packet Stuffing Sync Insert Pattern Bits Useful Bit Rate Stream Bit Rate | Multi-path Channel |  |

1. ISDB-T

Mode

Choice: Mode 1 | Mode 2 | Mode 3

Default: Mode 3

Double-click or use the drop-down menu to select the Mode.

Three system modes represent three different spacings between OFDM carrier frequencies offered by ISDB-T, catering for the different requirements of the distance between SFN stations and the robustness to Doppler shift during mobile-reception.

As shown in the following table

  • The available spacing between OFDM carrier frequencies are approximately 4 kHz, 2 kHz and 1kHz in mode 1, 2 and 3.

  • The number of carriers used varies depending on the mode

  • Information bit rate that can be transmitted remains the same in all three modes.

Transmission Parameter | Mode 1 | Mode 2 | Mode 3
No. of OFDM segments | 13
Bandwidth | 5.575 MHz | 5.573MHz | 5.572MHz
Carrier interval | 3.968 kHz | 1.984 kHz | 0.992 kHz
No. of carriers | 1405 | 2809 | 5617
Carrier modulation | QPSK, 16QAM, 64QAM, DQPSK
Effective symbol length (Tu) | 252 μs | 504 μs | 1.008 ms
Guard-interval length (Tg) | 1/4, 1/8, 1/16, 1/32 of effective symbol length
No. of symbol per frame | 204
Time interleave | Maximum 4 values: 0, 0.1, 0.2, 0.4 sec
Frequency interleave | Intra-segment and inter-segment interleaving
Inner code | Convolutional coding (1/2, 2/3, 3/4, 5/6, 7/8)
Information bit rate | 3.65 Mbps - 23.23 Mbps
Hierarchical transmission | Maximum 3 levels (Layer A, B, and C)

[:SOURce]:RADio:ISDBT[:BBG]:NFFT N2K|N4K|N8K

[:SOURce]:RADio:ISDBT[:BBG]:NFFT?

Bandwidth

Choice: 6 MHz | 7 MHz | 8 MHz

Default: 6 MHz

Double-click or use the drop-down menu to select the bandwidth.

[:SOURce]:RADio:ISDBT[:BBG]:BANDwidth BW6|BW7|BW8

[:SOURce]:RADio:ISDBT[:BBG]:BANDwidth?

Guard Interval

Choice: 1/4 | 1/8 | 1/16 | 1/32

Default: 1/8

Double-click or use the drop-down menu to select the Guard Interval.

The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

ISDB-T has four choices of guard-interval length to enable better design of a single-frequency network (SFN).

[:SOURce]:RADio:ISDBT[:BBG]:GINTerval GI1D4|GI1D8|GI1D16|GI1D32

[:SOURce]:RADio:ISDBT[:BBG]:GINTerval?

Number of Segments

Choice: 1 | 3 | 13

Default: 13

Double-click or use the drop-down menu to select the number of segments used.

[:SOURce]:RADio:ISDBT[:BBG]::SEGNumber SEG1|SEG3|SEG13

[:SOURce]:RADio:ISDBT[:BBG]::SEGNumber?

Partial Reception Enable/Transmission-segment Identification (TMCC B27)

Choice: True | False

Default: True

Double-click or use the drop-down menu to enable or disable partial reception.

Partial Reception represents the reception of only one OFDM segment at the center of a group of segment.

This configuration has enabled an ISDB-TSB receiver to receive one-segment service embedded in a hierarchical television signal.

[:SOURce]:RADio:ISDBT[:BBG]:PARtial ON|OFF|1|0

[:SOURce]:RADio:ISDBT[:BBG]:PARtial?

Broadcasting Type

Choice: ISDB-T | ISDB-Tsb

Default: ISDB-T

Double-click or use the drop-down menu to select the broadcasting type.

Layer A

Layer A for ISDB-T.

A mixture of fixed-reception programs and mobile-reception programs is made possible through the application of hierarchical transmission achieved by band division within a channel. ”r;Hierarchical transmission” means that the three elements of channel coding, namely, the modulation scheme, the coding rate of convolutional error-correcting code, and the time interleaving length, can be independently selected.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Default: 1 (LayerA), 12 (Layer B), 0 (Layer C)

Set the number of segments assigned to this layer. When Partial Reception/Transmission-segment Identification (TMCC B27) is set to true, the segment count for layer A is 1. Otherwise, the segment count for layer A can be set to 1~ the number of segments.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:SEGCount?

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK (Layer A), 64QAM (Layer B)

Double-click or use the drop-down menu to select the modulation type in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MODUlation DQPSK|QPSK|QAM16|QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MODUlation?

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 3/4 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CRATe CR1D2|CR2D3|CR3D4|CR5D6|CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CRATe?

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default:

For layer B: 2, the others: 4.

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:ILEaver TI0|TI1|TI2|TI4|TI8|TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:ILEaver?

Current Bit Rate

Displays the current bit rate in layer A.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CBITrate?

Max Bit Rate

Displays the maximum bit rate in layer A.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MBITrate?

Assigned PIDs

Displays the PIDs assigned to layer A.

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:PID?

Layer B

Layer B for ISDB-T.

Segment Count

Range: the total number of all layers equals to the Number of Segments.

Set the number of segments assigned to this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:SEGCount?

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: 64QAM for Layer B

Double-click or use the drop-down menu to select the modulation type in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MODUlation DQPSK|QPSK|QAM16|QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MODUlation?

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer A, 3/4 for Layer B

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CRATe CR1D2|CR2D3|CR3D4|CR5D6|CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CRATe?

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default:

For layer B: 2;

The others: 4.

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:ILEaver TI0|TI1|TI2|TI4|TI8|TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:ILEaver?

Current Bit Rate

Shows the current bit rate in layer B.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CBITrate?

Max Bit Rate

Shows the maximum bit rate in layer B.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MBITrate?

Assigned PIDs

Shows the PIDs assigned to layer B.

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:PID?

Layer C

Layer C for ISDB-T.

Segment Count

Segment count for Layer C will be read only and determined by Number Of Segments and Segment Count of layer A and layer B.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:SEGCount?

Modulation Type

Choice: DQPSK | QPSK | 16QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MODUlation QPSK|QAM16|QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MODUlation?

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 2/3 for Layer C

Double-click or use the drop-down menu to select the code rate of convolutional coder in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CRATe CR1D2|CR2D3|CR3D4|CR5D6|CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CRATe?

I (Parameter for the Length of Time Interleaving)

Choice:

For Mode 1: 0 | 4 | 8 |16

For Mode 2: 0 | 2 | 4 | 8

For Mode 3: 0 | 1 | 2 | 4

Default:

For layer B: 2;

The others: 4.

Double-click or use the drop-down menu to select the length of time interleaving in this layer.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:ILEaver TI0|TI1|TI2|TI4|TI8|TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:ILEaver?

Current Bit Rate

Shows the current bit rate in layer C.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CBITrate?

Max Bit Rate

Shows the maximum bit rate in layer C.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MBITrate?

Assigned PIDs

Shows the PIDs assigned to layer C.

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:PID?

2. Payload

Re-Multiplexer

Choice: On| Off

Default: On

Double-click or use the drop-down menu to select whether to allow the re-multiplex of the video streams in the application.

[:SOURce]:RADio:ISDBT[:BBG]:REMUlt ON|OFF|1|0

[:SOURce]:RADio:ISDBT[:BBG]:REMUlt?

PID Assign

Click [image] on the right side of the cell to display the PID Assign window and assign the PIDs of the video stream to each layer. If Data Source Type is set to TS File and the File Location is instrument, PID Assign is disabled.

See PID Assign window for more details.

Data Source Type

Choice: Demo File | TS File | Null TS Packet | Pattern | PN9 | PN15 | PN23

Default: Demo File

Double-click or use the drop-down menu to select which type to use as the data source.

Learn more about the different Data Source Types, refer to the page Data Source Type.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:FILE "<file path/file name>"

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:FILE?

Packet Stuffing

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable packet stuffing.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:STUFfing 0|1|ON|OFF

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:STUFfing?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15 or PN23.

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) or a NULL packet header(0x471FFF10) should be inserted into the test pattern.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SYNC 0|1|ON|OFF

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:PATTern?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for the current setting.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for the current TS file.

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SBITrate?

3. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:ISDBT[:BBG]:MPATh <val>

[:SOURce]:RADio:ISDBT[:BBG]:MPATh?


DVB-T/H Settings

Real Time

DVB-T/H

1. DVB-T | 2. DVB-H | 3. Payload
Mode | DVB- H Enabled | Data Source Type
Bandwidth | Interleaver | File Location
Modulation Type | Time Splicing | File Name
Guard Interval | MPE FEC | Sync Insert
Cell ID Enabled |  | Pattern Bits
Cell ID |  | Packet Stuffing
Code Rate |  | PCR Adjust
Filter Enabled |  | PCR Offset Frequency
 |  | PCR Offset Amplitude
 |  | Useful Bit Rate
 |  | Stream Bit Rate
4. MultiPath |  |
Multi-path Channel |  |

1. DVB-T

Mode

Choice: 2K | 4K | 8K

Default: 2K

Double-click or use the drop-down menu to select the mode.

[:SOURce]:RADio:DVBT[:BBG]:NFFT N2K|N4K|N8K

[:SOURce]:RADio:DVBT[:BBG]:NFFT?

Bandwidth

Choice: 5MHz | 6MHz | 7MHz | 8MHz

Default: 8MHz

Couplings: Sample Rate on Real Time BBG node is affected by changes to this cell.

Double-click or use the drop-down menu to select the bandwidth.

[:SOURce]:RADio:DVBT[:BBG]:BANDwidth BW8|BW7|BW6|BW5

[:SOURce]:RADio:DVBT[:BBG]:BANDwidth?

Modulation Type

Choice: QPSK | 16 QAM | 64QAM

Default: QPSK

Double-click or use the drop-down menu to select the modulation type.

[:SOURce]:RADio:DVBT[:BBG]:MODUlation QPSK|QAM16|QAM64

[:SOURce]:RADio:DVBT[:BBG]:MODUlation?

Guard Interval

Choice: 1/4 | 1/8 | 1/16 | 1/32

Default: 1/4

Double-click or use the drop-down menu to select the guard interval.

[:SOURce]:RADio:DVBT[:BBG]DVBT:GINTerval [GI4]|GI8|GI16|GI32

[:SOURce]:RADio:DVBT[:BBG]DVBT:GINTerval?

Cell ID Enabled

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the cell ID state.

[:SOURce]:RADio:DVBT[:BBG]CENable ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]CENable?

Cell ID

Range: 0 to 65535

Default: 0

Couplings: Displayed only when Cell ID Enabled is set to On.

Set the cell ID.

[:SOURce]:RADio:DVBT[:BBG]:CID <val>

[:SOURce]:RADio:DVBT[:BBG]:CID?

Code Rate

Choice: 1/2 | 2/3 | 3/4 | 5/6 | 7/8

Default: 1/2

Double-click or use the drop-down menu to select the code rate of convolutional coder.

[:SOURce]:RADio:DVBT[:BBG]:CRATe [R1BY2]|R2BY3|R3BY4|R5BY6|R7BY8

[:SOURce]:RADio:DVBT[:BBG]:CRATe?

Filter Enabled

Choice: On | Off

Default: On

Double-click or use the drop-down menu to select whether the baseband filter is enabled.

[:SOURce]:RADio:DVBT[:BBG]:FILTer ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]:FILTer?

2. DVB-H

DVB-H Enabled

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to select if this configuration is DVB-H.

If this value is On, DVB-H TS files are required for payload.

[:SOURce]:RADio:DVBT[:BBG]:DVBH ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]:DVBH?

Interleaver

Choice: Native Interleaver | In-depth Interleaver

Default: Native Interleaver

Double-click or use the drop-down menu to select the interleaver.

[:SOURce]:RADio:DVBT[:BBG]:ILEaver [NATive]|INDepth

[:SOURce]:RADio:DVBT[:BBG]:ILEaver?

Time Slicing

Choice: On | Off

Default: Off

Couplings: Displayed only when DVB-H Enabled is set to On.

Double-click or use the drop-down menu to select whether the time slicing flag is set in TPS.

[:SOURce]:RADio:DVBT[:BBG]:TSLIcing ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]:TSLIcing?

MPE-FEC

Choice: On | Off

Default: Off

Couplings: Displayed only when DVB-H Enabled is set to On.

Double-click or use the drop-down menu to select whether the MPE-FEC flag is set in TPS.

[:SOURce]:RADio:DVBT[:BBG]:MPEFec ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]:MPEFec?

3. Payload

Data Source Type

Choice: Demo File| TS File | NULL TS Packet | Pattern |PN9 | PN15 | PN23

Default:Demo File

Double-click or use the drop-down menu to select which type to use as the data source.

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:TYPE DEMOfile|FILE|NULL|PATtern|PN9|PN15|PN23

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:TYPE?

File Location

Choice: Local| Instrument

Default: Local

Couplings: Displayed only when the Data Source Type is TS File.

Double-click or use the drop-down menu to set the TS file location to local computer or instrument. As a best practice, save the TS file to the local computer and set File Location to Local.

File Name

Couplings: Displayed only when the Data Source Type is TS File.

Click [image] on the right side of the cell to browse your computer and select the TS file.

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:FILE <"filename">

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:FILE?

Sync Insert

Choice: NULL Packet Header (0x471FFF10) | SYNC Byte(0x47) | None

Default: SYNC byte (0x47)

Couplings: Displayed only when the Data Source Type is Pattern, PN9, PN15 or PN23.

Double-click or use the drop-down menu to determine whether a SYNC byte (0x47) or a NULL packet header(0x471FFF10) should be inserted into the test pattern.

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:SYNC NULL|BYTE|NONE

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:SYNC?

Pattern Bits

Couplings: Displayed only when the Data Source Type is Pattern.

Enter the data bits to use in a test pattern.

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PATTern?

Packet Stuffing

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable packet stuffing.

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:STUFfing ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:STUFfing?

PCR Adjust

Choice: On | Off

Default: On

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Double-click or use the drop-down menu to enable or disable PCR Adjust.

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:PCRAdjust ON|OFF|1|0

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:PCRAdjust?

PCR Offset Frequency

Range: 0 to 10 MHz

Default: 0.0

Set the frequency for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PCRFrequency <val>

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PCRFrequency?

PCR Offset Amplitude

Range: 0 to 10 us

Default: 0

Set the amplitude for the PCR offset (the offset is calculated by the sin function).

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PCRAMplitude <val>

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PCRAMplitude?

Useful Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the useful bit rate for current setting.

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:UBITrate?

Stream Bit Rate

Couplings: Displayed only when the Data Source Type is Demo File or TS File.

Displays the stream bit rate for current TS file.

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:SBITrate?

4. MultiPath

Multi-path Channel

Choice: Off | 1 Path | 2 Path | 3 Path | 4 Path

Default: Off

Click [image] on the right side of the cell to open the Multi-path Channel dialog box. Use the dialog box to configure up to 4 static paths. For each path, you can set amplitude attenuation (r), time delay (t [ms]), phase offset (q [rad]), and frequency offset (w [kHz]).

[:SOURce]:RADio:DVBT[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBT[:BBG]:MPATh?


SCPI

SCPI Basics | provides basic information about SCPI commands
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to Command Parameters and Responses for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to Command Tree for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in Figure 2. Simplified Command Tree.

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

[:SOURce]:RADio:DVBC[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBC[:BBG]:ALPHa?

[:SOURce]:RADio:DVBC[:BBG]:FILTer RNYQ | NYQ

[:SOURce]:RADio:DVBC[:BBG]:FILTer?

[:SOURce]:RADio:DVBC[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBC[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBC[:BBG]:MODUlation QAM16 | QAM32 | QAM64 | QAM128 | QAM256

[:SOURce]:RADio:DVBC[:BBG]:MODUlation?

[:SOURce]:RADio:DVBC[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBC[:BBG]:MPATh?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:FILE "<filepath/filename>"

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:FILE?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PATTern?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAdjust 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAdjust?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAMplitude <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRAMplitude?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRFrequency <val>

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:PCRFrequency?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SBITrate?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:STUFfing 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:STUFfing?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SYNC NULL | BYTE | NONE

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:SYNC?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:TYPE?

[:SOURce]:RADio:DVBC[:BBG]:PAYLoad:UBITrate?

[:SOURce]:RADio:DVBC[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBC[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBC[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBC[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBC[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBC[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBC[:BBG]:RSCaling?

[:SOURce]:RADio:DVBC[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBC[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBC[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBC[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBC[:BBG][:STATe]?

[:SOURce]:RADio:DVBC[:BBG][:STATe]?

[:SOURce]:RADio:DVBC[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBC[:BBG]:SYMRate?

[:SOURce]:RADio:DVBS2[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBS2[:BBG]:ALPHa?

[:SOURce]:RADio:DVBS2[:BBG]:CRATe CR1D4 | CR1D3 | CR2D5 | CR1D2 | CR3D5 | CR2D3 | CR3D4 | CR4D5 | CR5D6 | CR8D9 | CR9D10

[:SOURce]:RADio:DVBS2[:BBG]:CRATe?

[:SOURce]:RADio:DVBS2[:BBG]:FEC Short | Normal

[:SOURce]:RADio:DVBS2[:BBG]:FEC?

[:SOURce]:RADio:DVBS2[:BBG]:FILTer NYQ | RNYQ

[:SOURce]:RADio:DVBS2[:BBG]:FILTer?

[:SOURce]:RADio:DVBS2[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBS2[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBS2[:BBG]:MODUlation QPSK | PSK8 | APSK16 | APSK32

[:SOURce]:RADio:DVBS2[:BBG]:MODUlation?

[:SOURce]:RADio:DVBS2[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBS2[:BBG]:MPATh?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:FILE "<filepath/filename>"

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:FILE?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PATTern?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAdjust 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:PCRAdjust?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SBITrate?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:STUFfing 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:STUFfing?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SYNC 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:SYNC?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:TYPE?

[:SOURce]:RADio:DVBS2[:BBG]:PAYLoad:UBITrate?

[:SOURce]:RADio:DVBS2[:BBG]:PIlot 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS2[:BBG]:PIlot?

[:SOURce]:RADio:DVBS2[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBS2[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBS2[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBS2[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBS2[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBS2[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBS2[:BBG]:RSCaling?

[:SOURce]:RADio:DVBS2[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBS2[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBS2[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBS2[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBS2[:BBG][:STATe]?

[:SOURce]:RADio:DVBS2[:BBG][:STATe]?

[:SOURce]:RADio:DVBS2[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBS2[:BBG]:SYMRate?

[:SOURce]:RADio:DVBS[:BBG]:ALPHa <val>

[:SOURce]:RADio:DVBS[:BBG]:ALPHa?

[:SOURce]:RADio:DVBS[:BBG]:CRATe CR1D2 | CR2D3 | CR3D4 | CR5D6 | CR7D8

[:SOURce]:RADio:DVBS[:BBG]:CRATe?

[:SOURce]:RADio:DVBS[:BBG]:FILTer NYQ | RNYQ

[:SOURce]:RADio:DVBS[:BBG]:FILTer?

[:SOURce]:RADio:DVBS[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBS[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBS[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBS[:BBG]:MPATh?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:FILE "<filepath/filename>"

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:FILE?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PATTern?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAdjust 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:PCRAdjust?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SBITrate?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:STUFfing 0 | 1 | ON | OFF

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:STUFfing?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SYNC NULL | BYTE | NONE

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:SYNC?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:TYPE?

[:SOURce]:RADio:DVBS[:BBG]:PAYLoad:UBITrate?

[:SOURce]:RADio:DVBS[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBS[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBS[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBS[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBS[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBS[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBS[:BBG]:RSCaling?

[:SOURce]:RADio:DVBS[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBS[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBS[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBS[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBS[:BBG][:STATe]?

[:SOURce]:RADio:DVBS[:BBG][:STATe]?

[:SOURce]:RADio:DVBS[:BBG]:SYMRate <val>

[:SOURce]:RADio:DVBS[:BBG]:SYMRate?

[:SOURce]:RADio:DVBT2[:BBG]:ADDPlp

[:SOURce]:RADio:DVBT2[:BBG]:BANDwidth BW1 | BW5 | BW6 | BW7 | BW8 | BW10

[:SOURce]:RADio:DVBT2[:BBG]:BANDwidth?

[:SOURce]:RADio:DVBT2[:BBG]:CID <val>

[:SOURce]:RADio:DVBT2[:BBG]:CID?

[:SOURce]:RADio:DVBT2[:BBG]:CMODE NM | EXT

[:SOURce]:RADio:DVBT2[:BBG]:CMODE?

[:SOURce]:RADio:DVBT2[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBT2[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBT2[:BBG]:GINTerval GI1D128 | GI1D32 | GI1D16 | GI19D256 | GI1D8 | GI19D128 | GI1D4

[:SOURce]:RADio:DVBT2[:BBG]:GINTerval?

[:SOURce]:RADio:DVBT2[:BBG]:ISS 1 | 0

[:SOURce]:RADio:DVBT2[:BBG]:ISS?

[:SOURce]:RADio:DVBT2[:BBG]:L1MODulation BPSK | QPSK | QAM16 | QAM64

[:SOURce]:RADio:DVBT2[:BBG]:L1MODulation?

[:SOURce]:RADio:DVBT2[:BBG]:LDATA <val>

[:SOURce]:RADio:DVBT2[:BBG]:LDATA?

[:SOURce]:RADio:DVBT2[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBT2[:BBG]:MPATh?

[:SOURce]:RADio:DVBT2[:BBG]:NFFT N1K | N2K | N4K | N8K | N16K | N32K

[:SOURce]:RADio:DVBT2[:BBG]:NFFT?

[:SOURce]:RADio:DVBT2[:BBG]:NFRAMer <val>

[:SOURce]:RADio:DVBT2[:BBG]:NFRAMer?

[:SOURce]:RADio:DVBT2[:BBG]:NID <val>

[:SOURce]:RADio:DVBT2[:BBG]:NID?

[:SOURce]:RADio:DVBT2[:BBG]:NPD?

[:SOURce]:RADio:DVBT2[:BBG]:P2 SISO | MISO

[:SOURce]:RADio:DVBT2[:BBG]:P2?

[:SOURce]:RADio:DVBT2[:BBG]:PAPR NONE | TR

[:SOURce]:RADio:DVBT2[:BBG]:PAPR?

[:SOURce]:RADio:DVBT2[:BBG]:PIlot PP1 | PP2 | PP3 | PP4 | PP5 | PP6 | PP7 | PP8

[:SOURce]:RADio:DVBT2[:BBG]:PIlot?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CELNumber?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CRATe CR1D2 | CR3D5 | CR2D3 | CR3D4 | CR4D5 | CR5D6

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CRATe?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CROTation ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:CROTation?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECFrame Short | Normal

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECFrame?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECNumber <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:FECNumber?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:GID <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:GID?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:IFNUm?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:MODUlation QPSK | QAM16 | QAM64 | QAM256

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:MODUlation?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:FILE "<filepath/filename>"

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:FILE?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:PATTern?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SBITrate?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SYNC NULL | BYTE | NONE

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:SYNC?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:TYPE?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PAYLoad:UBITrate?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PID <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:PID?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TILEnghth <val>

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TILEnghth?

[:SOURce]:RADio:DVBT2[:BBG]:PLP[1:16]:TITYpe?

[:SOURce]:RADio:DVBT2[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBT2[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBT2[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBT2[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBT2[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBT2[:BBG]:REMPlp

[:SOURce]:RADio:DVBT2[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBT2[:BBG]:RSCaling?

[:SOURce]:RADio:DVBT2[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBT2[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBT2[:BBG]:SMODE HEM | NM

[:SOURce]:RADio:DVBT2[:BBG]:SMODE?

[:SOURce]:RADio:DVBT2[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT2[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT2[:BBG][:STATe]?

[:SOURce]:RADio:DVBT2[:BBG][:STATe]?

[:SOURce]:RADio:DVBT2[:BBG]:T2ID <val>

[:SOURce]:RADio:DVBT2[:BBG]:T2ID?

[:SOURce]:RADio:DVBT[:BBG]:BANDwidth BW8 | BW7 | BW6 | BW5

[:SOURce]:RADio:DVBT[:BBG]:BANDwidth?

[:SOURce]:RADio:DVBT[:BBG]CENable ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]CENable?

[:SOURce]:RADio:DVBT[:BBG]:CID <val>

[:SOURce]:RADio:DVBT[:BBG]:CID?

[:SOURce]:RADio:DVBT[:BBG]:CRATe [R1BY2] | R2BY3 | R3BY4 | R5BY6 | R7BY8

[:SOURce]:RADio:DVBT[:BBG]:CRATe?

[:SOURce]:RADio:DVBT[:BBG]:DVBH ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]:DVBH?

[:SOURce]:RADio:DVBT[:BBG]DVBT:GINTerval [GI4] | GI8 | GI16 | GI32

[:SOURce]:RADio:DVBT[:BBG]DVBT:GINTerval?

[:SOURce]:RADio:DVBT[:BBG]:FILTer ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]:FILTer?

[:SOURce]:RADio:DVBT[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:DVBT[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:DVBT[:BBG]:ILEaver [NATive] | INDepth

[:SOURce]:RADio:DVBT[:BBG]:ILEaver?

[:SOURce]:RADio:DVBT[:BBG]:MODUlation QPSK | QAM16 | QAM64

[:SOURce]:RADio:DVBT[:BBG]:MODUlation?

[:SOURce]:RADio:DVBT[:BBG]:MPATh <val>

[:SOURce]:RADio:DVBT[:BBG]:MPATh?

[:SOURce]:RADio:DVBT[:BBG]:MPEFec ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]:MPEFec?

[:SOURce]:RADio:DVBT[:BBG]:NFFT N2K | N4K | N8K

[:SOURce]:RADio:DVBT[:BBG]:NFFT?

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:FILE <"filename">

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:FILE?

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:PATTern?

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:PCRAdjust ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:PCRAdjust?

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:SBITrate?

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:STUFfing ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:STUFfing?

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:SYNC NULL | BYTE | NONE

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:SYNC?

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:DVBT[:BBG]:PAYLoad:TYPE?

[:SOURce]:RADio:DVBT[:BBG]PAYLoad:UBITrate?

[:SOURce]:RADio:DVBT[:BBG]:POWer:HCOunt

[:SOURce]:RADio:DVBT[:BBG]:POWer:PMGating

[:SOURce]:RADio:DVBT[:BBG]:POWer:SAVerage

[:SOURce]:RADio:DVBT[:BBG]:POWer:SOURce

[:SOURce]:RADio:DVBT[:BBG]:POWer:THReshold

[:SOURce]:RADio:DVBT[:BBG]:RSCaling <val>

[:SOURce]:RADio:DVBT[:BBG]:RSCaling?

[:SOURce]:RADio:DVBT[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:DVBT[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:DVBT[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBT[:BBG][:STATe]?

[:SOURce]:RADio:DVBT[:BBG]:TSLIcing ON | OFF | 1 | 0

[:SOURce]:RADio:DVBT[:BBG]:TSLIcing?

[:SOURce]:RADio:ISDBT[:BBG]:BANDwidth BW6 | BW7 | BW8

[:SOURce]:RADio:ISDBT[:BBG]:BANDwidth?

[:SOURce]:RADio:ISDBT[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:ISDBT[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:ISDBT[:BBG]:GINTerval GI1D4 | GI1D8 | GI1D16 | GI1D32

[:SOURce]:RADio:ISDBT[:BBG]:GINTerval?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CRATe CR1D2 | CR2D3 | CR3D4 | CR5D6 | CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:CRATe?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:ILEaver TI0 | TI1 | TI2 | TI4 | TI8 | TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:ILEaver?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MODUlation DQPSK | QPSK | QAM16 | QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:MODUlation?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:PID?

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY1:SEGCount?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CRATe CR1D2 | CR2D3 | CR3D4 | CR5D6 | CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:CRATe?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:ILEaver TI0 | TI1 | TI2 | TI4 | TI8 | TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:ILEaver?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MODUlation DQPSK | QPSK | QAM16 | QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:MODUlation?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:PID?

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY2:SEGCount?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CRATe CR1D2 | CR2D3 | CR3D4 | CR5D6 | CR7D8

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:CRATe?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:ILEaver TI0 | TI1 | TI2 | TI4 | TI8 | TI16

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:ILEaver?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MODUlation QPSK | QAM16 | QAM64

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:MODUlation?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:PID?

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:SEGCount <val>

[:SOURce]:RADio:ISDBT[:BBG]:LAY3:SEGCount?

[:SOURce]:RADio:ISDBT[:BBG]:MPATh <val>

[:SOURce]:RADio:ISDBT[:BBG]:MPATh?

[:SOURce]:RADio:ISDBT[:BBG]:NFFT N2K | N4K | N8K

[:SOURce]:RADio:ISDBT[:BBG]:NFFT?

[:SOURce]:RADio:ISDBT[:BBG]:PARtial ON | OFF | 1 | 0

[:SOURce]:RADio:ISDBT[:BBG]:PARtial?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:FILE "<filepath/filename>"

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:FILE?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:PATTern <val>

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:PATTern?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:STUFfing 0 | 1 | ON | OFF

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:STUFfing?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SYNC 0 | 1 | ON | OFF

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:SYNC?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:TYPE DEMOfile | FILE | NULL | PATtern | PN9 | PN15 | PN23

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:TYPE?

[:SOURce]:RADio:ISDBT[:BBG]:PAYLoad:UBITrate?

[:SOURce]:RADio:ISDBT[:BBG]:POWer:HCOunt

[:SOURce]:RADio:ISDBT[:BBG]:POWer:PMGating

[:SOURce]:RADio:ISDBT[:BBG]:POWer:SAVerage

[:SOURce]:RADio:ISDBT[:BBG]:POWer:SOURce

[:SOURce]:RADio:ISDBT[:BBG]:POWer:THReshold

[:SOURce]:RADio:ISDBT[:BBG]:REMUlt ON | OFF | 1 | 0

[:SOURce]:RADio:ISDBT[:BBG]:REMUlt?

[:SOURce]:RADio:ISDBT[:BBG]:RSCaling <val>

[:SOURce]:RADio:ISDBT[:BBG]:RSCaling?

[:SOURce]:RADio:ISDBT[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:ISDBT[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:ISDBT[:BBG]::SEGNumber SEG1 | SEG3 | SEG13

[:SOURce]:RADio:ISDBT[:BBG]::SEGNumber?

[:SOURce]:RADio:ISDBT[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:ISDBT[:BBG][:STATe] ON | OFF | 1 | 0

[:SOURce]:RADio:ISDBT[:BBG][:STATe]?

[:SOURce]:RADio:ISDBT[:BBG][:STATe]?


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | provides solutions for communication problems between the PC and the instrument.
Instrument Problems | provides solutions for measurement or operation problems with the instrument.
Printing Problem | provides information about printing popup topics.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

Baseband Generator DAC over range

After downloading the waveform, the signal generator displays error: Baseband Generator DAC over range.

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

Signal generator front panel keys do not work

After downloading the waveform, the signal generator front panel keys do not work.

Cause: Downloading the waveform places the signal generator in remote operation, which deactivates the front panel operation.

Solution: On the signal generator, press the Local key to restore front panel operation.

Signal generator does not play the waveform

After clicking Download in the tool bar, the signal generator does not play the waveform.

Cause: The configured bursts may exceed the length of the defined frame or the size of the generated waveform may exceed the Arb memory.

Solution: Click Check Parameters in the tool bar to verify that the configured bursts do not exceed the length of the defined frame. A parameter status window appears displaying OK if the configuration is valid. If there is invalid parameter usage, the parameter status window displays a red error symbol, parameter name, conflict description, and corrective action suggestions needed to modify the frame parameters. All conflicts must be resolved before the waveform can be generated.

In some configurations, the generated waveform size exceeds 8 Msamples. In this case, it isn't possible to transfer the waveform into the ESG with Options 001 or 601 or MXG/EXG without Option 019 or PSG with Option 601. Use an ESG with Options 002 or 602, MXG/MXG ATE with Option 019, PSG with Option 602 for more waveform memory. (You can check your waveform size under Data Points in the Project Property. window.)

"FW version is not valid"

After clicking Test Connection or Test All Connections, "FW version is not valid" appears in the Note column of the Instruments window.

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

"Connection failed"

After clicking Test Connection or Test All Connections, "Connection failed" appears in the Note column of the Instruments window.

Cause: The instrument connection via LAN or GPIB may not be properly enabled.

Solution: Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the Instrument window matches the instrument and interface you are using.

"Restricted User" cannot run Signal Studio application

Cause: When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the utility Connection Expert, installed with the Keysight IO Libraries. Full information on using Connection Expert is available in the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  3. Verify that the GPIB address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the GPIB settings.

  4. Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  5. Review the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the signal generator is connected directly to a computer, use a crossover LAN cable; if the signal generator is connected to a network/external server, use a standard LAN cable.

  1. Ensure that the cable and all connectors are undamaged.

  2. Ensure that the LAN cable is securely connected to the PC and the signal generator.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the LAN settings.

  5. Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  6. Run the 'ping' program:

    1. On the computer go to Start->All program-> Accessories -> Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>,

      where <IP address> is the signal generator's IP address.

    3. If the signal generator does not respond, contact your IT department for help.

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Keysight


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

    ESG:

    Press Utility > Error Info on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

    MXG/EXG:

    Press the Error hardkey on the signal generator front panel to view error messages on the display.

    (For the MXG ATE, use the web interface.)

    PSG:

    Press Utility > Error Info > view next (or Previous) Error Message on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact a Keysight Technologies Service Center.

PXB

Error messages

"Instrument is not configured correctly for proper download and Playback"

This error is displayed when the PXB is not configured to accept an ARB waveform file or if not enough BBG resources are available. Check the following possible causes:

  1. Confirm that you have loaded the correct configuration on the PXB.

  2. Confirm that the loaded configuration contains the correct number of BBGs. For example, if Signal Studio set up to download two waveform files for 2X2 MIMO, the loaded PXB configuration must contain at least two BBGs.

”Download is not allowed while Instrument is in Play state. Press ”Stop” on Instrument”

You cannot download waveforms from Signal Studio to the PXB while the PXB is playing a waveform.

Press the ”Stop” button on the PXB to stop the currently playing waveform before downloading waveforms from Signal Studio.

Refer to the PXB's online documentation for more error message descriptions and troubleshooting procedures.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems


Printing Popup Topics

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7623B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the Digital Video installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7623B Release Notes

Version 8.0 - Apr 2017

Version 7.1 - Sep 2016

Version 7.0 - Nov 2015

Version 6.6 - Aug 2015

Version 6.5 - Sep 2014

Version 6.4 - Oct 2013

Version 6.3 - Sep 2013

Version 6.2 - Aug 2013

Version 6.1 - Mar 2013

Version 6.0 - Jan 2013

Version 5.2 - Oct 2012

Version 5.1 - Aug 2012

Version 5.0 - Jun 2012

Version 4.4 - Apr 2012

Version 4.2 - Oct 2011

Version 4.1 - Jan 2011

Version 3.0 - Nov 2010

Version 2.2 - Jan 2010

Version 2.0 - Mar 2009

Version 1.7 - Aug 2008

Version 1.6 - May 2008

Version 1.5 - Sep 2007

Version 1.5 - Jul 2007

Version 8.0 - Apr 2017

Enhancements

  • Added a new format to support fully coded DOCSIS 3.1 Up-Stream signal

  • Added support to set known bit error rate of DOCSIS3.1 Downstream after BCH

  • Added user-defined sample rate support for DVB-C and J.83B

  • Enhanced the multi-carrier support of DVB-C and J.83B to allow users to add more than 16 carriers

Bug Fixes

  • Fixed an exception when number of DOCSIS3.1 Carrier is set to 0 for DOCSIS 3.1 Down-Stream

  • Fixed Out of Memory exception for some cases in J.83B DOCSIS 3.0 Carrier for J.83B DOCSIS 3.0

  • Fixed problems when creating two DVB-S2 carriers spaced at 10MHz for DVB-S2

  • Fixed the issue of incorrect calculation Active Signal Bandwidth when Central Frequency Offset is not 0 for DOCSIS 3.1 Down-Stream

Version 7.1 - Sep 2016

Enhancements

  • Added short waveform support for J.83B, DOCSIS DS

  • Added cable-loading support for DOCSIS 3.1 Downstream

Version 7.0 - Nov 2015

Waveform Playback (ARB) Software

Enhancements

  • Added support for fully coded DOCSIS 3.1 downstream signal generation, Option N7623B-Lxx required

  • Added direct-connectivity support for the M8190A AWG (DUC mode only)

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Version 6.6 - Aug 2015

Waveform Playback (ARB) Software

Enhancements

  • Supports larger frequency offset for DVB-S/S2 and CMMB

  • Supports binary format for payload file

Bug Fixes

  • Fixed ARB ISDB-T TS file error with 204 packet size

  • Fixed the incorrect information for Waveform License Pack on EXG

  • Fixed downloading to PXB does not change "Waveform Source Name" field

  • Fixed the overflow exception when importing a very large payload file

  • Fixed the TS wizard error when using a file that does not start with 0x47

  • Fixed undefined header error on PSG caused by the unsupported SCPI command :SOURce:ARB:STATe

  • Fixed ARB ISDB-T spurious issue by allowing higher oversampling ratio value

  • Fixed "Partial Reception" cannot be changed in ARB ISDB-T 1 Seg mode

Version 6.5 - Sep 2014

  • Applied Keysight brand to software

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed ARB DVB-C multi-carrier issue: when symbol rates are the same, the carrier other than main carrier has BER greater than 0.

Version 6.4 - Oct 2013

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed the trial license issue for MEU option.

Version 6.3 - Sep 2013

Waveform Playback (ARB) Software

Enhancements

  • Changed the minimum value of oversampling ratio to 1 in J.83 Annex B format

Real-Time Software

Enhancements

  • Enhanced the initial selection of Format. If an instrument is connected, the software will automatically select a format that the instrument has license for.

Bug Fixes

  • Fixed the issue that code rate is fixed to 2/3 and cannot be actually set through the user interface in DVB-S format

Version 6.2 - Aug 2013

Waveform Playback (ARB) Software

Minor Enhancement Updates (MEU) -- Option U01 or greater

  • Added support for 1024QAM modulation type in DVB-C format

Version 6.1 - Mar 2013

Waveform Playback (ARB) Software

Bug Fixes

  • Fixed filter issue for multi-carrier DVB-T2 signal generation

  • Fixed frequency offset clipping error after opening a DVB-T2 setting file

  • Fixed the problem for downloading large waveforms

Real-Time Software

Enhancements

  • Enhanced the symbol rate precision for DVB-S, DVB-S2, DVB-C, for example, from 6.900 MSymbol/s to 6.900000 MSymbol/s

Bug Fixes

  • Fixed DAC over range error for DVB-T2 multiple PLPs, which occurred when the "Data Source Type" in the Payload settings is changed from the default setting "Demo File" to "PN9/15/23"

  • Fixed DVB-T2 pattern bit error. Only one PLP can be set to "Pattern" as data source type in Payload settings

Version 6.0 - Jan 2013

Waveform Playback (ARB) Software

No updates.

Real-Time Software

Enhancements

For Advanced capability:

  • Enhanced DVB-T2 format to use multiple PLPs

  • Added multi-path support to all formats for up to 4 static paths

  • Extended the symbol rate for DVB-S, DVB-S2, and DVB-C from 300k to 100k Symbols/s

Bug Fixes

  • Fixed "Time Interleave" coupling bugs in ISDB-T

  • Adjusted RMS value for DVB-C, DVB-S, and DVB-S2 to improve SNR accuracy and eliminate the DAC error

  • Added coupling between "Integration Bandwidth" and "Roll-off Factor"

Version 5.2 - Oct 2012

Waveform Playback (ARB) Software Revision 4.4

No updates.

Real-Time Software Revision 1.2

Enhancements

  • Added "PCR Offset Frequency" and "PCR Offset Amplitude" parameters in Payload settings

Bug Fixes

  • Added coupling for "Integration Bandwidth" and "Flat Noise Bandwidth" in AWGN settings with "Symbol Rate" or "Bandwidth" in Carrier node

  • Set "I/Q Adjustment" and "Real-time AWGN" on/off to be read-only when Status is on

  • Fixed RMS accuracy issue when ALC is off

  • Added coupling between RMS value and "Runtime Scaling"

MXG/EXG X-Series Firmware Revision B.01.20

Enhancements

  • Support for N7623B Signal Studio for Digital Video, Rev 5.2

Version 5.1 - Aug 2012

Waveform Playback (ARB) Software Revision 4.4

Enhancements

  • Added support for the M9381A PXIe Vector Signal Generator

Real-Time Software Revision 1.1

No updates.

MXG/EXG X-Series Firmware Revision B.01.10

No updates, but supports N7623B Signal Studio for Digital Video, Rev 5.1

Version 5.0 - Jun 2012

Waveform Playback (ARB) Software Revision 4.3

No updates.

Real-Time Software Revision 1.1

Initial Release Features

  • Added connectivity to EXG/MXG X-Series signal generator

  • Added support for N7623B real-time DVB-T/H signal generation capability

  • Added support for N7623B real-time DVB-C/S/S2/T2 and ISDB-T signal generation capability

MXG/EXG X-Series Firmware Revision B.01.10

Initial Release Features

  • Support for N7623B Signal Studio for Digital Video, Rev. 5.0

Version 4.4 - Apr 2012

Waveform Playback (ARB) Software Revision 4.3

Enhancements

  • Added support for N5182B MXG and N5172B EXG X-Series RF vector signal generators

Version 4.2 - Oct 2011

Enhancements

  • Added non-live (waveform export) connectivity for EXT.

  • Added 50-pack waveform licensing support.

  • Waveform name length increased to 22 characters.

Version 4.1 - Jan 2011

Enhancements

  • Added support for ISDB-Tmm signal generation

  • Added built-in AC builder for ISDB-T and ISDB-Tmm

  • Added support for multi-carriers with different modulation types in DVB-C, J.83 Annex A/C

  • Added support for setting oversampling ratio to 1 in DVB-C, J.83 Annex A/C

  • Added baseband filter in ISDB-T to improve ACP performance

Version 3.0 - Nov 2010

Enhancements

  • Added support for ATSC-M/H signal generation

  • Added "Known Bit Error Rate" support for DVB-C, J.83 Annex A/C waveforms and coupled it with the license N7623B-PFP

  • Added multi-path channel support for DVB-S, DVB-S2, DVB-C, J.83 Annex A/C, J.83B, and CMMB standards

  • Added multi-path channel preset for DVB-T2: P1, F1

  • Added support for the Windows 7 operating system runtime environment – requires .NET Framework 3.5

  • Dropped support for the Windows 2000 operating system

Bug Fixes

  • Fixed DVB-T2 memory leakage bug

Version 2.2 - Jan 2010

Enhancements

  • Added support for real-time signal generation for DVB-T/H running with the N5106A PXB Baseband Generator and Channel Emulator (Requires the N5106A to have firmware revision 1.4.2xx)

  • Added support for MPEG-2 transport streaming storage in hard disk for video testing (maximum = 2 GB).

  • Added support for real-time sample demo transport stream files

  • Added support for compatibility with real-time fading and AWGN

  • Added support for the DVB-T2 format

  • Added "Known Bit Error Rate" for J.83 format

Version 2.0 - Mar 2009

Enhancements

  • Added connectivity for the Agilent N5106A PXB baseband generator and channel emulator

Bug Fixes

  • Added "fast download" to increase downloading speed and the export rate when necessary

  • Corrected the defect of DVB-S2 generation failure

  • Corrected the incorrect CMMB Frequency Offset

Version 1.7 - Aug 2008

Bug Fixes

  • Corrected the CMMB 'demo file' issue, by changing the demo file to a recognized format

  • Corrected the slot coupling issue of CMMB format

  • Corrected the 'File by SLCH' issue of CMMB format by refining the multiplex rule following the video file multiplex format currently used

  • Corrected DTMB QAM32 'Normalize To Data' pilot, to be consistent with signal analyzer products

Version 1.6 - May 2008

Enhancements

  • Added connectivity for the N5162A MXG ATE vector signal generator

  • Added support for quickly and easily configure DVB-S2, J.83B and CMMB digital video signals for both component and receiver tests

    DVB-S2

    • Inner encoding (LDPC) for normal FECFRAME and short FECFRAME

    • Modulation Type: QPSK, 8PSK, 16APSK, 32APSK

    J.83 Annex B

    • Modulation Type: 64QAM, 256QAM

    CMMB

    • Bandwidth: 8MHz

    • LDPC code rate 1/2, 3/4

    • Modulation Type: BPSK, QPSK, 16QAM

Bug Fixes

  • Corrected the Frequency offset error in DTMB format

  • Corrected the impact of K factor adjustments on generated waveforms, in Multi-path Channel configuration of DVB-T\H format

  • Corrected ISDB-TSB "System Descriptor" settings, by adding "Broadcasting Type" to select "ISDB-T" or "ISDB-TSB "

Version 1.5 - Sep 2007

Help Update

  • Updated online documentation with Waveform 5-pack licensing information, and updated Quick Setup topic.

Version 1.5 - Jul 2007

Initial Release Features

  • Support E4438C ESG, N5182A MXG and E8267D PSG signal generators

  • Quickly and easily configure DVB-T/H/C/S, ISDB-T, DTMB and ATSC digital video signals for both component and receiver tests

    DVB-T/H

    • 2k/4k/8k modes

    • 5/6/7/8 MHz bandwidth

    • Modulation: QPSK, 16QAM, 64QAM

    • OFDM frame with scattered pilot cells

    • continual pilot carriers and TPS

    • Hierarchical coding

      • Outer code (RS encoding) and inner code (K=7 convolutional coding, 1/2, 2/3, 3/4, 5/6, 7/8)

      • Outer Byte-wise interleaving and inner bit-wise and symbol interleaving

    DVB-C

    • based on the MPEG-2 system layer, with appropriate forward error correction (FEC)

    • technique

    • FEC improves bit error ratio (BER), ensuring quasi error free (QEF) operation

    • Modulation: 16QAM, 32QAM, 64QAM, 128QAM, 256QAM

    DVB-S

    • Modulation: QPSK

    • Transport multiplex adaptation and randomization for energy dispersal

    • Outer coder (RS(204,188)), Inner coder

    • Convolutional interleaver

    • Baseband shaping and modulation

    ISDB-T

    • Support 3 hierarchical layers, TS processing

    • Energy Dispersal is conducted at each hierarchical layer

    • Delay adjustment at each layer associated with byte interleaving

    • Outer coder (RS coder) Inner coding

    • Bit interleaving and delay adjustment

    • Mapping: DQPSK, QPSK, 16QAM, 64QAM

    • Time and Frequency interleaving

    • Framing with CP/SP, AC, TMCC

    • Configure each segment independently to support ISDB-Tsb

    • Phase compensation of segment for consecutive transmission

    DTMB

    • Scrambling, BCH and LDPC coding for 3 data rates

    • Modulation: 64QAM, 32QAM, 16QAM, 4QAM, 4QAM-NR

    • Symbol interleave, Frequency interleave for OFDM

    • Framing: Frame header mode 1,2,3, C=1 and C=3780

    • Filter: SRRC with settable Roll-off factor (default value is 0.05)

    ATSC

    • Data randomizer with RS encoder and Data interleaver

    • 8-VSB Trellis coder, supports Data organization (Sync Mux)

    • Modulation: 8VSB, 16VSB, pilot addition

  • Customize waveforms by adjusting signal parameters from the intuitive user interface

  • Choose a PN sequence, or supply your own pattern or MPEG file as the source data and monitor video at the receiver

  • Trim and edit input Transport Stream (TS) files for continuous video file playback for receiver video test

    • adds auto stuffing for transport stream

    • Adds demo file as a choice of the data source

    • provides TS file wizards for flexible application of user defined TS file

  • Support BER test with fixed or user defined data pattern

  • Add fading and AWGN to simulate realistic signal conditions

  • Automate signal configuration and generation using the API


Glossary

ACI | adjacent channel interference
ALC | automatic leveling control
Arb | arbitrary, as in arbitrary waveform
ATP | Physical Layer Acceptance Test Plan for DOCSIS 3.1 downstream
ATSC | Advanced Television Systems Committee
AWGN | additive white Gaussian noise
BBG | baseband generator
BER | bit error rate
CCDF | complementary cumulative distribution function
CMMB | China Multimedia Mobile Broadcasting
C/N | carrier to noise ratio
COFDM | coded orthogonal frequency division multiplex
dB | decibels
dBm | decibels relative to 1 mW
DAC | Data-Over-Cable Service Interface Specifications
DOCSIS | Digital Terrestrial/Television Multimedia Broadcasting
DPD | downstream profile descriptor in DOCSIS 3.1 downstream
DTMB | Digital Terrestrial/Television Multimedia Broadcasting
DTV | digital television
DVB-C | digital video broadcasting cable
DVB-H | digital video broadcasting handheld, also named as DVB-X
DVB-S | digital video broadcasting satellite
DVB-S2 | digital video broadcasting satellite, second generation
DVB-T | digital video broadcasting terrestrial
ETSI | European Telecommunications Standards Institute
EVM | error vector magnitude
FEC | forward error correction
FFT | fast Fourier transform
GPIB | general purpose interface bus
HP | high priority bit stream
I | in-phase channel
I/Q | in-phase and quadrature channels
IFFT | inverse fast Fourier transform
ISDB-T | Terrestrial Integrated Services Digital Broadcasting
ISDB-TSB | Terrestrial digital sound broadcasting specification
ISDB-Tmm | Terrestrial mobile multimedia broadcasting
J.83 | Applied for a digital multi-service television distribution system submitted to the ITU-T
LAN | local area network
LP | low priority bit stream
MPEG | motion pictures experts group
MPEG-2 | Refers to the standard ISO/IEC 13818-1. Systems coding is defined in part 1. Video coding is defined in part 2. Audio coding is defined in part 3.
ms | milliseconds
MSB | most significant bit
MUX | multiplex
NCP | next codeword pointer in DOCSIS 3.1 downstream
OFDM | orthogonal frequency division multiplexing
OCD | OFDM channel descriptor in DOCSIS 3.1 downstream
OSR | oversampling ratio
PC | personal computer
PL | physical layer
PLC | Physical Link Channel in DOCSIS 3.1 Downstream
PXB | Keysight baseband generator and channel emulator
PN | pseudo-random number
QAM | quadrature amplitude modulation
QEF | quasi error free
QPSK | quadrature phase shift keying
RF | radio frequency
RS-CC | Reed-Solomon convolutional coding
SFN | single frequency network
TMCC | Transmission and Multiplexing Configuration Control
TPS | transmission parameter signalling
TS | transport stream
UHF | ultra high frequency
VHF | very high frequency


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Real Time

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7623B System Requirements

In order for the N7623B Signal Studio for Digital Video software to generate signals, you must have a properly configured PC and properly configured signal generation hardware, all of which meet the system requirements.

Hardware Requirements for Digital Video

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later (how to upgrade)

Firmware revision B.01.20 or later for real time software

N7623B Signal Studio for Digital Video software license (Licensing)

  • For Arb signal generation

    Required options:

    N5172B-503 (9 kHz to 3 GHz frequency range)

    N5172B-653(Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

    Recommended options:

    N5172B-403(calibrated AWGN for testing with noise)

    N5172B-655(upgrade baseband generator from 60 to 120 MHz RF bandwidth)

    N5172B-009 (internal Flash drive)

    N5172B-021 or 022 (upgrade baseband generator memory from 32 Msa to 256 or 512 Msa)

  • For real-time signal generation

    Required options:

    N5172B-503 (9 kHz to 3 GHz frequency range)

    N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

    N5172B-660 (upgrade baseband generator with real-time capability)

    Recommended options:

    N5172B-403 (calibrated AWGN for testing with noise)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later (how to upgrade)

Firmware revision B.01.20 or later for real time software

N7623B Signal Studio for Digital Video software license (Licensing)

  • For Arb signal generation

    Required options:

    N5182B-503 (9 kHz to 3 GHz frequency range)

    N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

    Recommended options:

    N5182B-403 (calibrated AWGN for testing with noise)

    N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

    N5182B-009 (internal Flash drive)

    N5182B-022 or 023 (upgrade baseband generator memory from 32 Msa to 512 Msa or 1 Gsa)

  • For real-time signal generation

    Required options:

    N5182B-503 (9 kHz to 3 GHz frequency range)

    N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

    N5182B-660 (upgrade baseband generator with real-time capability)

    Recommended options:

    N5172B-403 (calibrated AWGN for testing with noise)

N5182A MXG vector signal generator

Firmware revision A.01.10 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

One of the following baseband generator options:

  • N5182A-6511 (30 MSa/s internal baseband generator with 8 Msample memory)

  • N5182A-6521 (60 MSa/s internal baseband generator with 8 Msample memory)

  • N5182A-6541 (125 MSa/s internal baseband generator with 8 Msample memory, recommended)

N5182A-0191 (increase baseband generator memory to 64 MSa, recommended)

N5182A-UNV (enhanced dynamic range, recommended)

N5182A-403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • N5182A-503 (250 kHz to 3 GHz frequency range)

  • N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG vector signal generator

Firmware revision C.04.84 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

One of the following baseband generator options:

  • E4438C-6012 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-6022 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

One of the following frequency range options:

  • E4438C-503 (250 kHz to 3 GHz frequency range)

  • E4438C-504 (250 kHz to 4 GHz frequency range)

  • E4438C-5063 (250 kHz to 6 GHz frequency range, recommended)

E8267D PSG vector signal generator

Firmware revision C.04.84 or later (how to upgrade)

N7623B Signal Studio for Digital Video software license (Licensing)

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

E8267D-403 (calibrated noise personality, required for C/N capability, recommended)

E8267D-520 (250 kHz to 20 GHz frequency range)

N5106A PXB baseband generator and channel emulator

(PXB information)

Required options:

N5106A-186 (Digital video application bundle) including the following options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 analog I/Q out and 2 digital I/O on 1 I/O card)

  • N5106A-QFP( Fading with SISO Channel Models)

  • N5106A-EFP (Baseband generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Minimum driver version: 1.1

M8190A arbitrary waveform generator

Firmware:

Version 5.1.0.0 or later

Required options:

M8190A-001(1 channel) or M8190A-002 (2 channels)

M8190A-14B (14-bit, 8-GHz max sample rate) or

M8190A-12G (12-bit, 12-GHz max sample rate)

M8190A-DUC (digital upconversion)

Recommended options:

M8190A-02G (upgrade baseband generator memory from 128 MSa to 2 GSa)

M8190A-AMP (5-GHz analog bandwidth)

1 For MXG, when CMMB or DVB-S2 format is selected, and without PXB connected in the system, the minimal options should include Option 019 in addition to Option 651/652/654. With PXB connected, Option 651/652/654 is sufficient

2 For ESG, when CMMB or DVB-S2 format is selected, and without PXB connected in the system, the minimal options should be Option 602 instead of Option 601. With PXB connected, Option 601 will be sufficient.

3 For ESG, option 506 requires UNJ (enhanced noise option).

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M8190A arbitrary waveform generator

  • M9381A PXIe vector signal generator

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


AC Builder

Real Time

Using the AC Builder Tool to generate the AC signal

AC signal is defined in ISDB-T standard and is used to convey additional information on modulating signal-transmission control or earthquake alarm information. The earthquake alarm information is transmitted using AC of the center Segment (segment No.0).

AC builder is a built-in tool, with which you can generate the AC bits easily. Below is the procedure of using the AC builder to generate the AC bits for ISDB-T/Tsb or ISDB-Tmm signals. It contains four steps:

Step 1: Locate and open the AC builder

Step 2: Configure the report(s) to be included in the AC signal

Step 3: Set the initial synchronization signal, mode, and segment number of current signal

Step 4: Generate the AC signal

Step 1: Locate and open the AC builder

  1. Select the ISDB-T or ISDB-Tmm format under the Closed Format menu in the menu bar.

    Using AC Builder in ISDB-T format requires N7623B-Mxx (ISDB-Tmm Advanced, ISDB-T enhancement) license. If this license is not installed in the connected instrument, the AC Builder can not be used to generate AC bits for ISDB-T waveform.

  2. In the ISDB-T settings or ISDB-Tmm segment settings table, first, in AC Setup cell select AC Builder Tool as AC Setup type, and then click on the [image] in the right side of the AC cell to open the AC builder.

Step 2: Configure the report(s) to be included in the AC signal

Take setting the Report1 in the figure below as an example. You can add a report or delete existing report(s) by clicking the Add Report or Delete Report button.

  1. In the Alarm column, click the drop down menu to select whether this is alarm in this report.

  2. In the Number of Frame column, enter the number of frames this report will be included in.

  3. Click the Setting button in the setting column to configure the settings of the report.

    • If the Alarm is set to No, the setting dialog is as below. Then select the Signal type identification (B1~B3) and enter the ID of the broadcasters.

    • If the Alarm is set to Yes, the setting dialog is as below. Set the parameters in sequence.

      1. Select the Identification signal (B21~B23). The table below lists the description of the identification signal.

        B21~ B23

        Description

        000

        Earthquake alarm detailed information (Corresponding area) *

        001

        Earthquake alarm detailed information (Non-corresponding area) **

        010

        Test earthquake alarm detailed information (Corresponding area) *

        011

        Test earthquake alarm detailed information (Non-corresponding area) *note 2

        Notes:

        * In this case, the certain area is included in the broadcasting area.

        ** In this case the certain area is not included in the broadcasting area.

      2. Click [image] to set the current time and reference time in the Closed time setting window.

      3. Select the type of information (B55) and configure the corresponding information.

        • If B55 is set to “0”, the areas in which the alarm is given are represented by B56-B111 and Closed Table 3-39 is displayed in the lower part of the setting dialog. Then select the area the alarm is given by clicking on the corresponding check box.

        • If B55 is set to “1”, the information about earthquake center is transmitted by B56-B11 and Closed Table 3-40 is displayed in the lower part of the setting dialog. Then set the parameters according to the alarm information.

Step 3: Set the initial synchronizing signal, mode, and segment number of current signal

  1. Under Initial Synchronization, select the Synchronizing Signal under use.

  2. Under Mode, select the Mode under use.

  3. Under Segment, select the segment number included in the signal.

Step 4: Generate the AC signal

Click the Generate button in the right bottom of the AC Builder to generate the AC signal.


Add Grant

Adds a new grant to the last position in the grant table.


Add Group

Adds a new group to the last position in the group table.


Add Carrier

Adds a new carrier to the last position in the carrier table.

Related Topics

Adding Carriers for DOCSIS


Adding Carriers for DOCSIS

  1. Clicking the Add Carrier button [image] in the Waveform Setup node, offers the following Closed drop-down choices:

    • DOCSIS 3.0 Downstream

    • DOCSIS 3.1 Downstream

  2. You can add a DOCSIS 3.0 downstream carrier to create a cable-loading signal with both DOCSIS 3.1 and 3.0 carriers, as shown below.

  3. You can add or remove other DOCSIS 3.0 or DOCSIS 3.1 carriers. However, the first carrier must be DOCSIS 3.1 Downstream carrier, otherwise an error message occurs before waveform generation, as shown below.


Add Profile

Adds a new profile to the last position in the profile table.


ATP Configuration Wizard

The Acceptance Test Plan (ATP) defines a few procedures, under which several test cases are defined. The input parameters and format are different from the DOCSIS 3.1 carrier node. As a result, this ATP configuration wizard is provided on the toolbar under DOCSIS 3.1 node to allow you to easily configure the ATP test cases or customized cases.

Procedure

Choices: 1.1 Single DS OFDM | Customized

Default: 1.1 Single DS OFDM

Select the procedure for the test case configuration.

When changing to 1.1 Single DS OFDM, all the parameters below will be updated to the correct values defined in the ATP specification.

Test Case

Range: 1 to 30

Default: 1

Enter the ID for the preset of the ATP test case.

This is only configurable when Procedure is set to 1.1 Single DS OFDM. When changing to a new value, all the parameters below will be updated to the correct values defined in the ATP specification.

ModulationDefault

Choices: 16 QAM | 32 QAM | 64QAM | 128 QAM | 256 QAM | 512 QAM | 1024 QAM | 2048 QAM | 4096 QAM | 8192 QAM | 16384 QAM

Default: 4096 QAM

Enter the default modulation scheme of the test case.

The input format can be (1024-QAM as an example): 1024, 1024-QAM, or 1024QAM. Input values that are not the power of 2 are rounded to the largest power of 2 value that is less than the input.

SubcarrierSpacing (kHz)

Choices: 25 | 50

Default: 25

Enter the subcarrier spacing of the test case.

SubCarrierZero (MHz)

Range: 200 to 2000

Default: 250.6

Enter the subcarrier zero of the test case.

LowerEdgeFreq (MHz)

Range: 200 to 2000

Default: 258

Enter the lower edge frequency of the test case.

UpperEdgeFreq (MHz)

Range: 200 to 2000

Default: 280

Enter the upper edge frequency of the test case.

CyclicPrefix (Ncp)

Range: 64 to 2048

Default: 192

Enter the cyclic prefix of the test case.

RolloffPeriod (Nrp)

Range: 0 to 512

Default: 0

Enter the rolloff period of the test case.

Power at CM Input (dBmV/24 MHz)

Range: -30 to 30

Default: 0

Enter the power at CM input of the test case.

Exclusion Bands (MHz or individual subcarriers)

Enter the exclusion bands of the test case.

This is only configurable when Procedure is set to Customized. The exclusion bands can be input as follows:

  • by frequency range (in MHz), for example [871 - 897]

  • by individual subcarrier index, for example 348,349

  • by a combination of the two methods above, using a comma as separator (see example below)


ATSC-M/H Frame Structure

The figure below shows the ATSC-M/H frame structure for transmission of the M/H data and main data. One ATSC-M/H frame consists of 5 sub-frames. And each sub-frame shall consist of 16 consecutive M/H slots.

The M/H slot is the basic time period for multiplexing of M/H data and main data. A slot consists of 156 TS packets (before byte interleaving). A slot may consist of only main data, or may carry a group of 118 M/H-carrying MHE packets plus 38 main data.

Figure 1. ATSC-M/H frame structure

In the M/H frame structure, there are some key terms.

M/H Ensemble

An M/H Ensemble is a collection of M/H services with the same quality of service and encoded with the same FEC codes.

Group

A group is a collection of 118 consecutive MHE-encapsulated MPEG 2 TS packets transmitting the M/H service data. The groups are assigned to the slots in an M/H sub-frame according to the equation below, where i (0 ~ 15) is the group number and j (0 ~ 15) is the slot number.

j = (4i + O) mod 16, O = 0 if i < 4

O = 2 else if i < 8

O = 1 else if i < 12

O = 3 else

Parade

A parade is a collection of M/H groups contained within one M/H Frame. It carries data from one or two RS Frames depending on the RS frame mode. Each RS Frame carriers one M/H Ensemble.


ATSC-MH introduction

Real Time

ATSC-M/H Transmission System Introduction

Figure 1 shows the block diagram of the ATSC transmission system. The M/H system receives two types of input streams: one for the main service input consisting of the normal ATSC transport stream (TS) packets and the other for the M/H service input.

The process procedure on M/H services can be divided into two stages: Pre-processor (highlighted in light yellow) and Post-processor (highlighted in light purple).

Pre-processor rearranges the M/H service data into an M/H structure, enhances the robustness of the M/H service data through FEC encoding, inserts training sequences, and then encapsulate the data into MHE transport stream packets.

Post-processor processes the main service data by legacy ATSC 8-VSB encoding and manipulated the pre-processed M/H service data in the combined stream to ensure full compatibility with ATSC 8-VSB receivers.

Figure 1. ATSC-M/H transmission system

ATSC-M/H transmission system can have two sets of streams as input: one for the MPEG TS packets of the main service data, and the other for the M/H service data. Keysight N7623B enables you to input the payload for main service data and M/H service data separately or input the multiplexed file which includes both the main service data and the M/H service data.

In the figure 1, point A and point B refer to two input points supported in the N7623B.

  • Point A corresponds to Main & M/H Service payload type. The input main service payload and the M/H service payload should be set in the software separately.

  • Point B corresponds to Multiplexed TS payload type. The input payload should be the service data after packet multiplexer at point B, including both the M/H service data and main service data.

Figure 2. Payload types in N7623B.


Data Source Type

When the payload is selected as ”Test Pattern”, the test signal is a stream of pure PRBS without any TS framing structure. PRBS, all ones or all zeros, could be used as the basic serial BER stream.

The following figure shows the menu on which the payload of the test stream can be selected.

When the payload is selected as ”Demo file”, the file could be PAL or NTSC, depending on the TS decoder output.

When the payload is selected as ”TS file”, user can input TS file created from other TS compiler tools as the physical layer payload.

When the payload is selected as ”TS file wizard”, a TS compiler wizard will help users to input any TS file (or multiple TS files) as payload to the physical layer. Just follow the wizard for TS video file stuffing, truncating and looping, so that it could smoothly playback on the signal generation platforms.


Duplicate Grant

Adds an exact copy of the currently selected grant to the last position in the grant table.


Duplicate Group

Adds an exact copy of the currently selected group to the last position in the group table.


Duplicate Carrier

Adds an exact copy of the currently selected carrier to the last position in the carrier table.


Duplicate Profile

Adds an exact copy of the currently selected profile to the last position in the profile table.


Remove Grant

Removes the currently selected grant from the grant table.


Remove Group

Removes the currently selected group from the group table.


Remove Carrier

Removes the currently selected carrier from the carrier table.


Remove Profile

Removes the currently selected profile from the profile table.


SCCC Mode

SCCC (Serially Concatenated Convolutional Code) is constructed by the convolutional encoder and the symbol interleaver in the block processor concatenated with the trellis encoder in the post-processor.

The SCCC operates on the same data order as after ATSC byte interleaving. After ATSC byte interleaving, an M/H group consists of 10 M/H blocks and is divided into four group regions (A, B, C, D), as shown in Figure 1.

Figure 1. M/H group regions (Source: A/153 Part2)

One SCCC block (SCB) can constitute one or two M/H blocks depending on the SCCC mode, see Table 1.

  • If the SCCC mode is "Separate", each SCB consists of one M/H block and there are 10 SCBs per group. Then the SCCC outer code rate can be set independently for each group region (A, B, C, D).

  • If the SCCC mode is "Paired", each SCB consists of two M/H block and there are 5 SCBs per group. Then all the four group regions have to use the same SCCC outer code rate.

Table 1. SCCC Mode

SCCC Mode | Separate | Paired
SCB1 | B1 | B1+B6
SCB2 | B2 | B2+B7
SCB3 | B3 | B3+B8
SCB4 | B4 | B4+B9
SCB5 | B5 | B5+B10
SCB6 | B6 |
SCB7 | B7 |
SCB8 | B8 |
SCB9 | B9 |
SCB10 | B10 |


tree_view_hardware

Real Time


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B

Related Topics

Graphs View


Using the DOCSIS Cable Loading Wizard

The Cable Loading Wizard is accessible by clicking [image] in the Waveform Setup node, providing you have selected DOCSIS 3.1 Downstream from the Format menu. The software requires a live connection to an M8190A, or you can select M8190A AWG from the Quick Setups node, otherwise a message dialog appears, as shown below.

Cable Loading Wizard Window

After making your selections and clicking OK, the software checks the validity of the configuration and then configures multiple DOCSIS 3.0 and 3.1 carriers accordingly.

Cable Loading Wizard Parameters and Choices

 | Parameter Name | Range/Choices
DOCSIS 3.0 Carrier Group 1/2 | First Carrier Frequency Offset (MHz) | -1000 to 1000
 | Number of Carriers | 0 to 256
 | Carrier Intervals (MHz) | 0 to 100
 | Modulation | 64-QAM | 256 QAM
 | Relative Power (dB) | -50 to 0
 | Waveform Wrap Optimization | None | Sample Rate Adjust | Filtering
 | Random Initial Phase | OFF/ ON
DOCSIS 3.1 Carriers | First Carrier Frequency Offset (MHz) | -1000 to 1000
 | Number of Carriers | 0 to 16
 | Carrier Intervals (MHz) | 0 to 500
 | Carrier Bandwidth (MHz) | 6 to 192
 | FFT Size | 4096 | 8192
 | Relative Power (dB) | -50 to 0


PID Assign Window

PID assign window is used to assign the PIDs of the video stream to each layer.

1. Layers Assign Status Window

This window displays the segment count, modulation type, code rate, length of time interleaving, current bit rate, max bit rate, and PID List for each layer under current PID Assign settings.

After assigning the PIDs to each layer, the current bit rate should be less than or equal to the max bit rate.

2. PID Status Window

This window lists all the PIDs included in the stream file in use. Click the PID you want to assign to select it.

3. Assign PID Button

There are three assign PID buttons, Add to Layer A, Add to Layer B, and Add to Layer C.

To assign a PID to a layer, first select the PID, and then click the corresponding Add to Layer button to assign it. The assigned PID will be displayed in the window to the right of the add layer button.

After assigning all the PIDs, remember to check in the Layer Assign Status window to make sure the current bit rate is less than or equal to the max bit rate for each layer.